// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: pkg/apis/istio/v1alpha1/values_types.proto

package v1alpha1

import (
	fmt "fmt"
	_ "github.com/gogo/protobuf/gogoproto"
	proto "github.com/gogo/protobuf/proto"
	protobuf "github.com/gogo/protobuf/types"
	types "github.com/gogo/protobuf/types"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.GoGoProtoPackageIsVersion3 // please upgrade the proto package

// Mode for the ingress controller.
type IngressControllerMode int32

const (
	// Unspecified Istio ingress controller.
	IngressControllerMode_UNSPECIFIED IngressControllerMode = 0
	// Selects all Ingress resources, with or without Istio annotation.
	IngressControllerMode_DEFAULT IngressControllerMode = 1
	// Selects only resources with istio annotation.
	IngressControllerMode_STRICT IngressControllerMode = 2
	// No ingress or sync.
	IngressControllerMode_OFF IngressControllerMode = 3
)

var IngressControllerMode_name = map[int32]string{
	0: "UNSPECIFIED",
	1: "DEFAULT",
	2: "STRICT",
	3: "OFF",
}

var IngressControllerMode_value = map[string]int32{
	"UNSPECIFIED": 0,
	"DEFAULT":     1,
	"STRICT":      2,
	"OFF":         3,
}

func (x IngressControllerMode) String() string {
	return proto.EnumName(IngressControllerMode_name, int32(x))
}

func (IngressControllerMode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{0}
}

// Specifies which tracer to use.
type Tracer int32

const (
	Tracer_zipkin          Tracer = 0
	Tracer_lightstep       Tracer = 1
	Tracer_datadog         Tracer = 2
	Tracer_stackdriver     Tracer = 3
	Tracer_openCensusAgent Tracer = 4
	Tracer_none            Tracer = 5
)

var Tracer_name = map[int32]string{
	0: "zipkin",
	1: "lightstep",
	2: "datadog",
	3: "stackdriver",
	4: "openCensusAgent",
	5: "none",
}

var Tracer_value = map[string]int32{
	"zipkin":          0,
	"lightstep":       1,
	"datadog":         2,
	"stackdriver":     3,
	"openCensusAgent": 4,
	"none":            5,
}

func (x Tracer) String() string {
	return proto.EnumName(Tracer_name, int32(x))
}

func (Tracer) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{1}
}

// Specifies the sidecar's default behavior when handling outbound traffic from the application.
type OutboundTrafficPolicyConfig_Mode int32

const (
	// Outbound traffic to unknown destinations will be allowed, in case there are no services or ServiceEntries for the destination port
	OutboundTrafficPolicyConfig_ALLOW_ANY OutboundTrafficPolicyConfig_Mode = 0
	// Restrict outbound traffic to services defined in the service registry as well as those defined through ServiceEntries
	OutboundTrafficPolicyConfig_REGISTRY_ONLY OutboundTrafficPolicyConfig_Mode = 1
)

var OutboundTrafficPolicyConfig_Mode_name = map[int32]string{
	0: "ALLOW_ANY",
	1: "REGISTRY_ONLY",
}

var OutboundTrafficPolicyConfig_Mode_value = map[string]int32{
	"ALLOW_ANY":     0,
	"REGISTRY_ONLY": 1,
}

func (x OutboundTrafficPolicyConfig_Mode) String() string {
	return proto.EnumName(OutboundTrafficPolicyConfig_Mode_name, int32(x))
}

func (OutboundTrafficPolicyConfig_Mode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{19, 0}
}

// Types of Access logs to export.
type TelemetryV2StackDriverConfig_AccessLogging int32

const (
	// No Logs.
	TelemetryV2StackDriverConfig_NONE TelemetryV2StackDriverConfig_AccessLogging = 0
	// All logs including both success and error logs.
	TelemetryV2StackDriverConfig_FULL TelemetryV2StackDriverConfig_AccessLogging = 1
	// All error logs. This is currently only available for outbound/client side
	// logs. A request is classified as error when `status>=400 or
	// response_flag != "-"`
	TelemetryV2StackDriverConfig_ERRORS_ONLY TelemetryV2StackDriverConfig_AccessLogging = 2
)

var TelemetryV2StackDriverConfig_AccessLogging_name = map[int32]string{
	0: "NONE",
	1: "FULL",
	2: "ERRORS_ONLY",
}

var TelemetryV2StackDriverConfig_AccessLogging_value = map[string]int32{
	"NONE":        0,
	"FULL":        1,
	"ERRORS_ONLY": 2,
}

func (x TelemetryV2StackDriverConfig_AccessLogging) String() string {
	return proto.EnumName(TelemetryV2StackDriverConfig_AccessLogging_name, int32(x))
}

func (TelemetryV2StackDriverConfig_AccessLogging) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{27, 0}
}

// ArchConfig specifies the pod scheduling target architecture(amd64, ppc64le, s390x, arm64)
// for all the Istio control plane components.
type ArchConfig struct {
	// Sets pod scheduling weight for amd64 arch
	Amd64 uint32 `protobuf:"varint,1,opt,name=amd64,proto3" json:"amd64,omitempty"`
	// Sets pod scheduling weight for ppc64le arch.
	Ppc64Le uint32 `protobuf:"varint,2,opt,name=ppc64le,proto3" json:"ppc64le,omitempty"`
	// Sets pod scheduling weight for s390x arch.
	S390X uint32 `protobuf:"varint,3,opt,name=s390x,proto3" json:"s390x,omitempty"`
	// Sets pod scheduling weight for arm64 arch.
	Arm64                uint32   `protobuf:"varint,4,opt,name=arm64,proto3" json:"arm64,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ArchConfig) Reset()         { *m = ArchConfig{} }
func (m *ArchConfig) String() string { return proto.CompactTextString(m) }
func (*ArchConfig) ProtoMessage()    {}
func (*ArchConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{0}
}
func (m *ArchConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ArchConfig.Unmarshal(m, b)
}
func (m *ArchConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ArchConfig.Marshal(b, m, deterministic)
}
func (m *ArchConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ArchConfig.Merge(m, src)
}
func (m *ArchConfig) XXX_Size() int {
	return xxx_messageInfo_ArchConfig.Size(m)
}
func (m *ArchConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_ArchConfig.DiscardUnknown(m)
}

var xxx_messageInfo_ArchConfig proto.InternalMessageInfo

func (m *ArchConfig) GetAmd64() uint32 {
	if m != nil {
		return m.Amd64
	}
	return 0
}

func (m *ArchConfig) GetPpc64Le() uint32 {
	if m != nil {
		return m.Ppc64Le
	}
	return 0
}

func (m *ArchConfig) GetS390X() uint32 {
	if m != nil {
		return m.S390X
	}
	return 0
}

func (m *ArchConfig) GetArm64() uint32 {
	if m != nil {
		return m.Arm64
	}
	return 0
}

// Configuration for CNI.
type CNIConfig struct {
	// Controls whether CNI is enabled.
	Enabled              *protobuf.BoolValue     `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	Hub                  string                  `protobuf:"bytes,2,opt,name=hub,proto3" json:"hub,omitempty"`
	Tag                  interface{}          `protobuf:"bytes,3,opt,name=tag,proto3" json:"tag,omitempty"`
	Image                string                  `protobuf:"bytes,4,opt,name=image,proto3" json:"image,omitempty"`
	PullPolicy           string                  `protobuf:"bytes,5,opt,name=pullPolicy,proto3" json:"pullPolicy,omitempty"`
	CniBinDir            string                  `protobuf:"bytes,6,opt,name=cniBinDir,proto3" json:"cniBinDir,omitempty"`
	CniConfDir           string                  `protobuf:"bytes,7,opt,name=cniConfDir,proto3" json:"cniConfDir,omitempty"`
	CniConfFileName      string                  `protobuf:"bytes,8,opt,name=cniConfFileName,proto3" json:"cniConfFileName,omitempty"`
	ExcludeNamespaces    []string                `protobuf:"bytes,9,rep,name=excludeNamespaces,proto3" json:"excludeNamespaces,omitempty"`
	PodAnnotations       map[string]interface{} `protobuf:"bytes,10,opt,name=podAnnotations,proto3" json:"podAnnotations,omitempty"` // Deprecated: Do not use.
	PspClusterRole       string                  `protobuf:"bytes,11,opt,name=psp_cluster_role,json=pspClusterRole,proto3" json:"psp_cluster_role,omitempty"`
	LogLevel             string                  `protobuf:"bytes,12,opt,name=logLevel,proto3" json:"logLevel,omitempty"`
	Repair               *CNIRepairConfig        `protobuf:"bytes,13,opt,name=repair,proto3" json:"repair,omitempty"`
	Chained              *protobuf.BoolValue     `protobuf:"bytes,14,opt,name=chained,proto3" json:"chained,omitempty"`
	Taint                *CNITaintConfig         `protobuf:"bytes,15,opt,name=taint,proto3" json:"taint,omitempty"`
	ResourceQuotas       *ResourceQuotas         `protobuf:"bytes,16,opt,name=resource_quotas,json=resourceQuotas,proto3" json:"resource_quotas,omitempty"`
	Resources            *Resources              `protobuf:"bytes,17,opt,name=resources,proto3" json:"resources,omitempty"`
	Privileged           *protobuf.BoolValue     `protobuf:"bytes,18,opt,name=privileged,proto3" json:"privileged,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *CNIConfig) Reset()         { *m = CNIConfig{} }
func (m *CNIConfig) String() string { return proto.CompactTextString(m) }
func (*CNIConfig) ProtoMessage()    {}
func (*CNIConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{1}
}
func (m *CNIConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CNIConfig.Unmarshal(m, b)
}
func (m *CNIConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CNIConfig.Marshal(b, m, deterministic)
}
func (m *CNIConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CNIConfig.Merge(m, src)
}
func (m *CNIConfig) XXX_Size() int {
	return xxx_messageInfo_CNIConfig.Size(m)
}
func (m *CNIConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_CNIConfig.DiscardUnknown(m)
}

var xxx_messageInfo_CNIConfig proto.InternalMessageInfo

func (m *CNIConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *CNIConfig) GetHub() string {
	if m != nil {
		return m.Hub
	}
	return ""
}

func (m *CNIConfig) GetTag() interface{} {
	if m != nil {
		return m.Tag
	}
	return nil
}

func (m *CNIConfig) GetImage() string {
	if m != nil {
		return m.Image
	}
	return ""
}

func (m *CNIConfig) GetPullPolicy() string {
	if m != nil {
		return m.PullPolicy
	}
	return ""
}

func (m *CNIConfig) GetCniBinDir() string {
	if m != nil {
		return m.CniBinDir
	}
	return ""
}

func (m *CNIConfig) GetCniConfDir() string {
	if m != nil {
		return m.CniConfDir
	}
	return ""
}

func (m *CNIConfig) GetCniConfFileName() string {
	if m != nil {
		return m.CniConfFileName
	}
	return ""
}

func (m *CNIConfig) GetExcludeNamespaces() []string {
	if m != nil {
		return m.ExcludeNamespaces
	}
	return nil
}

// Deprecated: Do not use.
func (m *CNIConfig) GetPodAnnotations() map[string]interface{} {
	if m != nil {
		return m.PodAnnotations
	}
	return nil
}

func (m *CNIConfig) GetPspClusterRole() string {
	if m != nil {
		return m.PspClusterRole
	}
	return ""
}

func (m *CNIConfig) GetLogLevel() string {
	if m != nil {
		return m.LogLevel
	}
	return ""
}

func (m *CNIConfig) GetRepair() *CNIRepairConfig {
	if m != nil {
		return m.Repair
	}
	return nil
}

func (m *CNIConfig) GetChained() *protobuf.BoolValue {
	if m != nil {
		return m.Chained
	}
	return nil
}

func (m *CNIConfig) GetTaint() *CNITaintConfig {
	if m != nil {
		return m.Taint
	}
	return nil
}

func (m *CNIConfig) GetResourceQuotas() *ResourceQuotas {
	if m != nil {
		return m.ResourceQuotas
	}
	return nil
}

func (m *CNIConfig) GetResources() *Resources {
	if m != nil {
		return m.Resources
	}
	return nil
}

func (m *CNIConfig) GetPrivileged() *protobuf.BoolValue {
	if m != nil {
		return m.Privileged
	}
	return nil
}

type CNITaintConfig struct {
	// Controls whether taint behavior is enabled.
	Enabled              *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *CNITaintConfig) Reset()         { *m = CNITaintConfig{} }
func (m *CNITaintConfig) String() string { return proto.CompactTextString(m) }
func (*CNITaintConfig) ProtoMessage()    {}
func (*CNITaintConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{2}
}
func (m *CNITaintConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CNITaintConfig.Unmarshal(m, b)
}
func (m *CNITaintConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CNITaintConfig.Marshal(b, m, deterministic)
}
func (m *CNITaintConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CNITaintConfig.Merge(m, src)
}
func (m *CNITaintConfig) XXX_Size() int {
	return xxx_messageInfo_CNITaintConfig.Size(m)
}
func (m *CNITaintConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_CNITaintConfig.DiscardUnknown(m)
}

var xxx_messageInfo_CNITaintConfig proto.InternalMessageInfo

func (m *CNITaintConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

type CNIRepairConfig struct {
	// Controls whether repair behavior is enabled.
	Enabled *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	Hub     string              `protobuf:"bytes,2,opt,name=hub,proto3" json:"hub,omitempty"`
	Tag     interface{}      `protobuf:"bytes,3,opt,name=tag,proto3" json:"tag,omitempty"`
	Image   string              `protobuf:"bytes,4,opt,name=image,proto3" json:"image,omitempty"`
	// Controls whether various repair behaviors are enabled.
	LabelPods            bool     `protobuf:"varint,5,opt,name=labelPods,proto3" json:"labelPods,omitempty"`
	CreateEvents         string   `protobuf:"bytes,6,opt,name=createEvents,proto3" json:"createEvents,omitempty"` // Deprecated: Do not use.
	DeletePods           bool     `protobuf:"varint,7,opt,name=deletePods,proto3" json:"deletePods,omitempty"`
	BrokenPodLabelKey    string   `protobuf:"bytes,8,opt,name=brokenPodLabelKey,proto3" json:"brokenPodLabelKey,omitempty"`
	BrokenPodLabelValue  string   `protobuf:"bytes,9,opt,name=brokenPodLabelValue,proto3" json:"brokenPodLabelValue,omitempty"`
	InitContainerName    string   `protobuf:"bytes,10,opt,name=initContainerName,proto3" json:"initContainerName,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CNIRepairConfig) Reset()         { *m = CNIRepairConfig{} }
func (m *CNIRepairConfig) String() string { return proto.CompactTextString(m) }
func (*CNIRepairConfig) ProtoMessage()    {}
func (*CNIRepairConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{3}
}
func (m *CNIRepairConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CNIRepairConfig.Unmarshal(m, b)
}
func (m *CNIRepairConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CNIRepairConfig.Marshal(b, m, deterministic)
}
func (m *CNIRepairConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CNIRepairConfig.Merge(m, src)
}
func (m *CNIRepairConfig) XXX_Size() int {
	return xxx_messageInfo_CNIRepairConfig.Size(m)
}
func (m *CNIRepairConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_CNIRepairConfig.DiscardUnknown(m)
}

var xxx_messageInfo_CNIRepairConfig proto.InternalMessageInfo

func (m *CNIRepairConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *CNIRepairConfig) GetHub() string {
	if m != nil {
		return m.Hub
	}
	return ""
}

func (m *CNIRepairConfig) GetTag() interface{} {
	if m != nil {
		return m.Tag
	}
	return nil
}

func (m *CNIRepairConfig) GetImage() string {
	if m != nil {
		return m.Image
	}
	return ""
}

func (m *CNIRepairConfig) GetLabelPods() bool {
	if m != nil {
		return m.LabelPods
	}
	return false
}

// Deprecated: Do not use.
func (m *CNIRepairConfig) GetCreateEvents() string {
	if m != nil {
		return m.CreateEvents
	}
	return ""
}

func (m *CNIRepairConfig) GetDeletePods() bool {
	if m != nil {
		return m.DeletePods
	}
	return false
}

func (m *CNIRepairConfig) GetBrokenPodLabelKey() string {
	if m != nil {
		return m.BrokenPodLabelKey
	}
	return ""
}

func (m *CNIRepairConfig) GetBrokenPodLabelValue() string {
	if m != nil {
		return m.BrokenPodLabelValue
	}
	return ""
}

func (m *CNIRepairConfig) GetInitContainerName() string {
	if m != nil {
		return m.InitContainerName
	}
	return ""
}

type ResourceQuotas struct {
	// Controls whether to create resource quotas or not for the CNI DaemonSet.
	Enabled              *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	Pods                 int64               `protobuf:"varint,2,opt,name=pods,proto3" json:"pods,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *ResourceQuotas) Reset()         { *m = ResourceQuotas{} }
func (m *ResourceQuotas) String() string { return proto.CompactTextString(m) }
func (*ResourceQuotas) ProtoMessage()    {}
func (*ResourceQuotas) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{4}
}
func (m *ResourceQuotas) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ResourceQuotas.Unmarshal(m, b)
}
func (m *ResourceQuotas) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ResourceQuotas.Marshal(b, m, deterministic)
}
func (m *ResourceQuotas) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ResourceQuotas.Merge(m, src)
}
func (m *ResourceQuotas) XXX_Size() int {
	return xxx_messageInfo_ResourceQuotas.Size(m)
}
func (m *ResourceQuotas) XXX_DiscardUnknown() {
	xxx_messageInfo_ResourceQuotas.DiscardUnknown(m)
}

var xxx_messageInfo_ResourceQuotas proto.InternalMessageInfo

func (m *ResourceQuotas) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *ResourceQuotas) GetPods() int64 {
	if m != nil {
		return m.Pods
	}
	return 0
}

// Configuration for CPU target utilization for HorizontalPodAutoscaler target.
type CPUTargetUtilizationConfig struct {
	// K8s utilization setting for HorizontalPodAutoscaler target.
	//
	// See https://kubernetes.io/docs/tasks/run-application/horizontal-pod-autoscale/
	TargetAverageUtilization int32    `protobuf:"varint,1,opt,name=targetAverageUtilization,proto3" json:"targetAverageUtilization,omitempty"`
	XXX_NoUnkeyedLiteral     struct{} `json:"-"`
	XXX_unrecognized         []byte   `json:"-"`
	XXX_sizecache            int32    `json:"-"`
}

func (m *CPUTargetUtilizationConfig) Reset()         { *m = CPUTargetUtilizationConfig{} }
func (m *CPUTargetUtilizationConfig) String() string { return proto.CompactTextString(m) }
func (*CPUTargetUtilizationConfig) ProtoMessage()    {}
func (*CPUTargetUtilizationConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{5}
}
func (m *CPUTargetUtilizationConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CPUTargetUtilizationConfig.Unmarshal(m, b)
}
func (m *CPUTargetUtilizationConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CPUTargetUtilizationConfig.Marshal(b, m, deterministic)
}
func (m *CPUTargetUtilizationConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CPUTargetUtilizationConfig.Merge(m, src)
}
func (m *CPUTargetUtilizationConfig) XXX_Size() int {
	return xxx_messageInfo_CPUTargetUtilizationConfig.Size(m)
}
func (m *CPUTargetUtilizationConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_CPUTargetUtilizationConfig.DiscardUnknown(m)
}

var xxx_messageInfo_CPUTargetUtilizationConfig proto.InternalMessageInfo

func (m *CPUTargetUtilizationConfig) GetTargetAverageUtilization() int32 {
	if m != nil {
		return m.TargetAverageUtilization
	}
	return 0
}

// Mirrors Resources for unmarshaling.
type Resources struct {
	Limits               map[string]string `protobuf:"bytes,1,rep,name=limits,proto3" json:"limits,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Requests             map[string]string `protobuf:"bytes,2,rep,name=requests,proto3" json:"requests,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *Resources) Reset()         { *m = Resources{} }
func (m *Resources) String() string { return proto.CompactTextString(m) }
func (*Resources) ProtoMessage()    {}
func (*Resources) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{6}
}
func (m *Resources) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Resources.Unmarshal(m, b)
}
func (m *Resources) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Resources.Marshal(b, m, deterministic)
}
func (m *Resources) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Resources.Merge(m, src)
}
func (m *Resources) XXX_Size() int {
	return xxx_messageInfo_Resources.Size(m)
}
func (m *Resources) XXX_DiscardUnknown() {
	xxx_messageInfo_Resources.DiscardUnknown(m)
}

var xxx_messageInfo_Resources proto.InternalMessageInfo

func (m *Resources) GetLimits() map[string]string {
	if m != nil {
		return m.Limits
	}
	return nil
}

func (m *Resources) GetRequests() map[string]string {
	if m != nil {
		return m.Requests
	}
	return nil
}

// Mirrors ServiceAccount for unmarshaling.
type ServiceAccount struct {
	Annotations          map[string]interface{} `protobuf:"bytes,1,opt,name=annotations,proto3" json:"annotations,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *ServiceAccount) Reset()         { *m = ServiceAccount{} }
func (m *ServiceAccount) String() string { return proto.CompactTextString(m) }
func (*ServiceAccount) ProtoMessage()    {}
func (*ServiceAccount) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{7}
}
func (m *ServiceAccount) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceAccount.Unmarshal(m, b)
}
func (m *ServiceAccount) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceAccount.Marshal(b, m, deterministic)
}
func (m *ServiceAccount) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceAccount.Merge(m, src)
}
func (m *ServiceAccount) XXX_Size() int {
	return xxx_messageInfo_ServiceAccount.Size(m)
}
func (m *ServiceAccount) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceAccount.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceAccount proto.InternalMessageInfo

func (m *ServiceAccount) GetAnnotations() map[string]interface{} {
	if m != nil {
		return m.Annotations
	}
	return nil
}

// DefaultPodDisruptionBudgetConfig specifies the default pod disruption budget configuration.
//
// See https://kubernetes.io/docs/concepts/workloads/pods/disruptions/
type DefaultPodDisruptionBudgetConfig struct {
	// Controls whether a PodDisruptionBudget with a default minAvailable value of 1 is created for each deployment.
	Enabled              *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *DefaultPodDisruptionBudgetConfig) Reset()         { *m = DefaultPodDisruptionBudgetConfig{} }
func (m *DefaultPodDisruptionBudgetConfig) String() string { return proto.CompactTextString(m) }
func (*DefaultPodDisruptionBudgetConfig) ProtoMessage()    {}
func (*DefaultPodDisruptionBudgetConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{8}
}
func (m *DefaultPodDisruptionBudgetConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DefaultPodDisruptionBudgetConfig.Unmarshal(m, b)
}
func (m *DefaultPodDisruptionBudgetConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DefaultPodDisruptionBudgetConfig.Marshal(b, m, deterministic)
}
func (m *DefaultPodDisruptionBudgetConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DefaultPodDisruptionBudgetConfig.Merge(m, src)
}
func (m *DefaultPodDisruptionBudgetConfig) XXX_Size() int {
	return xxx_messageInfo_DefaultPodDisruptionBudgetConfig.Size(m)
}
func (m *DefaultPodDisruptionBudgetConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_DefaultPodDisruptionBudgetConfig.DiscardUnknown(m)
}

var xxx_messageInfo_DefaultPodDisruptionBudgetConfig proto.InternalMessageInfo

func (m *DefaultPodDisruptionBudgetConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

// DefaultResourcesConfig specifies the default k8s resources settings for all Istio control plane components.
type DefaultResourcesConfig struct {
	// k8s resources settings.
	//
	// See https://kubernetes.io/docs/concepts/configuration/manage-compute-resources-container/#resource-requests-and-limits-of-pod-and-container
	Requests             *ResourcesRequestsConfig `protobuf:"bytes,1,opt,name=requests,proto3" json:"requests,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                 `json:"-"`
	XXX_unrecognized     []byte                   `json:"-"`
	XXX_sizecache        int32                    `json:"-"`
}

func (m *DefaultResourcesConfig) Reset()         { *m = DefaultResourcesConfig{} }
func (m *DefaultResourcesConfig) String() string { return proto.CompactTextString(m) }
func (*DefaultResourcesConfig) ProtoMessage()    {}
func (*DefaultResourcesConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{9}
}
func (m *DefaultResourcesConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DefaultResourcesConfig.Unmarshal(m, b)
}
func (m *DefaultResourcesConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DefaultResourcesConfig.Marshal(b, m, deterministic)
}
func (m *DefaultResourcesConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DefaultResourcesConfig.Merge(m, src)
}
func (m *DefaultResourcesConfig) XXX_Size() int {
	return xxx_messageInfo_DefaultResourcesConfig.Size(m)
}
func (m *DefaultResourcesConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_DefaultResourcesConfig.DiscardUnknown(m)
}

var xxx_messageInfo_DefaultResourcesConfig proto.InternalMessageInfo

func (m *DefaultResourcesConfig) GetRequests() *ResourcesRequestsConfig {
	if m != nil {
		return m.Requests
	}
	return nil
}

// Configuration for an egress gateway.
type EgressGatewayConfig struct {
	// Controls whether auto scaling with a HorizontalPodAutoscaler is enabled.
	AutoscaleEnabled *protobuf.BoolValue `protobuf:"bytes,1,opt,name=autoscaleEnabled,proto3" json:"autoscaleEnabled,omitempty"`
	// maxReplicas setting for HorizontalPodAutoscaler.
	AutoscaleMax uint32 `protobuf:"varint,2,opt,name=autoscaleMax,proto3" json:"autoscaleMax,omitempty"`
	// minReplicas setting for HorizontalPodAutoscaler.
	AutoscaleMin uint32 `protobuf:"varint,3,opt,name=autoscaleMin,proto3" json:"autoscaleMin,omitempty"`
	// K8s utilization setting for HorizontalPodAutoscaler target.
	//
	// See https://kubernetes.io/docs/tasks/run-application/horizontal-pod-autoscale/
	Cpu *CPUTargetUtilizationConfig `protobuf:"bytes,5,opt,name=cpu,proto3" json:"cpu,omitempty"` // Deprecated: Do not use.
	// Controls whether an egress gateway is enabled.
	Enabled *protobuf.BoolValue `protobuf:"bytes,7,opt,name=enabled,proto3" json:"enabled,omitempty"`
	// Environment variables passed to the proxy container.
	Env    map[string]interface{} `protobuf:"bytes,8,opt,name=env,proto3" json:"env,omitempty"`
	Labels map[string]string       `protobuf:"bytes,9,rep,name=labels,proto3" json:"labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Name   string                  `protobuf:"bytes,25,opt,name=name,proto3" json:"name,omitempty"`
	// K8s node selector.
	//
	// See https://kubernetes.io/docs/concepts/configuration/assign-pod-node/#nodeselector
	NodeSelector map[string]interface{} `protobuf:"bytes,10,opt,name=nodeSelector,proto3" json:"nodeSelector,omitempty"` // Deprecated: Do not use.
	// K8s annotations for pods.
	//
	// See: https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations/
	PodAnnotations map[string]interface{} `protobuf:"bytes,11,opt,name=podAnnotations,proto3" json:"podAnnotations,omitempty"` // Deprecated: Do not use.
	// Pod anti-affinity label selector.
	//
	// Specify the pod anti-affinity that allows you to constrain which nodes
	// your pod is eligible to be scheduled based on labels on pods that are
	// already running on the node rather than based on labels on nodes.
	// There are currently two types of anti-affinity:
	//    "requiredDuringSchedulingIgnoredDuringExecution"
	//    "preferredDuringSchedulingIgnoredDuringExecution"
	// which denote “hard” vs. “soft” requirements, you can define your values
	// in "podAntiAffinityLabelSelector" and "podAntiAffinityTermLabelSelector"
	// correspondingly.
	// See https://kubernetes.io/docs/concepts/configuration/assign-pod-node/#affinity-and-anti-affinity
	//
	// Examples:
	// podAntiAffinityLabelSelector:
	//  - key: security
	//    operator: In
	//    values: S1,S2
	//    topologyKey: "kubernetes.io/hostname"
	//  This pod anti-affinity rule says that the pod requires not to be scheduled
	//  onto a node if that node is already running a pod with label having key
	//  “security” and value “S1”.
	PodAntiAffinityLabelSelector []map[string]interface{} `protobuf:"bytes,12,opt,name=podAntiAffinityLabelSelector,proto3" json:"podAntiAffinityLabelSelector,omitempty"` // Deprecated: Do not use.
	// See PodAntiAffinityLabelSelector.
	PodAntiAffinityTermLabelSelector []map[string]interface{} `protobuf:"bytes,13,opt,name=podAntiAffinityTermLabelSelector,proto3" json:"podAntiAffinityTermLabelSelector,omitempty"` // Deprecated: Do not use.
	// Ports Configuration for the egress gateway service.
	Ports []*PortsConfig `protobuf:"bytes,14,rep,name=ports,proto3" json:"ports,omitempty"`
	// K8s resources settings.
	//
	// See https://kubernetes.io/docs/concepts/configuration/manage-compute-resources-container/#resource-requests-and-limits-of-pod-and-container
	Resources *Resources `protobuf:"bytes,15,opt,name=resources,proto3" json:"resources,omitempty"` // Deprecated: Do not use.
	// Config for secret volume mounts.
	SecretVolumes []*SecretVolume `protobuf:"bytes,16,rep,name=secretVolumes,proto3" json:"secretVolumes,omitempty"`
	// Annotations to add to the egress gateway service.
	ServiceAnnotations map[string]interface{} `protobuf:"bytes,17,opt,name=serviceAnnotations,proto3" json:"serviceAnnotations,omitempty"`
	// Service type.
	//
	// See https://kubernetes.io/docs/concepts/services-networking/service/#publishing-services-service-types
	Type string `protobuf:"bytes,18,opt,name=type,proto3" json:"type,omitempty"`
	// Enables cross-cluster access using SNI matching.
	Zvpn        *ZeroVPNConfig                 `protobuf:"bytes,19,opt,name=zvpn,proto3" json:"zvpn,omitempty"`
	Tolerations []map[string]interface{} `protobuf:"bytes,20,opt,name=tolerations,proto3" json:"tolerations,omitempty"` // Deprecated: Do not use.
	// K8s rolling update strategy
	RollingMaxSurge *IntOrStringForPB `protobuf:"bytes,21,opt,name=rollingMaxSurge,proto3" json:"rollingMaxSurge,omitempty"` // Deprecated: Do not use.
	// K8s rolling update strategy
	RollingMaxUnavailable *IntOrStringForPB          `protobuf:"bytes,22,opt,name=rollingMaxUnavailable,proto3" json:"rollingMaxUnavailable,omitempty"` // Deprecated: Do not use.
	ConfigVolumes         []map[string]interface{} `protobuf:"bytes,23,opt,name=configVolumes,proto3" json:"configVolumes,omitempty"`
	AdditionalContainers  []map[string]interface{} `protobuf:"bytes,24,opt,name=additionalContainers,proto3" json:"additionalContainers,omitempty"`
	RunAsRoot             *protobuf.BoolValue            `protobuf:"bytes,26,opt,name=runAsRoot,proto3" json:"runAsRoot,omitempty"`
	// The injection template to use for the gateway. If not set, no injection will be performed.
	InjectionTemplate    string          `protobuf:"bytes,27,opt,name=injectionTemplate,proto3" json:"injectionTemplate,omitempty"`
	ServiceAccount       *ServiceAccount `protobuf:"bytes,28,opt,name=serviceAccount,proto3" json:"serviceAccount,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *EgressGatewayConfig) Reset()         { *m = EgressGatewayConfig{} }
func (m *EgressGatewayConfig) String() string { return proto.CompactTextString(m) }
func (*EgressGatewayConfig) ProtoMessage()    {}
func (*EgressGatewayConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{10}
}
func (m *EgressGatewayConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EgressGatewayConfig.Unmarshal(m, b)
}
func (m *EgressGatewayConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EgressGatewayConfig.Marshal(b, m, deterministic)
}
func (m *EgressGatewayConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EgressGatewayConfig.Merge(m, src)
}
func (m *EgressGatewayConfig) XXX_Size() int {
	return xxx_messageInfo_EgressGatewayConfig.Size(m)
}
func (m *EgressGatewayConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_EgressGatewayConfig.DiscardUnknown(m)
}

var xxx_messageInfo_EgressGatewayConfig proto.InternalMessageInfo

func (m *EgressGatewayConfig) GetAutoscaleEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.AutoscaleEnabled
	}
	return nil
}

func (m *EgressGatewayConfig) GetAutoscaleMax() uint32 {
	if m != nil {
		return m.AutoscaleMax
	}
	return 0
}

func (m *EgressGatewayConfig) GetAutoscaleMin() uint32 {
	if m != nil {
		return m.AutoscaleMin
	}
	return 0
}

// Deprecated: Do not use.
func (m *EgressGatewayConfig) GetCpu() *CPUTargetUtilizationConfig {
	if m != nil {
		return m.Cpu
	}
	return nil
}

func (m *EgressGatewayConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *EgressGatewayConfig) GetEnv() map[string]interface{} {
	if m != nil {
		return m.Env
	}
	return nil
}

func (m *EgressGatewayConfig) GetLabels() map[string]string {
	if m != nil {
		return m.Labels
	}
	return nil
}

func (m *EgressGatewayConfig) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

// Deprecated: Do not use.
func (m *EgressGatewayConfig) GetNodeSelector() map[string]interface{} {
	if m != nil {
		return m.NodeSelector
	}
	return nil
}

// Deprecated: Do not use.
func (m *EgressGatewayConfig) GetPodAnnotations() map[string]interface{} {
	if m != nil {
		return m.PodAnnotations
	}
	return nil
}

// Deprecated: Do not use.
func (m *EgressGatewayConfig) GetPodAntiAffinityLabelSelector() []map[string]interface{} {
	if m != nil {
		return m.PodAntiAffinityLabelSelector
	}
	return nil
}

// Deprecated: Do not use.
func (m *EgressGatewayConfig) GetPodAntiAffinityTermLabelSelector() []map[string]interface{} {
	if m != nil {
		return m.PodAntiAffinityTermLabelSelector
	}
	return nil
}

func (m *EgressGatewayConfig) GetPorts() []*PortsConfig {
	if m != nil {
		return m.Ports
	}
	return nil
}

// Deprecated: Do not use.
func (m *EgressGatewayConfig) GetResources() *Resources {
	if m != nil {
		return m.Resources
	}
	return nil
}

func (m *EgressGatewayConfig) GetSecretVolumes() []*SecretVolume {
	if m != nil {
		return m.SecretVolumes
	}
	return nil
}

func (m *EgressGatewayConfig) GetServiceAnnotations() map[string]interface{} {
	if m != nil {
		return m.ServiceAnnotations
	}
	return nil
}

func (m *EgressGatewayConfig) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *EgressGatewayConfig) GetZvpn() *ZeroVPNConfig {
	if m != nil {
		return m.Zvpn
	}
	return nil
}

// Deprecated: Do not use.
func (m *EgressGatewayConfig) GetTolerations() []map[string]interface{} {
	if m != nil {
		return m.Tolerations
	}
	return nil
}

// Deprecated: Do not use.
func (m *EgressGatewayConfig) GetRollingMaxSurge() *IntOrStringForPB {
	if m != nil {
		return m.RollingMaxSurge
	}
	return nil
}

// Deprecated: Do not use.
func (m *EgressGatewayConfig) GetRollingMaxUnavailable() *IntOrStringForPB {
	if m != nil {
		return m.RollingMaxUnavailable
	}
	return nil
}

func (m *EgressGatewayConfig) GetConfigVolumes() []map[string]interface{} {
	if m != nil {
		return m.ConfigVolumes
	}
	return nil
}

func (m *EgressGatewayConfig) GetAdditionalContainers() []map[string]interface{} {
	if m != nil {
		return m.AdditionalContainers
	}
	return nil
}

func (m *EgressGatewayConfig) GetRunAsRoot() *protobuf.BoolValue {
	if m != nil {
		return m.RunAsRoot
	}
	return nil
}

func (m *EgressGatewayConfig) GetInjectionTemplate() string {
	if m != nil {
		return m.InjectionTemplate
	}
	return ""
}

func (m *EgressGatewayConfig) GetServiceAccount() *ServiceAccount {
	if m != nil {
		return m.ServiceAccount
	}
	return nil
}

// Configuration for gateways.
type GatewaysConfig struct {
	// Configuration for an egress gateway.
	IstioEgressgateway *EgressGatewayConfig `protobuf:"bytes,1,opt,name=istio_egressgateway,json=istio-egressgateway,proto3" json:"istio_egressgateway,omitempty"`
	// Controls whether any gateways are enabled.
	Enabled *protobuf.BoolValue `protobuf:"bytes,2,opt,name=enabled,proto3" json:"enabled,omitempty"`
	// Configuration for an ingress gateway.
	IstioIngressgateway  *IngressGatewayConfig `protobuf:"bytes,4,opt,name=istio_ingressgateway,json=istio-ingressgateway,proto3" json:"istio_ingressgateway,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *GatewaysConfig) Reset()         { *m = GatewaysConfig{} }
func (m *GatewaysConfig) String() string { return proto.CompactTextString(m) }
func (*GatewaysConfig) ProtoMessage()    {}
func (*GatewaysConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{11}
}
func (m *GatewaysConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GatewaysConfig.Unmarshal(m, b)
}
func (m *GatewaysConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GatewaysConfig.Marshal(b, m, deterministic)
}
func (m *GatewaysConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GatewaysConfig.Merge(m, src)
}
func (m *GatewaysConfig) XXX_Size() int {
	return xxx_messageInfo_GatewaysConfig.Size(m)
}
func (m *GatewaysConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_GatewaysConfig.DiscardUnknown(m)
}

var xxx_messageInfo_GatewaysConfig proto.InternalMessageInfo

func (m *GatewaysConfig) GetIstioEgressgateway() *EgressGatewayConfig {
	if m != nil {
		return m.IstioEgressgateway
	}
	return nil
}

func (m *GatewaysConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *GatewaysConfig) GetIstioIngressgateway() *IngressGatewayConfig {
	if m != nil {
		return m.IstioIngressgateway
	}
	return nil
}

// Global Configuration for Istio components.
type GlobalConfig struct {
	// Specifies pod scheduling arch(amd64, ppc64le, s390x, arm64) and weight as follows:
	//   0 - Never scheduled
	//   1 - Least preferred
	//   2 - No preference
	//   3 - Most preferred
	//
	// Deprecated: replaced by the affinity k8s settings which allows architecture nodeAffinity configuration of this behavior.
	Arch                *ArchConfig `protobuf:"bytes,1,opt,name=arch,proto3" json:"arch,omitempty"` // Deprecated: Do not use.
	ConfigRootNamespace string      `protobuf:"bytes,50,opt,name=configRootNamespace,proto3" json:"configRootNamespace,omitempty"`
	// Controls whether the server-side validation is enabled.
	ConfigValidation                *protobuf.BoolValue `protobuf:"bytes,3,opt,name=configValidation,proto3" json:"configValidation,omitempty"`
	DefaultConfigVisibilitySettings []string            `protobuf:"bytes,52,rep,name=defaultConfigVisibilitySettings,proto3" json:"defaultConfigVisibilitySettings,omitempty"`
	// Default k8s node selector for all the Istio control plane components
	//
	// See https://kubernetes.io/docs/concepts/configuration/assign-pod-node/#nodeselector
	DefaultNodeSelector map[string]interface{} `protobuf:"bytes,6,opt,name=defaultNodeSelector,proto3" json:"defaultNodeSelector,omitempty"` // Deprecated: Do not use.
	// Specifies the default pod disruption budget configuration.
	DefaultPodDisruptionBudget *DefaultPodDisruptionBudgetConfig `protobuf:"bytes,7,opt,name=defaultPodDisruptionBudget,proto3" json:"defaultPodDisruptionBudget,omitempty"` // Deprecated: Do not use.
	// Default k8s resources settings for all Istio control plane components.
	//
	// See https://kubernetes.io/docs/concepts/configuration/manage-compute-resources-container/#resource-requests-and-limits-of-pod-and-container
	DefaultResources   *DefaultResourcesConfig        `protobuf:"bytes,9,opt,name=defaultResources,proto3" json:"defaultResources,omitempty"`      // Deprecated: Do not use.
	DefaultTolerations []map[string]interface{} `protobuf:"bytes,55,opt,name=defaultTolerations,proto3" json:"defaultTolerations,omitempty"` // Deprecated: Do not use.
	// Specifies the docker hub for Istio images.
	Hub string `protobuf:"bytes,12,opt,name=hub,proto3" json:"hub,omitempty"`
	// Specifies the image pull policy for the Istio images. one of Always, Never, IfNotPresent.
	// Defaults to Always if :latest tag is specified, or IfNotPresent otherwise. Cannot be updated.
	//
	// More info: https://kubernetes.io/docs/concepts/containers/images#updating-images
	ImagePullPolicy  string   `protobuf:"bytes,13,opt,name=imagePullPolicy,proto3" json:"imagePullPolicy,omitempty"`
	ImagePullSecrets []string `protobuf:"bytes,37,rep,name=imagePullSecrets,proto3" json:"imagePullSecrets,omitempty"`
	// Specifies the default namespace for the Istio control plane components.
	IstioNamespace string              `protobuf:"bytes,14,opt,name=istioNamespace,proto3" json:"istioNamespace,omitempty"`
	LogAsJson      *protobuf.BoolValue `protobuf:"bytes,36,opt,name=logAsJson,proto3" json:"logAsJson,omitempty"`
	// Specifies the global logging level settings for the Istio control plane components.
	Logging *GlobalLoggingConfig `protobuf:"bytes,17,opt,name=logging,proto3" json:"logging,omitempty"`
	MeshID  string               `protobuf:"bytes,53,opt,name=meshID,proto3" json:"meshID,omitempty"`
	// Configure the mesh networks to be used by the Split Horizon EDS.
	//
	// The following example defines two networks with different endpoints association methods.
	// For `network1` all endpoints that their IP belongs to the provided CIDR range will be
	// mapped to network1. The gateway for this network example is specified by its public IP
	// address and port.
	// The second network, `network2`, in this example is defined differently with all endpoints
	// retrieved through the specified Multi-Cluster registry being mapped to network2. The
	// gateway is also defined differently with the name of the gateway service on the remote
	// cluster. The public IP for the gateway will be determined from that remote service (only
	// LoadBalancer gateway service type is currently supported, for a NodePort type gateway service,
	// it still need to be configured manually).
	//
	// meshNetworks:
	//   network1:
	//     endpoints:
	//     - fromCidr: "192.168.0.1/24"
	//     gateways:
	//     - address: 1.1.1.1
	//       port: 80
	//   network2:
	//     endpoints:
	//     - fromRegistry: reg1
	//     gateways:
	//     - registryServiceName: istio-ingressgateway.istio-system.svc.cluster.local
	//       port: 443
	//
	MeshNetworks map[string]interface{} `protobuf:"bytes,19,opt,name=meshNetworks,proto3" json:"meshNetworks,omitempty"`
	// Specifies the Configuration for Istio mesh across multiple clusters through Istio gateways.
	MultiCluster *MultiClusterConfig `protobuf:"bytes,22,opt,name=multiCluster,proto3" json:"multiCluster,omitempty"`
	Network      string              `protobuf:"bytes,39,opt,name=network,proto3" json:"network,omitempty"`
	// Custom DNS config for the pod to resolve names of services in other
	// clusters. Use this to add additional search domains, and other settings.
	// see https://kubernetes.io/docs/concepts/services-networking/dns-pod-service/#dns-config
	// This does not apply to gateway pods as they typically need a different
	// set of DNS settings than the normal application pods (e.g. in multicluster scenarios).
	PodDNSSearchNamespaces       []string            `protobuf:"bytes,43,rep,name=podDNSSearchNamespaces,proto3" json:"podDNSSearchNamespaces,omitempty"`
	OmitSidecarInjectorConfigMap *protobuf.BoolValue `protobuf:"bytes,38,opt,name=omitSidecarInjectorConfigMap,proto3" json:"omitSidecarInjectorConfigMap,omitempty"`
	// Controls whether to restrict the applications namespace the controller manages;
	// If set it to false, the controller watches all namespaces.
	OneNamespace           *protobuf.BoolValue `protobuf:"bytes,23,opt,name=oneNamespace,proto3" json:"oneNamespace,omitempty"`
	OperatorManageWebhooks *protobuf.BoolValue `protobuf:"bytes,41,opt,name=operatorManageWebhooks,proto3" json:"operatorManageWebhooks,omitempty"`
	// Specifies the k8s priorityClassName for the istio control plane components.
	//
	// See https://kubernetes.io/docs/concepts/configuration/pod-priority-preemption/#priorityclass
	PriorityClassName string `protobuf:"bytes,27,opt,name=priorityClassName,proto3" json:"priorityClassName,omitempty"` // Deprecated: Do not use.
	// Specifies how proxies are configured within Istio.
	Proxy *ProxyConfig `protobuf:"bytes,28,opt,name=proxy,proto3" json:"proxy,omitempty"`
	// Specifies the Configuration for proxy_init container which sets the pods' networking to intercept the inbound/outbound traffic.
	ProxyInit *ProxyInitConfig `protobuf:"bytes,29,opt,name=proxy_init,proto3" json:"proxy_init,omitempty"`
	// Specifies the Configuration for the SecretDiscoveryService instead of using K8S secrets to mount the certificates.
	Sds *SDSConfig `protobuf:"bytes,30,opt,name=sds,proto3" json:"sds,omitempty"`
	// Specifies the tag for the Istio docker images.
	Tag interface{} `protobuf:"bytes,31,opt,name=tag,proto3" json:"tag,omitempty"`
	// Specifies the Configuration for each of the supported tracers.
	Tracer *TracerConfig `protobuf:"bytes,33,opt,name=tracer,proto3" json:"tracer,omitempty"`
	// Controls whether to use of Mesh Configuration Protocol to distribute configuration.
	UseMCP *protobuf.BoolValue `protobuf:"bytes,35,opt,name=useMCP,proto3" json:"useMCP,omitempty"`
	// Specifies the Istio control plane’s pilot Pod IP address or remote cluster DNS resolvable hostname.
	RemotePilotAddress string `protobuf:"bytes,48,opt,name=remotePilotAddress,proto3" json:"remotePilotAddress,omitempty"`
	// Specifies the configution of istiod
	Istiod *IstiodConfig `protobuf:"bytes,54,opt,name=istiod,proto3" json:"istiod,omitempty"`
	// Configure the Pilot certificate provider.
	// Currently, four providers are supported: "kubernetes", "istiod", "custom" and "none".
	PilotCertProvider string `protobuf:"bytes,56,opt,name=pilotCertProvider,proto3" json:"pilotCertProvider,omitempty"`
	// Configure the policy for validating JWT.
	// Currently, two options are supported: "third-party-jwt" and "first-party-jwt".
	JwtPolicy string `protobuf:"bytes,57,opt,name=jwtPolicy,proto3" json:"jwtPolicy,omitempty"`
	// Specifies the configuration for Security Token Service.
	Sts *STSConfig `protobuf:"bytes,58,opt,name=sts,proto3" json:"sts,omitempty"`
	// Configures the revision this control plane is a part of
	Revision string `protobuf:"bytes,59,opt,name=revision,proto3" json:"revision,omitempty"`
	// Controls whether the in-cluster MTLS key and certs are loaded from the secret volume mounts.
	MountMtlsCerts *protobuf.BoolValue `protobuf:"bytes,60,opt,name=mountMtlsCerts,proto3" json:"mountMtlsCerts,omitempty"`
	// The address of the CA for CSR.
	CaAddress string `protobuf:"bytes,61,opt,name=caAddress,proto3" json:"caAddress,omitempty"`
	// Controls whether one external istiod is enabled.
	ExternalIstiod *protobuf.BoolValue `protobuf:"bytes,62,opt,name=externalIstiod,proto3" json:"externalIstiod,omitempty"`
	// Controls whether a remote cluster is the config cluster for an external istiod
	ConfigCluster *protobuf.BoolValue `protobuf:"bytes,64,opt,name=configCluster,proto3" json:"configCluster,omitempty"`
	// The name of the CA for workloads.
	// For example, when caName=GkeWorkloadCertificate, GKE workload certificates
	// will be used as the certificates for workloads.
	// The default value is "" and when caName="", the CA will be configured by other
	// mechanisms (e.g., environmental variable CA_PROVIDER).
	CaName               string   `protobuf:"bytes,65,opt,name=caName,proto3" json:"caName,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GlobalConfig) Reset()         { *m = GlobalConfig{} }
func (m *GlobalConfig) String() string { return proto.CompactTextString(m) }
func (*GlobalConfig) ProtoMessage()    {}
func (*GlobalConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{12}
}
func (m *GlobalConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GlobalConfig.Unmarshal(m, b)
}
func (m *GlobalConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GlobalConfig.Marshal(b, m, deterministic)
}
func (m *GlobalConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GlobalConfig.Merge(m, src)
}
func (m *GlobalConfig) XXX_Size() int {
	return xxx_messageInfo_GlobalConfig.Size(m)
}
func (m *GlobalConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_GlobalConfig.DiscardUnknown(m)
}

var xxx_messageInfo_GlobalConfig proto.InternalMessageInfo

// Deprecated: Do not use.
func (m *GlobalConfig) GetArch() *ArchConfig {
	if m != nil {
		return m.Arch
	}
	return nil
}

func (m *GlobalConfig) GetConfigRootNamespace() string {
	if m != nil {
		return m.ConfigRootNamespace
	}
	return ""
}

func (m *GlobalConfig) GetConfigValidation() *protobuf.BoolValue {
	if m != nil {
		return m.ConfigValidation
	}
	return nil
}

func (m *GlobalConfig) GetDefaultConfigVisibilitySettings() []string {
	if m != nil {
		return m.DefaultConfigVisibilitySettings
	}
	return nil
}

// Deprecated: Do not use.
func (m *GlobalConfig) GetDefaultNodeSelector() map[string]interface{} {
	if m != nil {
		return m.DefaultNodeSelector
	}
	return nil
}

// Deprecated: Do not use.
func (m *GlobalConfig) GetDefaultPodDisruptionBudget() *DefaultPodDisruptionBudgetConfig {
	if m != nil {
		return m.DefaultPodDisruptionBudget
	}
	return nil
}

// Deprecated: Do not use.
func (m *GlobalConfig) GetDefaultResources() *DefaultResourcesConfig {
	if m != nil {
		return m.DefaultResources
	}
	return nil
}

// Deprecated: Do not use.
func (m *GlobalConfig) GetDefaultTolerations() []map[string]interface{} {
	if m != nil {
		return m.DefaultTolerations
	}
	return nil
}

func (m *GlobalConfig) GetHub() string {
	if m != nil {
		return m.Hub
	}
	return ""
}

func (m *GlobalConfig) GetImagePullPolicy() string {
	if m != nil {
		return m.ImagePullPolicy
	}
	return ""
}

func (m *GlobalConfig) GetImagePullSecrets() []string {
	if m != nil {
		return m.ImagePullSecrets
	}
	return nil
}

func (m *GlobalConfig) GetIstioNamespace() string {
	if m != nil {
		return m.IstioNamespace
	}
	return ""
}

func (m *GlobalConfig) GetLogAsJson() *protobuf.BoolValue {
	if m != nil {
		return m.LogAsJson
	}
	return nil
}

func (m *GlobalConfig) GetLogging() *GlobalLoggingConfig {
	if m != nil {
		return m.Logging
	}
	return nil
}

func (m *GlobalConfig) GetMeshID() string {
	if m != nil {
		return m.MeshID
	}
	return ""
}

func (m *GlobalConfig) GetMeshNetworks() map[string]interface{} {
	if m != nil {
		return m.MeshNetworks
	}
	return nil
}

func (m *GlobalConfig) GetMultiCluster() *MultiClusterConfig {
	if m != nil {
		return m.MultiCluster
	}
	return nil
}

func (m *GlobalConfig) GetNetwork() string {
	if m != nil {
		return m.Network
	}
	return ""
}

func (m *GlobalConfig) GetPodDNSSearchNamespaces() []string {
	if m != nil {
		return m.PodDNSSearchNamespaces
	}
	return nil
}

func (m *GlobalConfig) GetOmitSidecarInjectorConfigMap() *protobuf.BoolValue {
	if m != nil {
		return m.OmitSidecarInjectorConfigMap
	}
	return nil
}

func (m *GlobalConfig) GetOneNamespace() *protobuf.BoolValue {
	if m != nil {
		return m.OneNamespace
	}
	return nil
}

func (m *GlobalConfig) GetOperatorManageWebhooks() *protobuf.BoolValue {
	if m != nil {
		return m.OperatorManageWebhooks
	}
	return nil
}

// Deprecated: Do not use.
func (m *GlobalConfig) GetPriorityClassName() string {
	if m != nil {
		return m.PriorityClassName
	}
	return ""
}

func (m *GlobalConfig) GetProxy() *ProxyConfig {
	if m != nil {
		return m.Proxy
	}
	return nil
}

func (m *GlobalConfig) GetProxyInit() *ProxyInitConfig {
	if m != nil {
		return m.ProxyInit
	}
	return nil
}

func (m *GlobalConfig) GetSds() *SDSConfig {
	if m != nil {
		return m.Sds
	}
	return nil
}

func (m *GlobalConfig) GetTag() interface{} {
	if m != nil {
		return m.Tag
	}
	return nil
}

func (m *GlobalConfig) GetTracer() *TracerConfig {
	if m != nil {
		return m.Tracer
	}
	return nil
}

func (m *GlobalConfig) GetUseMCP() *protobuf.BoolValue {
	if m != nil {
		return m.UseMCP
	}
	return nil
}

func (m *GlobalConfig) GetRemotePilotAddress() string {
	if m != nil {
		return m.RemotePilotAddress
	}
	return ""
}

func (m *GlobalConfig) GetIstiod() *IstiodConfig {
	if m != nil {
		return m.Istiod
	}
	return nil
}

func (m *GlobalConfig) GetPilotCertProvider() string {
	if m != nil {
		return m.PilotCertProvider
	}
	return ""
}

func (m *GlobalConfig) GetJwtPolicy() string {
	if m != nil {
		return m.JwtPolicy
	}
	return ""
}

func (m *GlobalConfig) GetSts() *STSConfig {
	if m != nil {
		return m.Sts
	}
	return nil
}

func (m *GlobalConfig) GetRevision() string {
	if m != nil {
		return m.Revision
	}
	return ""
}

func (m *GlobalConfig) GetMountMtlsCerts() *protobuf.BoolValue {
	if m != nil {
		return m.MountMtlsCerts
	}
	return nil
}

func (m *GlobalConfig) GetCaAddress() string {
	if m != nil {
		return m.CaAddress
	}
	return ""
}

func (m *GlobalConfig) GetExternalIstiod() *protobuf.BoolValue {
	if m != nil {
		return m.ExternalIstiod
	}
	return nil
}

func (m *GlobalConfig) GetConfigCluster() *protobuf.BoolValue {
	if m != nil {
		return m.ConfigCluster
	}
	return nil
}

func (m *GlobalConfig) GetCaName() string {
	if m != nil {
		return m.CaName
	}
	return ""
}

// Configuration for Security Token Service (STS) server.
//
// See https://tools.ietf.org/html/draft-ietf-oauth-token-exchange-16
type STSConfig struct {
	ServicePort          uint32   `protobuf:"varint,1,opt,name=servicePort,proto3" json:"servicePort,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *STSConfig) Reset()         { *m = STSConfig{} }
func (m *STSConfig) String() string { return proto.CompactTextString(m) }
func (*STSConfig) ProtoMessage()    {}
func (*STSConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{13}
}
func (m *STSConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_STSConfig.Unmarshal(m, b)
}
func (m *STSConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_STSConfig.Marshal(b, m, deterministic)
}
func (m *STSConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_STSConfig.Merge(m, src)
}
func (m *STSConfig) XXX_Size() int {
	return xxx_messageInfo_STSConfig.Size(m)
}
func (m *STSConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_STSConfig.DiscardUnknown(m)
}

var xxx_messageInfo_STSConfig proto.InternalMessageInfo

func (m *STSConfig) GetServicePort() uint32 {
	if m != nil {
		return m.ServicePort
	}
	return 0
}

type IstiodConfig struct {
	// If enabled, istiod will perform config analysis
	EnableAnalysis       *protobuf.BoolValue `protobuf:"bytes,2,opt,name=enableAnalysis,proto3" json:"enableAnalysis,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *IstiodConfig) Reset()         { *m = IstiodConfig{} }
func (m *IstiodConfig) String() string { return proto.CompactTextString(m) }
func (*IstiodConfig) ProtoMessage()    {}
func (*IstiodConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{14}
}
func (m *IstiodConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_IstiodConfig.Unmarshal(m, b)
}
func (m *IstiodConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_IstiodConfig.Marshal(b, m, deterministic)
}
func (m *IstiodConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_IstiodConfig.Merge(m, src)
}
func (m *IstiodConfig) XXX_Size() int {
	return xxx_messageInfo_IstiodConfig.Size(m)
}
func (m *IstiodConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_IstiodConfig.DiscardUnknown(m)
}

var xxx_messageInfo_IstiodConfig proto.InternalMessageInfo

func (m *IstiodConfig) GetEnableAnalysis() *protobuf.BoolValue {
	if m != nil {
		return m.EnableAnalysis
	}
	return nil
}

// GlobalLoggingConfig specifies the global logging level settings for the Istio control plane components.
type GlobalLoggingConfig struct {
	// Comma-separated minimum per-scope logging level of messages to output, in the form of <scope>:<level>,<scope>:<level>
	// The control plane has different scopes depending on component, but can configure default log level across all components
	// If empty, default scope and level will be used as configured in code
	Level                string   `protobuf:"bytes,1,opt,name=level,proto3" json:"level,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GlobalLoggingConfig) Reset()         { *m = GlobalLoggingConfig{} }
func (m *GlobalLoggingConfig) String() string { return proto.CompactTextString(m) }
func (*GlobalLoggingConfig) ProtoMessage()    {}
func (*GlobalLoggingConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{15}
}
func (m *GlobalLoggingConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GlobalLoggingConfig.Unmarshal(m, b)
}
func (m *GlobalLoggingConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GlobalLoggingConfig.Marshal(b, m, deterministic)
}
func (m *GlobalLoggingConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GlobalLoggingConfig.Merge(m, src)
}
func (m *GlobalLoggingConfig) XXX_Size() int {
	return xxx_messageInfo_GlobalLoggingConfig.Size(m)
}
func (m *GlobalLoggingConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_GlobalLoggingConfig.DiscardUnknown(m)
}

var xxx_messageInfo_GlobalLoggingConfig proto.InternalMessageInfo

func (m *GlobalLoggingConfig) GetLevel() string {
	if m != nil {
		return m.Level
	}
	return ""
}

// Configuration for an ingress gateway.
type IngressGatewayConfig struct {
	// Controls whether auto scaling with a HorizontalPodAutoscaler is enabled.
	AutoscaleEnabled *protobuf.BoolValue `protobuf:"bytes,1,opt,name=autoscaleEnabled,proto3" json:"autoscaleEnabled,omitempty"`
	// maxReplicas setting for HorizontalPodAutoscaler.
	AutoscaleMax uint32 `protobuf:"varint,2,opt,name=autoscaleMax,proto3" json:"autoscaleMax,omitempty"`
	// minReplicas setting for HorizontalPodAutoscaler.
	AutoscaleMin uint32 `protobuf:"varint,3,opt,name=autoscaleMin,proto3" json:"autoscaleMin,omitempty"`
	// K8s utilization setting for HorizontalPodAutoscaler target.
	//
	// See https://kubernetes.io/docs/tasks/run-application/horizontal-pod-autoscale/
	Cpu           *CPUTargetUtilizationConfig `protobuf:"bytes,5,opt,name=cpu,proto3" json:"cpu,omitempty"` // Deprecated: Do not use.
	CustomService *protobuf.BoolValue         `protobuf:"bytes,6,opt,name=customService,proto3" json:"customService,omitempty"`
	// Controls whether an ingress gateway is enabled.
	Enabled *protobuf.BoolValue `protobuf:"bytes,10,opt,name=enabled,proto3" json:"enabled,omitempty"`
	// Environment variables passed to the proxy container.
	Env                      map[string]interface{} `protobuf:"bytes,11,opt,name=env,proto3" json:"env,omitempty"`
	Labels                   map[string]string       `protobuf:"bytes,15,rep,name=labels,proto3" json:"labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	LoadBalancerIP           string                  `protobuf:"bytes,16,opt,name=loadBalancerIP,proto3" json:"loadBalancerIP,omitempty"`
	LoadBalancerSourceRanges []string                `protobuf:"bytes,17,rep,name=loadBalancerSourceRanges,proto3" json:"loadBalancerSourceRanges,omitempty"`
	Name                     string                  `protobuf:"bytes,44,opt,name=name,proto3" json:"name,omitempty"`
	// K8s node selector.
	//
	// See https://kubernetes.io/docs/concepts/configuration/assign-pod-node/#nodeselector
	NodeSelector map[string]interface{} `protobuf:"bytes,19,opt,name=nodeSelector,proto3" json:"nodeSelector,omitempty"` // Deprecated: Do not use.
	// K8s annotations for pods.
	//
	// See: https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations/
	PodAnnotations map[string]interface{} `protobuf:"bytes,20,opt,name=podAnnotations,proto3" json:"podAnnotations,omitempty"` // Deprecated: Do not use.
	// See EgressGatewayConfig.
	PodAntiAffinityLabelSelector []map[string]interface{} `protobuf:"bytes,21,opt,name=podAntiAffinityLabelSelector,proto3" json:"podAntiAffinityLabelSelector,omitempty"` // Deprecated: Do not use.
	// See EgressGatewayConfig.
	PodAntiAffinityTermLabelSelector []map[string]interface{} `protobuf:"bytes,22,opt,name=podAntiAffinityTermLabelSelector,proto3" json:"podAntiAffinityTermLabelSelector,omitempty"` // Deprecated: Do not use.
	// Port Configuration for the ingress gateway.
	Ports []*PortsConfig `protobuf:"bytes,23,rep,name=ports,proto3" json:"ports,omitempty"`
	// Number of replicas for the ingress gateway Deployment.
	ReplicaCount uint32 `protobuf:"varint,24,opt,name=replicaCount,proto3" json:"replicaCount,omitempty"` // Deprecated: Do not use.
	// K8s resources settings.
	//
	// See https://kubernetes.io/docs/concepts/configuration/manage-compute-resources-container/#resource-requests-and-limits-of-pod-and-container
	Resources map[string]interface{} `protobuf:"bytes,25,opt,name=resources,proto3" json:"resources,omitempty"` // Deprecated: Do not use.
	// Config for secret volume mounts.
	SecretVolumes []*SecretVolume `protobuf:"bytes,27,rep,name=secretVolumes,proto3" json:"secretVolumes,omitempty"`
	// Annotations to add to the egress gateway service.
	ServiceAnnotations map[string]interface{} `protobuf:"bytes,28,opt,name=serviceAnnotations,proto3" json:"serviceAnnotations,omitempty"`
	// Service type.
	//
	// See https://kubernetes.io/docs/concepts/services-networking/service/#publishing-services-service-types
	Type string `protobuf:"bytes,29,opt,name=type,proto3" json:"type,omitempty"`
	// Enables cross-cluster access using SNI matching.
	Zvpn *IngressGatewayZvpnConfig `protobuf:"bytes,30,opt,name=zvpn,proto3" json:"zvpn,omitempty"`
	// K8s rolling update strategy
	RollingMaxSurge *IntOrStringForPB `protobuf:"bytes,31,opt,name=rollingMaxSurge,proto3" json:"rollingMaxSurge,omitempty"` // Deprecated: Do not use.
	// K8s rolling update strategy
	RollingMaxUnavailable *IntOrStringForPB          `protobuf:"bytes,32,opt,name=rollingMaxUnavailable,proto3" json:"rollingMaxUnavailable,omitempty"` // Deprecated: Do not use.
	ExternalTrafficPolicy string                         `protobuf:"bytes,34,opt,name=externalTrafficPolicy,proto3" json:"externalTrafficPolicy,omitempty"`
	Tolerations           []map[string]interface{} `protobuf:"bytes,35,opt,name=tolerations,proto3" json:"tolerations,omitempty"` // Deprecated: Do not use.
	IngressPorts          []map[string]interface{} `protobuf:"bytes,36,opt,name=ingressPorts,proto3" json:"ingressPorts,omitempty"`
	AdditionalContainers  []map[string]interface{} `protobuf:"bytes,37,opt,name=additionalContainers,proto3" json:"additionalContainers,omitempty"`
	ConfigVolumes         []map[string]interface{} `protobuf:"bytes,38,opt,name=configVolumes,proto3" json:"configVolumes,omitempty"`
	RunAsRoot             *protobuf.BoolValue            `protobuf:"bytes,45,opt,name=runAsRoot,proto3" json:"runAsRoot,omitempty"`
	// The injection template to use for the gateway. If not set, no injection will be performed.
	InjectionTemplate    string          `protobuf:"bytes,46,opt,name=injectionTemplate,proto3" json:"injectionTemplate,omitempty"`
	ServiceAccount       *ServiceAccount `protobuf:"bytes,47,opt,name=serviceAccount,proto3" json:"serviceAccount,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *IngressGatewayConfig) Reset()         { *m = IngressGatewayConfig{} }
func (m *IngressGatewayConfig) String() string { return proto.CompactTextString(m) }
func (*IngressGatewayConfig) ProtoMessage()    {}
func (*IngressGatewayConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{16}
}
func (m *IngressGatewayConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_IngressGatewayConfig.Unmarshal(m, b)
}
func (m *IngressGatewayConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_IngressGatewayConfig.Marshal(b, m, deterministic)
}
func (m *IngressGatewayConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_IngressGatewayConfig.Merge(m, src)
}
func (m *IngressGatewayConfig) XXX_Size() int {
	return xxx_messageInfo_IngressGatewayConfig.Size(m)
}
func (m *IngressGatewayConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_IngressGatewayConfig.DiscardUnknown(m)
}

var xxx_messageInfo_IngressGatewayConfig proto.InternalMessageInfo

func (m *IngressGatewayConfig) GetAutoscaleEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.AutoscaleEnabled
	}
	return nil
}

func (m *IngressGatewayConfig) GetAutoscaleMax() uint32 {
	if m != nil {
		return m.AutoscaleMax
	}
	return 0
}

func (m *IngressGatewayConfig) GetAutoscaleMin() uint32 {
	if m != nil {
		return m.AutoscaleMin
	}
	return 0
}

// Deprecated: Do not use.
func (m *IngressGatewayConfig) GetCpu() *CPUTargetUtilizationConfig {
	if m != nil {
		return m.Cpu
	}
	return nil
}

func (m *IngressGatewayConfig) GetCustomService() *protobuf.BoolValue {
	if m != nil {
		return m.CustomService
	}
	return nil
}

func (m *IngressGatewayConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *IngressGatewayConfig) GetEnv() map[string]interface{} {
	if m != nil {
		return m.Env
	}
	return nil
}

func (m *IngressGatewayConfig) GetLabels() map[string]string {
	if m != nil {
		return m.Labels
	}
	return nil
}

func (m *IngressGatewayConfig) GetLoadBalancerIP() string {
	if m != nil {
		return m.LoadBalancerIP
	}
	return ""
}

func (m *IngressGatewayConfig) GetLoadBalancerSourceRanges() []string {
	if m != nil {
		return m.LoadBalancerSourceRanges
	}
	return nil
}

func (m *IngressGatewayConfig) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

// Deprecated: Do not use.
func (m *IngressGatewayConfig) GetNodeSelector() map[string]interface{} {
	if m != nil {
		return m.NodeSelector
	}
	return nil
}

// Deprecated: Do not use.
func (m *IngressGatewayConfig) GetPodAnnotations() map[string]interface{} {
	if m != nil {
		return m.PodAnnotations
	}
	return nil
}

// Deprecated: Do not use.
func (m *IngressGatewayConfig) GetPodAntiAffinityLabelSelector() []map[string]interface{} {
	if m != nil {
		return m.PodAntiAffinityLabelSelector
	}
	return nil
}

// Deprecated: Do not use.
func (m *IngressGatewayConfig) GetPodAntiAffinityTermLabelSelector() []map[string]interface{} {
	if m != nil {
		return m.PodAntiAffinityTermLabelSelector
	}
	return nil
}

func (m *IngressGatewayConfig) GetPorts() []*PortsConfig {
	if m != nil {
		return m.Ports
	}
	return nil
}

// Deprecated: Do not use.
func (m *IngressGatewayConfig) GetReplicaCount() uint32 {
	if m != nil {
		return m.ReplicaCount
	}
	return 0
}

// Deprecated: Do not use.
func (m *IngressGatewayConfig) GetResources() map[string]interface{} {
	if m != nil {
		return m.Resources
	}
	return nil
}

func (m *IngressGatewayConfig) GetSecretVolumes() []*SecretVolume {
	if m != nil {
		return m.SecretVolumes
	}
	return nil
}

func (m *IngressGatewayConfig) GetServiceAnnotations() map[string]interface{} {
	if m != nil {
		return m.ServiceAnnotations
	}
	return nil
}

func (m *IngressGatewayConfig) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *IngressGatewayConfig) GetZvpn() *IngressGatewayZvpnConfig {
	if m != nil {
		return m.Zvpn
	}
	return nil
}

// Deprecated: Do not use.
func (m *IngressGatewayConfig) GetRollingMaxSurge() *IntOrStringForPB {
	if m != nil {
		return m.RollingMaxSurge
	}
	return nil
}

// Deprecated: Do not use.
func (m *IngressGatewayConfig) GetRollingMaxUnavailable() *IntOrStringForPB {
	if m != nil {
		return m.RollingMaxUnavailable
	}
	return nil
}

func (m *IngressGatewayConfig) GetExternalTrafficPolicy() string {
	if m != nil {
		return m.ExternalTrafficPolicy
	}
	return ""
}

// Deprecated: Do not use.
func (m *IngressGatewayConfig) GetTolerations() []map[string]interface{} {
	if m != nil {
		return m.Tolerations
	}
	return nil
}

func (m *IngressGatewayConfig) GetIngressPorts() []map[string]interface{} {
	if m != nil {
		return m.IngressPorts
	}
	return nil
}

func (m *IngressGatewayConfig) GetAdditionalContainers() []map[string]interface{} {
	if m != nil {
		return m.AdditionalContainers
	}
	return nil
}

func (m *IngressGatewayConfig) GetConfigVolumes() []map[string]interface{} {
	if m != nil {
		return m.ConfigVolumes
	}
	return nil
}

func (m *IngressGatewayConfig) GetRunAsRoot() *protobuf.BoolValue {
	if m != nil {
		return m.RunAsRoot
	}
	return nil
}

func (m *IngressGatewayConfig) GetInjectionTemplate() string {
	if m != nil {
		return m.InjectionTemplate
	}
	return ""
}

func (m *IngressGatewayConfig) GetServiceAccount() *ServiceAccount {
	if m != nil {
		return m.ServiceAccount
	}
	return nil
}

// IngressGatewayZvpnConfig enables cross-cluster access using SNI matching.
type IngressGatewayZvpnConfig struct {
	// Controls whether ZeroVPN is enabled.
	Enabled              *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	Suffix               string              `protobuf:"bytes,2,opt,name=suffix,proto3" json:"suffix,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *IngressGatewayZvpnConfig) Reset()         { *m = IngressGatewayZvpnConfig{} }
func (m *IngressGatewayZvpnConfig) String() string { return proto.CompactTextString(m) }
func (*IngressGatewayZvpnConfig) ProtoMessage()    {}
func (*IngressGatewayZvpnConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{17}
}
func (m *IngressGatewayZvpnConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_IngressGatewayZvpnConfig.Unmarshal(m, b)
}
func (m *IngressGatewayZvpnConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_IngressGatewayZvpnConfig.Marshal(b, m, deterministic)
}
func (m *IngressGatewayZvpnConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_IngressGatewayZvpnConfig.Merge(m, src)
}
func (m *IngressGatewayZvpnConfig) XXX_Size() int {
	return xxx_messageInfo_IngressGatewayZvpnConfig.Size(m)
}
func (m *IngressGatewayZvpnConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_IngressGatewayZvpnConfig.DiscardUnknown(m)
}

var xxx_messageInfo_IngressGatewayZvpnConfig proto.InternalMessageInfo

func (m *IngressGatewayZvpnConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *IngressGatewayZvpnConfig) GetSuffix() string {
	if m != nil {
		return m.Suffix
	}
	return ""
}

// MultiClusterConfig specifies the Configuration for Istio mesh across multiple clusters through the istio gateways.
type MultiClusterConfig struct {
	// Enables the connection between two kubernetes clusters via their respective ingressgateway services.
	// Use if the pods in each cluster cannot directly talk to one another.
	Enabled              *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	ClusterName          string              `protobuf:"bytes,2,opt,name=clusterName,proto3" json:"clusterName,omitempty"`
	GlobalDomainSuffix   string              `protobuf:"bytes,3,opt,name=globalDomainSuffix,proto3" json:"globalDomainSuffix,omitempty"`
	IncludeEnvoyFilter   *protobuf.BoolValue `protobuf:"bytes,4,opt,name=includeEnvoyFilter,proto3" json:"includeEnvoyFilter,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *MultiClusterConfig) Reset()         { *m = MultiClusterConfig{} }
func (m *MultiClusterConfig) String() string { return proto.CompactTextString(m) }
func (*MultiClusterConfig) ProtoMessage()    {}
func (*MultiClusterConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{18}
}
func (m *MultiClusterConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_MultiClusterConfig.Unmarshal(m, b)
}
func (m *MultiClusterConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_MultiClusterConfig.Marshal(b, m, deterministic)
}
func (m *MultiClusterConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_MultiClusterConfig.Merge(m, src)
}
func (m *MultiClusterConfig) XXX_Size() int {
	return xxx_messageInfo_MultiClusterConfig.Size(m)
}
func (m *MultiClusterConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_MultiClusterConfig.DiscardUnknown(m)
}

var xxx_messageInfo_MultiClusterConfig proto.InternalMessageInfo

func (m *MultiClusterConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *MultiClusterConfig) GetClusterName() string {
	if m != nil {
		return m.ClusterName
	}
	return ""
}

func (m *MultiClusterConfig) GetGlobalDomainSuffix() string {
	if m != nil {
		return m.GlobalDomainSuffix
	}
	return ""
}

func (m *MultiClusterConfig) GetIncludeEnvoyFilter() *protobuf.BoolValue {
	if m != nil {
		return m.IncludeEnvoyFilter
	}
	return nil
}

// OutboundTrafficPolicyConfig controls the default behavior of the sidecar for handling outbound traffic from the application.
type OutboundTrafficPolicyConfig struct {
	Mode                 OutboundTrafficPolicyConfig_Mode `protobuf:"varint,2,opt,name=mode,proto3,enum=v1alpha1.OutboundTrafficPolicyConfig_Mode" json:"mode,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                         `json:"-"`
	XXX_unrecognized     []byte                           `json:"-"`
	XXX_sizecache        int32                            `json:"-"`
}

func (m *OutboundTrafficPolicyConfig) Reset()         { *m = OutboundTrafficPolicyConfig{} }
func (m *OutboundTrafficPolicyConfig) String() string { return proto.CompactTextString(m) }
func (*OutboundTrafficPolicyConfig) ProtoMessage()    {}
func (*OutboundTrafficPolicyConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{19}
}
func (m *OutboundTrafficPolicyConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_OutboundTrafficPolicyConfig.Unmarshal(m, b)
}
func (m *OutboundTrafficPolicyConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_OutboundTrafficPolicyConfig.Marshal(b, m, deterministic)
}
func (m *OutboundTrafficPolicyConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_OutboundTrafficPolicyConfig.Merge(m, src)
}
func (m *OutboundTrafficPolicyConfig) XXX_Size() int {
	return xxx_messageInfo_OutboundTrafficPolicyConfig.Size(m)
}
func (m *OutboundTrafficPolicyConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_OutboundTrafficPolicyConfig.DiscardUnknown(m)
}

var xxx_messageInfo_OutboundTrafficPolicyConfig proto.InternalMessageInfo

func (m *OutboundTrafficPolicyConfig) GetMode() OutboundTrafficPolicyConfig_Mode {
	if m != nil {
		return m.Mode
	}
	return OutboundTrafficPolicyConfig_ALLOW_ANY
}

// Configuration for Pilot.
type PilotConfig struct {
	// Controls whether Pilot is enabled.
	Enabled *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	// Controls whether a HorizontalPodAutoscaler is installed for Pilot.
	AutoscaleEnabled *protobuf.BoolValue `protobuf:"bytes,2,opt,name=autoscaleEnabled,proto3" json:"autoscaleEnabled,omitempty"`
	// Minimum number of replicas in the HorizontalPodAutoscaler for Pilot.
	AutoscaleMin uint32 `protobuf:"varint,3,opt,name=autoscaleMin,proto3" json:"autoscaleMin,omitempty"`
	// Maximum number of replicas in the HorizontalPodAutoscaler for Pilot.
	AutoscaleMax uint32 `protobuf:"varint,4,opt,name=autoscaleMax,proto3" json:"autoscaleMax,omitempty"`
	// Number of replicas in the Pilot Deployment.
	ReplicaCount uint32 `protobuf:"varint,5,opt,name=replicaCount,proto3" json:"replicaCount,omitempty"` // Deprecated: Do not use.
	// Image name used for Pilot.
	//
	// This can be set either to image name if hub is also set, or can be set to the full hub:name string.
	//
	// Examples: custom-pilot, docker.io/someuser:custom-pilot
	Image string `protobuf:"bytes,6,opt,name=image,proto3" json:"image,omitempty"`
	// Trace sampling fraction.
	//
	// Used to set the fraction of time that traces are sampled. Higher values are more accurate but add CPU overhead.
	//
	// Allowed values: 0.0 to 1.0
	TraceSampling float64 `protobuf:"fixed64,8,opt,name=traceSampling,proto3" json:"traceSampling,omitempty"`
	// K8s resources settings.
	//
	// See https://kubernetes.io/docs/concepts/configuration/manage-compute-resources-container/#resource-requests-and-limits-of-pod-and-container
	Resources *Resources `protobuf:"bytes,9,opt,name=resources,proto3" json:"resources,omitempty"` // Deprecated: Do not use.
	// Namespace that the configuration management feature is installed into, if different from Pilot namespace.
	ConfigNamespace string `protobuf:"bytes,10,opt,name=configNamespace,proto3" json:"configNamespace,omitempty"`
	// Target CPU utilization used in HorizontalPodAutoscaler.
	//
	// See https://kubernetes.io/docs/tasks/run-application/horizontal-pod-autoscale/
	Cpu *CPUTargetUtilizationConfig `protobuf:"bytes,11,opt,name=cpu,proto3" json:"cpu,omitempty"` // Deprecated: Do not use.
	// K8s node selector.
	//
	// See https://kubernetes.io/docs/concepts/configuration/assign-pod-node/#nodeselector
	NodeSelector map[string]interface{} `protobuf:"bytes,12,opt,name=nodeSelector,proto3" json:"nodeSelector,omitempty"` // Deprecated: Do not use.
	// Maximum duration that a sidecar can be connected to a pilot.
	//
	// This setting balances out load across pilot instances, but adds some resource overhead.
	//
	// Examples: 300s, 30m, 1h
	KeepaliveMaxServerConnectionAge *types.Duration `protobuf:"bytes,13,opt,name=keepaliveMaxServerConnectionAge,proto3" json:"keepaliveMaxServerConnectionAge,omitempty"`
	// Labels that are added to Pilot deployment and pods.
	//
	// See https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/
	DeploymentLabels map[string]interface{} `protobuf:"bytes,14,opt,name=deploymentLabels,proto3" json:"deploymentLabels,omitempty"`
	PodLabels        map[string]interface{} `protobuf:"bytes,36,opt,name=podLabels,proto3" json:"podLabels,omitempty"`
	// Configuration settings passed to Pilot as a ConfigMap.
	//
	// This controls whether the mesh config map, generated from values.yaml is generated.
	// If false, pilot wil use default values or user-supplied values, in that order of preference.
	ConfigMap *protobuf.BoolValue `protobuf:"bytes,18,opt,name=configMap,proto3" json:"configMap,omitempty"`
	// Controls whether Pilot is configured through the Mesh Control Protocol (MCP).
	//
	// If set to true, Pilot requires an MCP server (like Galley) to be installed.
	UseMCP *protobuf.BoolValue `protobuf:"bytes,20,opt,name=useMCP,proto3" json:"useMCP,omitempty"`
	// Environment variables passed to the Pilot container.
	//
	// Examples:
	// env:
	//   ENV_VAR_1: value1
	//   ENV_VAR_2: value2
	Env map[string]interface{} `protobuf:"bytes,21,opt,name=env,proto3" json:"env,omitempty"`
	// K8s rolling update strategy
	RollingMaxSurge *IntOrStringForPB `protobuf:"bytes,24,opt,name=rollingMaxSurge,proto3" json:"rollingMaxSurge,omitempty"` // Deprecated: Do not use.
	// K8s rolling update strategy
	RollingMaxUnavailable *IntOrStringForPB `protobuf:"bytes,25,opt,name=rollingMaxUnavailable,proto3" json:"rollingMaxUnavailable,omitempty"` // Deprecated: Do not use.
	//
	Tolerations []map[string]interface{} `protobuf:"bytes,26,opt,name=tolerations,proto3" json:"tolerations,omitempty"` // Deprecated: Do not use.
	// if protocol sniffing is enabled for outbound
	EnableProtocolSniffingForOutbound *protobuf.BoolValue `protobuf:"bytes,28,opt,name=enableProtocolSniffingForOutbound,proto3" json:"enableProtocolSniffingForOutbound,omitempty"`
	// if protocol sniffing is enabled for inbound
	EnableProtocolSniffingForInbound *protobuf.BoolValue `protobuf:"bytes,29,opt,name=enableProtocolSniffingForInbound,proto3" json:"enableProtocolSniffingForInbound,omitempty"`
	// K8s annotations for pods.
	//
	// See: https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations/
	PodAnnotations     map[string]interface{} `protobuf:"bytes,30,opt,name=podAnnotations,proto3" json:"podAnnotations,omitempty"` // Deprecated: Do not use.
	ServiceAnnotations map[string]interface{} `protobuf:"bytes,37,opt,name=serviceAnnotations,proto3" json:"serviceAnnotations,omitempty"`
	// ConfigSource describes a source of configuration data for networking
	// rules, and other Istio configuration artifacts. Multiple data sources
	// can be configured for a single control plane.
	ConfigSource            *PilotConfigSource `protobuf:"bytes,31,opt,name=configSource,proto3" json:"configSource,omitempty"`
	JwksResolverExtraRootCA string             `protobuf:"bytes,32,opt,name=jwksResolverExtraRootCA,proto3" json:"jwksResolverExtraRootCA,omitempty"`
	Plugins                 []string   `protobuf:"bytes,33,opt,name=plugins,proto3" json:"plugins,omitempty"`
	Hub                     string             `protobuf:"bytes,34,opt,name=hub,proto3" json:"hub,omitempty"`
	Tag                     interface{}     `protobuf:"bytes,35,opt,name=tag,proto3" json:"tag,omitempty"`
	XXX_NoUnkeyedLiteral    struct{}           `json:"-"`
	XXX_unrecognized        []byte             `json:"-"`
	XXX_sizecache           int32              `json:"-"`
}

func (m *PilotConfig) Reset()         { *m = PilotConfig{} }
func (m *PilotConfig) String() string { return proto.CompactTextString(m) }
func (*PilotConfig) ProtoMessage()    {}
func (*PilotConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{20}
}
func (m *PilotConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PilotConfig.Unmarshal(m, b)
}
func (m *PilotConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PilotConfig.Marshal(b, m, deterministic)
}
func (m *PilotConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PilotConfig.Merge(m, src)
}
func (m *PilotConfig) XXX_Size() int {
	return xxx_messageInfo_PilotConfig.Size(m)
}
func (m *PilotConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_PilotConfig.DiscardUnknown(m)
}

var xxx_messageInfo_PilotConfig proto.InternalMessageInfo

func (m *PilotConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *PilotConfig) GetAutoscaleEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.AutoscaleEnabled
	}
	return nil
}

func (m *PilotConfig) GetAutoscaleMin() uint32 {
	if m != nil {
		return m.AutoscaleMin
	}
	return 0
}

func (m *PilotConfig) GetAutoscaleMax() uint32 {
	if m != nil {
		return m.AutoscaleMax
	}
	return 0
}

// Deprecated: Do not use.
func (m *PilotConfig) GetReplicaCount() uint32 {
	if m != nil {
		return m.ReplicaCount
	}
	return 0
}

func (m *PilotConfig) GetImage() string {
	if m != nil {
		return m.Image
	}
	return ""
}

func (m *PilotConfig) GetTraceSampling() float64 {
	if m != nil {
		return m.TraceSampling
	}
	return 0
}

// Deprecated: Do not use.
func (m *PilotConfig) GetResources() *Resources {
	if m != nil {
		return m.Resources
	}
	return nil
}

func (m *PilotConfig) GetConfigNamespace() string {
	if m != nil {
		return m.ConfigNamespace
	}
	return ""
}

// Deprecated: Do not use.
func (m *PilotConfig) GetCpu() *CPUTargetUtilizationConfig {
	if m != nil {
		return m.Cpu
	}
	return nil
}

// Deprecated: Do not use.
func (m *PilotConfig) GetNodeSelector() map[string]interface{} {
	if m != nil {
		return m.NodeSelector
	}
	return nil
}

func (m *PilotConfig) GetKeepaliveMaxServerConnectionAge() *types.Duration {
	if m != nil {
		return m.KeepaliveMaxServerConnectionAge
	}
	return nil
}

func (m *PilotConfig) GetDeploymentLabels() map[string]interface{} {
	if m != nil {
		return m.DeploymentLabels
	}
	return nil
}

func (m *PilotConfig) GetPodLabels() map[string]interface{} {
	if m != nil {
		return m.PodLabels
	}
	return nil
}

func (m *PilotConfig) GetConfigMap() *protobuf.BoolValue {
	if m != nil {
		return m.ConfigMap
	}
	return nil
}

func (m *PilotConfig) GetUseMCP() *protobuf.BoolValue {
	if m != nil {
		return m.UseMCP
	}
	return nil
}

func (m *PilotConfig) GetEnv() map[string]interface{} {
	if m != nil {
		return m.Env
	}
	return nil
}

// Deprecated: Do not use.
func (m *PilotConfig) GetRollingMaxSurge() *IntOrStringForPB {
	if m != nil {
		return m.RollingMaxSurge
	}
	return nil
}

// Deprecated: Do not use.
func (m *PilotConfig) GetRollingMaxUnavailable() *IntOrStringForPB {
	if m != nil {
		return m.RollingMaxUnavailable
	}
	return nil
}

// Deprecated: Do not use.
func (m *PilotConfig) GetTolerations() []map[string]interface{} {
	if m != nil {
		return m.Tolerations
	}
	return nil
}

func (m *PilotConfig) GetEnableProtocolSniffingForOutbound() *protobuf.BoolValue {
	if m != nil {
		return m.EnableProtocolSniffingForOutbound
	}
	return nil
}

func (m *PilotConfig) GetEnableProtocolSniffingForInbound() *protobuf.BoolValue {
	if m != nil {
		return m.EnableProtocolSniffingForInbound
	}
	return nil
}

// Deprecated: Do not use.
func (m *PilotConfig) GetPodAnnotations() map[string]interface{} {
	if m != nil {
		return m.PodAnnotations
	}
	return nil
}

func (m *PilotConfig) GetServiceAnnotations() map[string]interface{} {
	if m != nil {
		return m.ServiceAnnotations
	}
	return nil
}

func (m *PilotConfig) GetConfigSource() *PilotConfigSource {
	if m != nil {
		return m.ConfigSource
	}
	return nil
}

func (m *PilotConfig) GetJwksResolverExtraRootCA() string {
	if m != nil {
		return m.JwksResolverExtraRootCA
	}
	return ""
}

func (m *PilotConfig) GetPlugins() []string {
	if m != nil {
		return m.Plugins
	}
	return nil
}

func (m *PilotConfig) GetHub() string {
	if m != nil {
		return m.Hub
	}
	return ""
}

func (m *PilotConfig) GetTag() interface{} {
	if m != nil {
		return m.Tag
	}
	return nil
}

// Controls legacy k8s ingress. Only one pilot profile should enable ingress support.
type PilotIngressConfig struct {
	// Sets the type ingress service for Pilot.
	//
	// If empty, node-port is assumed.
	//
	// Allowed values: node-port, istio-ingressgateway, ingress
	IngressService        string                `protobuf:"bytes,1,opt,name=ingressService,proto3" json:"ingressService,omitempty"`
	IngressControllerMode IngressControllerMode `protobuf:"varint,2,opt,name=ingressControllerMode,proto3,enum=v1alpha1.IngressControllerMode" json:"ingressControllerMode,omitempty"`
	// If mode is STRICT, this value must be set on "kubernetes.io/ingress.class" annotation to activate.
	IngressClass         string   `protobuf:"bytes,3,opt,name=ingressClass,proto3" json:"ingressClass,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PilotIngressConfig) Reset()         { *m = PilotIngressConfig{} }
func (m *PilotIngressConfig) String() string { return proto.CompactTextString(m) }
func (*PilotIngressConfig) ProtoMessage()    {}
func (*PilotIngressConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{21}
}
func (m *PilotIngressConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PilotIngressConfig.Unmarshal(m, b)
}
func (m *PilotIngressConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PilotIngressConfig.Marshal(b, m, deterministic)
}
func (m *PilotIngressConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PilotIngressConfig.Merge(m, src)
}
func (m *PilotIngressConfig) XXX_Size() int {
	return xxx_messageInfo_PilotIngressConfig.Size(m)
}
func (m *PilotIngressConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_PilotIngressConfig.DiscardUnknown(m)
}

var xxx_messageInfo_PilotIngressConfig proto.InternalMessageInfo

func (m *PilotIngressConfig) GetIngressService() string {
	if m != nil {
		return m.IngressService
	}
	return ""
}

func (m *PilotIngressConfig) GetIngressControllerMode() IngressControllerMode {
	if m != nil {
		return m.IngressControllerMode
	}
	return IngressControllerMode_UNSPECIFIED
}

func (m *PilotIngressConfig) GetIngressClass() string {
	if m != nil {
		return m.IngressClass
	}
	return ""
}

// Controls whether Istio policy is applied to Pilot.
type PilotPolicyConfig struct {
	// Controls whether Istio policy is applied to Pilot.
	Enabled              *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *PilotPolicyConfig) Reset()         { *m = PilotPolicyConfig{} }
func (m *PilotPolicyConfig) String() string { return proto.CompactTextString(m) }
func (*PilotPolicyConfig) ProtoMessage()    {}
func (*PilotPolicyConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{22}
}
func (m *PilotPolicyConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PilotPolicyConfig.Unmarshal(m, b)
}
func (m *PilotPolicyConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PilotPolicyConfig.Marshal(b, m, deterministic)
}
func (m *PilotPolicyConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PilotPolicyConfig.Merge(m, src)
}
func (m *PilotPolicyConfig) XXX_Size() int {
	return xxx_messageInfo_PilotPolicyConfig.Size(m)
}
func (m *PilotPolicyConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_PilotPolicyConfig.DiscardUnknown(m)
}

var xxx_messageInfo_PilotPolicyConfig proto.InternalMessageInfo

func (m *PilotPolicyConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

// Controls telemetry configuration
type TelemetryConfig struct {
	// Controls whether telemetry is exported for Pilot.
	Enabled *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	// Use telemetry v2.
	V2                   *TelemetryV2Config `protobuf:"bytes,3,opt,name=v2,proto3" json:"v2,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *TelemetryConfig) Reset()         { *m = TelemetryConfig{} }
func (m *TelemetryConfig) String() string { return proto.CompactTextString(m) }
func (*TelemetryConfig) ProtoMessage()    {}
func (*TelemetryConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{23}
}
func (m *TelemetryConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TelemetryConfig.Unmarshal(m, b)
}
func (m *TelemetryConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TelemetryConfig.Marshal(b, m, deterministic)
}
func (m *TelemetryConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TelemetryConfig.Merge(m, src)
}
func (m *TelemetryConfig) XXX_Size() int {
	return xxx_messageInfo_TelemetryConfig.Size(m)
}
func (m *TelemetryConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_TelemetryConfig.DiscardUnknown(m)
}

var xxx_messageInfo_TelemetryConfig proto.InternalMessageInfo

func (m *TelemetryConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *TelemetryConfig) GetV2() *TelemetryV2Config {
	if m != nil {
		return m.V2
	}
	return nil
}

// Controls whether pilot will configure telemetry v2.
type TelemetryV2Config struct {
	// Controls whether pilot will configure telemetry v2.
	Enabled              *protobuf.BoolValue                     `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	MetadataExchange     *TelemetryV2MetadataExchangeConfig      `protobuf:"bytes,4,opt,name=metadata_exchange,json=metadataExchange,proto3" json:"metadata_exchange,omitempty"`
	Prometheus           *TelemetryV2PrometheusConfig            `protobuf:"bytes,2,opt,name=prometheus,proto3" json:"prometheus,omitempty"`
	Stackdriver          *TelemetryV2StackDriverConfig           `protobuf:"bytes,3,opt,name=stackdriver,proto3" json:"stackdriver,omitempty"`
	AccessLogPolicy      *TelemetryV2AccessLogPolicyFilterConfig `protobuf:"bytes,5,opt,name=access_log_policy,json=accessLogPolicy,proto3" json:"access_log_policy,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                                `json:"-"`
	XXX_unrecognized     []byte                                  `json:"-"`
	XXX_sizecache        int32                                   `json:"-"`
}

func (m *TelemetryV2Config) Reset()         { *m = TelemetryV2Config{} }
func (m *TelemetryV2Config) String() string { return proto.CompactTextString(m) }
func (*TelemetryV2Config) ProtoMessage()    {}
func (*TelemetryV2Config) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{24}
}
func (m *TelemetryV2Config) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TelemetryV2Config.Unmarshal(m, b)
}
func (m *TelemetryV2Config) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TelemetryV2Config.Marshal(b, m, deterministic)
}
func (m *TelemetryV2Config) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TelemetryV2Config.Merge(m, src)
}
func (m *TelemetryV2Config) XXX_Size() int {
	return xxx_messageInfo_TelemetryV2Config.Size(m)
}
func (m *TelemetryV2Config) XXX_DiscardUnknown() {
	xxx_messageInfo_TelemetryV2Config.DiscardUnknown(m)
}

var xxx_messageInfo_TelemetryV2Config proto.InternalMessageInfo

func (m *TelemetryV2Config) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *TelemetryV2Config) GetMetadataExchange() *TelemetryV2MetadataExchangeConfig {
	if m != nil {
		return m.MetadataExchange
	}
	return nil
}

func (m *TelemetryV2Config) GetPrometheus() *TelemetryV2PrometheusConfig {
	if m != nil {
		return m.Prometheus
	}
	return nil
}

func (m *TelemetryV2Config) GetStackdriver() *TelemetryV2StackDriverConfig {
	if m != nil {
		return m.Stackdriver
	}
	return nil
}

func (m *TelemetryV2Config) GetAccessLogPolicy() *TelemetryV2AccessLogPolicyFilterConfig {
	if m != nil {
		return m.AccessLogPolicy
	}
	return nil
}

type TelemetryV2MetadataExchangeConfig struct {
	// Controls whether enabled WebAssembly runtime for metadata exchange filter.
	WasmEnabled          *protobuf.BoolValue `protobuf:"bytes,2,opt,name=wasmEnabled,proto3" json:"wasmEnabled,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *TelemetryV2MetadataExchangeConfig) Reset()         { *m = TelemetryV2MetadataExchangeConfig{} }
func (m *TelemetryV2MetadataExchangeConfig) String() string { return proto.CompactTextString(m) }
func (*TelemetryV2MetadataExchangeConfig) ProtoMessage()    {}
func (*TelemetryV2MetadataExchangeConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{25}
}
func (m *TelemetryV2MetadataExchangeConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TelemetryV2MetadataExchangeConfig.Unmarshal(m, b)
}
func (m *TelemetryV2MetadataExchangeConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TelemetryV2MetadataExchangeConfig.Marshal(b, m, deterministic)
}
func (m *TelemetryV2MetadataExchangeConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TelemetryV2MetadataExchangeConfig.Merge(m, src)
}
func (m *TelemetryV2MetadataExchangeConfig) XXX_Size() int {
	return xxx_messageInfo_TelemetryV2MetadataExchangeConfig.Size(m)
}
func (m *TelemetryV2MetadataExchangeConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_TelemetryV2MetadataExchangeConfig.DiscardUnknown(m)
}

var xxx_messageInfo_TelemetryV2MetadataExchangeConfig proto.InternalMessageInfo

func (m *TelemetryV2MetadataExchangeConfig) GetWasmEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.WasmEnabled
	}
	return nil
}

// Conrols telemetry v2 prometheus settings.
type TelemetryV2PrometheusConfig struct {
	// Controls whether stats envoyfilter would be enabled or not.
	Enabled *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	// Controls whether enabled WebAssembly runtime for stats filter.
	WasmEnabled *protobuf.BoolValue `protobuf:"bytes,2,opt,name=wasmEnabled,proto3" json:"wasmEnabled,omitempty"`
	// Overrides default telemetry v2 filter configuration.
	ConfigOverride       *TelemetryV2PrometheusConfig_ConfigOverride `protobuf:"bytes,3,opt,name=config_override,json=configOverride,proto3" json:"config_override,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                                    `json:"-"`
	XXX_unrecognized     []byte                                      `json:"-"`
	XXX_sizecache        int32                                       `json:"-"`
}

func (m *TelemetryV2PrometheusConfig) Reset()         { *m = TelemetryV2PrometheusConfig{} }
func (m *TelemetryV2PrometheusConfig) String() string { return proto.CompactTextString(m) }
func (*TelemetryV2PrometheusConfig) ProtoMessage()    {}
func (*TelemetryV2PrometheusConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{26}
}
func (m *TelemetryV2PrometheusConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TelemetryV2PrometheusConfig.Unmarshal(m, b)
}
func (m *TelemetryV2PrometheusConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TelemetryV2PrometheusConfig.Marshal(b, m, deterministic)
}
func (m *TelemetryV2PrometheusConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TelemetryV2PrometheusConfig.Merge(m, src)
}
func (m *TelemetryV2PrometheusConfig) XXX_Size() int {
	return xxx_messageInfo_TelemetryV2PrometheusConfig.Size(m)
}
func (m *TelemetryV2PrometheusConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_TelemetryV2PrometheusConfig.DiscardUnknown(m)
}

var xxx_messageInfo_TelemetryV2PrometheusConfig proto.InternalMessageInfo

func (m *TelemetryV2PrometheusConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *TelemetryV2PrometheusConfig) GetWasmEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.WasmEnabled
	}
	return nil
}

func (m *TelemetryV2PrometheusConfig) GetConfigOverride() *TelemetryV2PrometheusConfig_ConfigOverride {
	if m != nil {
		return m.ConfigOverride
	}
	return nil
}

type TelemetryV2PrometheusConfig_ConfigOverride struct {
	// Overrides default gateway telemetry v2 configuration.
	Gateway map[string]interface{} `protobuf:"bytes,1,opt,name=gateway,proto3" json:"gateway,omitempty"`
	// Overrides default inbound sidecar telemetry v2 configuration.
	InboundSidecar map[string]interface{} `protobuf:"bytes,2,opt,name=inboundSidecar,proto3" json:"inboundSidecar,omitempty"`
	// Overrides default outbound sidecar telemetry v2 configuration.
	OutboundSidecar      map[string]interface{} `protobuf:"bytes,3,opt,name=outboundSidecar,proto3" json:"outboundSidecar,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *TelemetryV2PrometheusConfig_ConfigOverride) Reset() {
	*m = TelemetryV2PrometheusConfig_ConfigOverride{}
}
func (m *TelemetryV2PrometheusConfig_ConfigOverride) String() string {
	return proto.CompactTextString(m)
}
func (*TelemetryV2PrometheusConfig_ConfigOverride) ProtoMessage() {}
func (*TelemetryV2PrometheusConfig_ConfigOverride) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{26, 0}
}
func (m *TelemetryV2PrometheusConfig_ConfigOverride) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TelemetryV2PrometheusConfig_ConfigOverride.Unmarshal(m, b)
}
func (m *TelemetryV2PrometheusConfig_ConfigOverride) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TelemetryV2PrometheusConfig_ConfigOverride.Marshal(b, m, deterministic)
}
func (m *TelemetryV2PrometheusConfig_ConfigOverride) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TelemetryV2PrometheusConfig_ConfigOverride.Merge(m, src)
}
func (m *TelemetryV2PrometheusConfig_ConfigOverride) XXX_Size() int {
	return xxx_messageInfo_TelemetryV2PrometheusConfig_ConfigOverride.Size(m)
}
func (m *TelemetryV2PrometheusConfig_ConfigOverride) XXX_DiscardUnknown() {
	xxx_messageInfo_TelemetryV2PrometheusConfig_ConfigOverride.DiscardUnknown(m)
}

var xxx_messageInfo_TelemetryV2PrometheusConfig_ConfigOverride proto.InternalMessageInfo

func (m *TelemetryV2PrometheusConfig_ConfigOverride) GetGateway() map[string]interface{} {
	if m != nil {
		return m.Gateway
	}
	return nil
}

func (m *TelemetryV2PrometheusConfig_ConfigOverride) GetInboundSidecar() map[string]interface{} {
	if m != nil {
		return m.InboundSidecar
	}
	return nil
}

func (m *TelemetryV2PrometheusConfig_ConfigOverride) GetOutboundSidecar() map[string]interface{} {
	if m != nil {
		return m.OutboundSidecar
	}
	return nil
}

// Conrols telemetry v2 stackdriver settings.
type TelemetryV2StackDriverConfig struct {
	Enabled               *protobuf.BoolValue                        `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	Logging               *protobuf.BoolValue                        `protobuf:"bytes,2,opt,name=logging,proto3" json:"logging,omitempty"` // Deprecated: Do not use.
	Monitoring            *protobuf.BoolValue                        `protobuf:"bytes,3,opt,name=monitoring,proto3" json:"monitoring,omitempty"`
	Topology              *protobuf.BoolValue                        `protobuf:"bytes,4,opt,name=topology,proto3" json:"topology,omitempty"` // Deprecated: Do not use.
	DisableOutbound       *protobuf.BoolValue                        `protobuf:"bytes,6,opt,name=disableOutbound,proto3" json:"disableOutbound,omitempty"`
	ConfigOverride        map[string]interface{}                    `protobuf:"bytes,5,opt,name=configOverride,proto3" json:"configOverride,omitempty"`
	OutboundAccessLogging TelemetryV2StackDriverConfig_AccessLogging `protobuf:"varint,7,opt,name=outboundAccessLogging,proto3,enum=v1alpha1.TelemetryV2StackDriverConfig_AccessLogging" json:"outboundAccessLogging,omitempty"`
	InboundAccessLogging  TelemetryV2StackDriverConfig_AccessLogging `protobuf:"varint,8,opt,name=inboundAccessLogging,proto3,enum=v1alpha1.TelemetryV2StackDriverConfig_AccessLogging" json:"inboundAccessLogging,omitempty"`
	XXX_NoUnkeyedLiteral  struct{}                                   `json:"-"`
	XXX_unrecognized      []byte                                     `json:"-"`
	XXX_sizecache         int32                                      `json:"-"`
}

func (m *TelemetryV2StackDriverConfig) Reset()         { *m = TelemetryV2StackDriverConfig{} }
func (m *TelemetryV2StackDriverConfig) String() string { return proto.CompactTextString(m) }
func (*TelemetryV2StackDriverConfig) ProtoMessage()    {}
func (*TelemetryV2StackDriverConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{27}
}
func (m *TelemetryV2StackDriverConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TelemetryV2StackDriverConfig.Unmarshal(m, b)
}
func (m *TelemetryV2StackDriverConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TelemetryV2StackDriverConfig.Marshal(b, m, deterministic)
}
func (m *TelemetryV2StackDriverConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TelemetryV2StackDriverConfig.Merge(m, src)
}
func (m *TelemetryV2StackDriverConfig) XXX_Size() int {
	return xxx_messageInfo_TelemetryV2StackDriverConfig.Size(m)
}
func (m *TelemetryV2StackDriverConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_TelemetryV2StackDriverConfig.DiscardUnknown(m)
}

var xxx_messageInfo_TelemetryV2StackDriverConfig proto.InternalMessageInfo

func (m *TelemetryV2StackDriverConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

// Deprecated: Do not use.
func (m *TelemetryV2StackDriverConfig) GetLogging() *protobuf.BoolValue {
	if m != nil {
		return m.Logging
	}
	return nil
}

func (m *TelemetryV2StackDriverConfig) GetMonitoring() *protobuf.BoolValue {
	if m != nil {
		return m.Monitoring
	}
	return nil
}

// Deprecated: Do not use.
func (m *TelemetryV2StackDriverConfig) GetTopology() *protobuf.BoolValue {
	if m != nil {
		return m.Topology
	}
	return nil
}

func (m *TelemetryV2StackDriverConfig) GetDisableOutbound() *protobuf.BoolValue {
	if m != nil {
		return m.DisableOutbound
	}
	return nil
}

func (m *TelemetryV2StackDriverConfig) GetConfigOverride() map[string]interface{} {
	if m != nil {
		return m.ConfigOverride
	}
	return nil
}

func (m *TelemetryV2StackDriverConfig) GetOutboundAccessLogging() TelemetryV2StackDriverConfig_AccessLogging {
	if m != nil {
		return m.OutboundAccessLogging
	}
	return TelemetryV2StackDriverConfig_NONE
}

func (m *TelemetryV2StackDriverConfig) GetInboundAccessLogging() TelemetryV2StackDriverConfig_AccessLogging {
	if m != nil {
		return m.InboundAccessLogging
	}
	return TelemetryV2StackDriverConfig_NONE
}

// Conrols telemetry v2 access log policy filter settings.
type TelemetryV2AccessLogPolicyFilterConfig struct {
	Enabled              *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	LogWindowDuration    *types.Duration     `protobuf:"bytes,2,opt,name=logWindowDuration,proto3" json:"logWindowDuration,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *TelemetryV2AccessLogPolicyFilterConfig) Reset() {
	*m = TelemetryV2AccessLogPolicyFilterConfig{}
}
func (m *TelemetryV2AccessLogPolicyFilterConfig) String() string { return proto.CompactTextString(m) }
func (*TelemetryV2AccessLogPolicyFilterConfig) ProtoMessage()    {}
func (*TelemetryV2AccessLogPolicyFilterConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{28}
}
func (m *TelemetryV2AccessLogPolicyFilterConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TelemetryV2AccessLogPolicyFilterConfig.Unmarshal(m, b)
}
func (m *TelemetryV2AccessLogPolicyFilterConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TelemetryV2AccessLogPolicyFilterConfig.Marshal(b, m, deterministic)
}
func (m *TelemetryV2AccessLogPolicyFilterConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TelemetryV2AccessLogPolicyFilterConfig.Merge(m, src)
}
func (m *TelemetryV2AccessLogPolicyFilterConfig) XXX_Size() int {
	return xxx_messageInfo_TelemetryV2AccessLogPolicyFilterConfig.Size(m)
}
func (m *TelemetryV2AccessLogPolicyFilterConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_TelemetryV2AccessLogPolicyFilterConfig.DiscardUnknown(m)
}

var xxx_messageInfo_TelemetryV2AccessLogPolicyFilterConfig proto.InternalMessageInfo

func (m *TelemetryV2AccessLogPolicyFilterConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *TelemetryV2AccessLogPolicyFilterConfig) GetLogWindowDuration() *types.Duration {
	if m != nil {
		return m.LogWindowDuration
	}
	return nil
}

// PilotConfigSource describes information about a configuration store inside a
// mesh. A single control plane instance can interact with one or more data
// sources.
type PilotConfigSource struct {
	// Describes the source of configuration, if nothing is specified default is MCP.
	SubscribedResources  []string `protobuf:"bytes,1,rep,name=subscribedResources,proto3" json:"subscribedResources,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PilotConfigSource) Reset()         { *m = PilotConfigSource{} }
func (m *PilotConfigSource) String() string { return proto.CompactTextString(m) }
func (*PilotConfigSource) ProtoMessage()    {}
func (*PilotConfigSource) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{29}
}
func (m *PilotConfigSource) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PilotConfigSource.Unmarshal(m, b)
}
func (m *PilotConfigSource) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PilotConfigSource.Marshal(b, m, deterministic)
}
func (m *PilotConfigSource) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PilotConfigSource.Merge(m, src)
}
func (m *PilotConfigSource) XXX_Size() int {
	return xxx_messageInfo_PilotConfigSource.Size(m)
}
func (m *PilotConfigSource) XXX_DiscardUnknown() {
	xxx_messageInfo_PilotConfigSource.DiscardUnknown(m)
}

var xxx_messageInfo_PilotConfigSource proto.InternalMessageInfo

func (m *PilotConfigSource) GetSubscribedResources() []string {
	if m != nil {
		return m.SubscribedResources
	}
	return nil
}

// Configuration for a port.
type PortsConfig struct {
	// Port name.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Port number.
	Port int32 `protobuf:"varint,2,opt,name=port,proto3" json:"port,omitempty"`
	// NodePort number.
	NodePort int32 `protobuf:"varint,3,opt,name=nodePort,proto3" json:"nodePort,omitempty"`
	// Target port number.
	TargetPort int32 `protobuf:"varint,4,opt,name=targetPort,proto3" json:"targetPort,omitempty"`
	// Protocol name.
	Protocol             string   `protobuf:"bytes,5,opt,name=protocol,proto3" json:"protocol,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PortsConfig) Reset()         { *m = PortsConfig{} }
func (m *PortsConfig) String() string { return proto.CompactTextString(m) }
func (*PortsConfig) ProtoMessage()    {}
func (*PortsConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{30}
}
func (m *PortsConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PortsConfig.Unmarshal(m, b)
}
func (m *PortsConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PortsConfig.Marshal(b, m, deterministic)
}
func (m *PortsConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PortsConfig.Merge(m, src)
}
func (m *PortsConfig) XXX_Size() int {
	return xxx_messageInfo_PortsConfig.Size(m)
}
func (m *PortsConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_PortsConfig.DiscardUnknown(m)
}

var xxx_messageInfo_PortsConfig proto.InternalMessageInfo

func (m *PortsConfig) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *PortsConfig) GetPort() int32 {
	if m != nil {
		return m.Port
	}
	return 0
}

func (m *PortsConfig) GetNodePort() int32 {
	if m != nil {
		return m.NodePort
	}
	return 0
}

func (m *PortsConfig) GetTargetPort() int32 {
	if m != nil {
		return m.TargetPort
	}
	return 0
}

func (m *PortsConfig) GetProtocol() string {
	if m != nil {
		return m.Protocol
	}
	return ""
}

// Configuration for Proxy.
type ProxyConfig struct {
	AutoInject string `protobuf:"bytes,4,opt,name=autoInject,proto3" json:"autoInject,omitempty"`
	// Domain for the cluster, default: "cluster.local".
	//
	// K8s allows this to be customized, see https://kubernetes.io/docs/tasks/administer-cluster/dns-custom-nameservers/
	ClusterDomain string `protobuf:"bytes,5,opt,name=clusterDomain,proto3" json:"clusterDomain,omitempty"`
	// Per Component log level for proxy, applies to gateways and sidecars.
	//
	// If a component level is not set, then the global "logLevel" will be used. If left empty, "misc:error" is used.
	ComponentLogLevel string `protobuf:"bytes,6,opt,name=componentLogLevel,proto3" json:"componentLogLevel,omitempty"`
	// Enables core dumps for newly injected sidecars.
	//
	// If set, newly injected sidecars will have core dumps enabled.
	EnableCoreDump *protobuf.BoolValue `protobuf:"bytes,9,opt,name=enableCoreDump,proto3" json:"enableCoreDump,omitempty"`
	// Specifies the Istio ingress ports not to capture.
	ExcludeInboundPorts string `protobuf:"bytes,12,opt,name=excludeInboundPorts,proto3" json:"excludeInboundPorts,omitempty"`
	// Lists the excluded IP ranges of Istio egress traffic that the sidecar captures.
	ExcludeIPRanges string `protobuf:"bytes,13,opt,name=excludeIPRanges,proto3" json:"excludeIPRanges,omitempty"`
	// Image name or path for the proxy, default: "proxyv2".
	//
	// If registry or tag are not specified, global.hub and global.tag are used.
	//
	// Examples: my-proxy (uses global.hub/tag), docker.io/myrepo/my-proxy:v1.0.0
	Image string `protobuf:"bytes,14,opt,name=image,proto3" json:"image,omitempty"`
	// Lists the IP ranges of Istio egress traffic that the sidecar captures.
	//
	// Example: "172.30.0.0/16,172.20.0.0/16"
	// This would only capture egress traffic on those two IP Ranges, all other outbound traffic would # be allowed by the sidecar."
	IncludeIPRanges string `protobuf:"bytes,16,opt,name=includeIPRanges,proto3" json:"includeIPRanges,omitempty"`
	// Log level for proxy, applies to gateways and sidecars. If left empty, "warning" is used. Expected values are: trace\|debug\|info\|warning\|error\|critical\|off
	LogLevel string `protobuf:"bytes,18,opt,name=logLevel,proto3" json:"logLevel,omitempty"`
	// Enables privileged securityContext for the istio-proxy container.
	//
	// See https://kubernetes.io/docs/tasks/configure-pod-container/security-context/
	Privileged *protobuf.BoolValue `protobuf:"bytes,19,opt,name=privileged,proto3" json:"privileged,omitempty"`
	// Sets the initial delay for readiness probes in seconds.
	ReadinessInitialDelaySeconds uint32 `protobuf:"varint,20,opt,name=readinessInitialDelaySeconds,proto3" json:"readinessInitialDelaySeconds,omitempty"`
	// Sets the interval between readiness probes in seconds.
	ReadinessPeriodSeconds uint32 `protobuf:"varint,21,opt,name=readinessPeriodSeconds,proto3" json:"readinessPeriodSeconds,omitempty"`
	// Sets the number of successive failed probes before indicating readiness failure.
	ReadinessFailureThreshold uint32 `protobuf:"varint,22,opt,name=readinessFailureThreshold,proto3" json:"readinessFailureThreshold,omitempty"`
	// Default port used for the Pilot agent's health checks.
	StatusPort uint32 `protobuf:"varint,23,opt,name=statusPort,proto3" json:"statusPort,omitempty"`
	// K8s resources settings.
	//
	// See https://kubernetes.io/docs/concepts/configuration/manage-compute-resources-container/#resource-requests-and-limits-of-pod-and-container
	Resources            *Resources              `protobuf:"bytes,24,opt,name=resources,proto3" json:"resources,omitempty"` // Deprecated: Do not use.
	Tracer               Tracer                  `protobuf:"varint,25,opt,name=tracer,proto3,enum=v1alpha1.Tracer" json:"tracer,omitempty"`
	ExcludeOutboundPorts string                  `protobuf:"bytes,28,opt,name=excludeOutboundPorts,proto3" json:"excludeOutboundPorts,omitempty"`
	Lifecycle            map[string]interface{} `protobuf:"bytes,36,opt,name=lifecycle,proto3" json:"lifecycle,omitempty"`
	// Controls if sidecar is injected at the front of the container list and blocks the start of the other containers until the proxy is ready
	//
	// Deprecated: replaced by ProxyConfig setting which allows per-pod configuration of this behavior.
	HoldApplicationUntilProxyStarts *protobuf.BoolValue `protobuf:"bytes,37,opt,name=holdApplicationUntilProxyStarts,proto3" json:"holdApplicationUntilProxyStarts,omitempty"` // Deprecated: Do not use.
	IncludeInboundPorts             string              `protobuf:"bytes,38,opt,name=includeInboundPorts,proto3" json:"includeInboundPorts,omitempty"`
	IncludeOutboundPorts            string              `protobuf:"bytes,39,opt,name=includeOutboundPorts,proto3" json:"includeOutboundPorts,omitempty"`
	XXX_NoUnkeyedLiteral            struct{}            `json:"-"`
	XXX_unrecognized                []byte              `json:"-"`
	XXX_sizecache                   int32               `json:"-"`
}

func (m *ProxyConfig) Reset()         { *m = ProxyConfig{} }
func (m *ProxyConfig) String() string { return proto.CompactTextString(m) }
func (*ProxyConfig) ProtoMessage()    {}
func (*ProxyConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{31}
}
func (m *ProxyConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ProxyConfig.Unmarshal(m, b)
}
func (m *ProxyConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ProxyConfig.Marshal(b, m, deterministic)
}
func (m *ProxyConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ProxyConfig.Merge(m, src)
}
func (m *ProxyConfig) XXX_Size() int {
	return xxx_messageInfo_ProxyConfig.Size(m)
}
func (m *ProxyConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_ProxyConfig.DiscardUnknown(m)
}

var xxx_messageInfo_ProxyConfig proto.InternalMessageInfo

func (m *ProxyConfig) GetAutoInject() string {
	if m != nil {
		return m.AutoInject
	}
	return ""
}

func (m *ProxyConfig) GetClusterDomain() string {
	if m != nil {
		return m.ClusterDomain
	}
	return ""
}

func (m *ProxyConfig) GetComponentLogLevel() string {
	if m != nil {
		return m.ComponentLogLevel
	}
	return ""
}

func (m *ProxyConfig) GetEnableCoreDump() *protobuf.BoolValue {
	if m != nil {
		return m.EnableCoreDump
	}
	return nil
}

func (m *ProxyConfig) GetExcludeInboundPorts() string {
	if m != nil {
		return m.ExcludeInboundPorts
	}
	return ""
}

func (m *ProxyConfig) GetExcludeIPRanges() string {
	if m != nil {
		return m.ExcludeIPRanges
	}
	return ""
}

func (m *ProxyConfig) GetImage() string {
	if m != nil {
		return m.Image
	}
	return ""
}

func (m *ProxyConfig) GetIncludeIPRanges() string {
	if m != nil {
		return m.IncludeIPRanges
	}
	return ""
}

func (m *ProxyConfig) GetLogLevel() string {
	if m != nil {
		return m.LogLevel
	}
	return ""
}

func (m *ProxyConfig) GetPrivileged() *protobuf.BoolValue {
	if m != nil {
		return m.Privileged
	}
	return nil
}

func (m *ProxyConfig) GetReadinessInitialDelaySeconds() uint32 {
	if m != nil {
		return m.ReadinessInitialDelaySeconds
	}
	return 0
}

func (m *ProxyConfig) GetReadinessPeriodSeconds() uint32 {
	if m != nil {
		return m.ReadinessPeriodSeconds
	}
	return 0
}

func (m *ProxyConfig) GetReadinessFailureThreshold() uint32 {
	if m != nil {
		return m.ReadinessFailureThreshold
	}
	return 0
}

func (m *ProxyConfig) GetStatusPort() uint32 {
	if m != nil {
		return m.StatusPort
	}
	return 0
}

// Deprecated: Do not use.
func (m *ProxyConfig) GetResources() *Resources {
	if m != nil {
		return m.Resources
	}
	return nil
}

func (m *ProxyConfig) GetTracer() Tracer {
	if m != nil {
		return m.Tracer
	}
	return Tracer_zipkin
}

func (m *ProxyConfig) GetExcludeOutboundPorts() string {
	if m != nil {
		return m.ExcludeOutboundPorts
	}
	return ""
}

func (m *ProxyConfig) GetLifecycle() map[string]interface{} {
	if m != nil {
		return m.Lifecycle
	}
	return nil
}

// Deprecated: Do not use.
func (m *ProxyConfig) GetHoldApplicationUntilProxyStarts() *protobuf.BoolValue {
	if m != nil {
		return m.HoldApplicationUntilProxyStarts
	}
	return nil
}

func (m *ProxyConfig) GetIncludeInboundPorts() string {
	if m != nil {
		return m.IncludeInboundPorts
	}
	return ""
}

func (m *ProxyConfig) GetIncludeOutboundPorts() string {
	if m != nil {
		return m.IncludeOutboundPorts
	}
	return ""
}

// Configuration for proxy_init container which sets the pods' networking to intercept the inbound/outbound traffic.
type ProxyInitConfig struct {
	// Specifies the image for the proxy_init container.
	Image string `protobuf:"bytes,1,opt,name=image,proto3" json:"image,omitempty"`
	// K8s resources settings.
	//
	// See https://kubernetes.io/docs/concepts/configuration/manage-compute-resources-container/#resource-requests-and-limits-of-pod-and-container
	Resources            *Resources `protobuf:"bytes,5,opt,name=resources,proto3" json:"resources,omitempty"` // Deprecated: Do not use.
	XXX_NoUnkeyedLiteral struct{}   `json:"-"`
	XXX_unrecognized     []byte     `json:"-"`
	XXX_sizecache        int32      `json:"-"`
}

func (m *ProxyInitConfig) Reset()         { *m = ProxyInitConfig{} }
func (m *ProxyInitConfig) String() string { return proto.CompactTextString(m) }
func (*ProxyInitConfig) ProtoMessage()    {}
func (*ProxyInitConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{32}
}
func (m *ProxyInitConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ProxyInitConfig.Unmarshal(m, b)
}
func (m *ProxyInitConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ProxyInitConfig.Marshal(b, m, deterministic)
}
func (m *ProxyInitConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ProxyInitConfig.Merge(m, src)
}
func (m *ProxyInitConfig) XXX_Size() int {
	return xxx_messageInfo_ProxyInitConfig.Size(m)
}
func (m *ProxyInitConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_ProxyInitConfig.DiscardUnknown(m)
}

var xxx_messageInfo_ProxyInitConfig proto.InternalMessageInfo

func (m *ProxyInitConfig) GetImage() string {
	if m != nil {
		return m.Image
	}
	return ""
}

// Deprecated: Do not use.
func (m *ProxyInitConfig) GetResources() *Resources {
	if m != nil {
		return m.Resources
	}
	return nil
}

// Configuration for K8s resource requests.
type ResourcesRequestsConfig struct {
	Cpu                  string   `protobuf:"bytes,1,opt,name=cpu,proto3" json:"cpu,omitempty"`
	Memory               string   `protobuf:"bytes,2,opt,name=memory,proto3" json:"memory,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ResourcesRequestsConfig) Reset()         { *m = ResourcesRequestsConfig{} }
func (m *ResourcesRequestsConfig) String() string { return proto.CompactTextString(m) }
func (*ResourcesRequestsConfig) ProtoMessage()    {}
func (*ResourcesRequestsConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{33}
}
func (m *ResourcesRequestsConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ResourcesRequestsConfig.Unmarshal(m, b)
}
func (m *ResourcesRequestsConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ResourcesRequestsConfig.Marshal(b, m, deterministic)
}
func (m *ResourcesRequestsConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ResourcesRequestsConfig.Merge(m, src)
}
func (m *ResourcesRequestsConfig) XXX_Size() int {
	return xxx_messageInfo_ResourcesRequestsConfig.Size(m)
}
func (m *ResourcesRequestsConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_ResourcesRequestsConfig.DiscardUnknown(m)
}

var xxx_messageInfo_ResourcesRequestsConfig proto.InternalMessageInfo

func (m *ResourcesRequestsConfig) GetCpu() string {
	if m != nil {
		return m.Cpu
	}
	return ""
}

func (m *ResourcesRequestsConfig) GetMemory() string {
	if m != nil {
		return m.Memory
	}
	return ""
}

// Configuration for the SecretDiscoveryService instead of using K8S secrets to mount the certificates.
type SDSConfig struct {
	Token                map[string]interface{} `protobuf:"bytes,5,opt,name=token,proto3" json:"token,omitempty"` // Deprecated: Do not use.
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *SDSConfig) Reset()         { *m = SDSConfig{} }
func (m *SDSConfig) String() string { return proto.CompactTextString(m) }
func (*SDSConfig) ProtoMessage()    {}
func (*SDSConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{34}
}
func (m *SDSConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SDSConfig.Unmarshal(m, b)
}
func (m *SDSConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SDSConfig.Marshal(b, m, deterministic)
}
func (m *SDSConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SDSConfig.Merge(m, src)
}
func (m *SDSConfig) XXX_Size() int {
	return xxx_messageInfo_SDSConfig.Size(m)
}
func (m *SDSConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_SDSConfig.DiscardUnknown(m)
}

var xxx_messageInfo_SDSConfig proto.InternalMessageInfo

// Deprecated: Do not use.
func (m *SDSConfig) GetToken() map[string]interface{} {
	if m != nil {
		return m.Token
	}
	return nil
}

// Configuration for secret volume mounts.
//
// See https://kubernetes.io/docs/concepts/configuration/secret/#using-secrets.
type SecretVolume struct {
	MountPath            string   `protobuf:"bytes,1,opt,name=mountPath,proto3" json:"mountPath,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	SecretName           string   `protobuf:"bytes,3,opt,name=secretName,proto3" json:"secretName,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SecretVolume) Reset()         { *m = SecretVolume{} }
func (m *SecretVolume) String() string { return proto.CompactTextString(m) }
func (*SecretVolume) ProtoMessage()    {}
func (*SecretVolume) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{35}
}
func (m *SecretVolume) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SecretVolume.Unmarshal(m, b)
}
func (m *SecretVolume) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SecretVolume.Marshal(b, m, deterministic)
}
func (m *SecretVolume) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SecretVolume.Merge(m, src)
}
func (m *SecretVolume) XXX_Size() int {
	return xxx_messageInfo_SecretVolume.Size(m)
}
func (m *SecretVolume) XXX_DiscardUnknown() {
	xxx_messageInfo_SecretVolume.DiscardUnknown(m)
}

var xxx_messageInfo_SecretVolume proto.InternalMessageInfo

func (m *SecretVolume) GetMountPath() string {
	if m != nil {
		return m.MountPath
	}
	return ""
}

func (m *SecretVolume) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *SecretVolume) GetSecretName() string {
	if m != nil {
		return m.SecretName
	}
	return ""
}

// ServiceConfig is described in istio.io documentation.
type ServiceConfig struct {
	Annotations          map[string]interface{} `protobuf:"bytes,1,opt,name=annotations,proto3" json:"annotations,omitempty"`
	ExternalPort         uint32                  `protobuf:"varint,2,opt,name=externalPort,proto3" json:"externalPort,omitempty"`
	Name                 string                  `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Type                 string                  `protobuf:"bytes,18,opt,name=type,proto3" json:"type,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *ServiceConfig) Reset()         { *m = ServiceConfig{} }
func (m *ServiceConfig) String() string { return proto.CompactTextString(m) }
func (*ServiceConfig) ProtoMessage()    {}
func (*ServiceConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{36}
}
func (m *ServiceConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceConfig.Unmarshal(m, b)
}
func (m *ServiceConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceConfig.Marshal(b, m, deterministic)
}
func (m *ServiceConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceConfig.Merge(m, src)
}
func (m *ServiceConfig) XXX_Size() int {
	return xxx_messageInfo_ServiceConfig.Size(m)
}
func (m *ServiceConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceConfig.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceConfig proto.InternalMessageInfo

func (m *ServiceConfig) GetAnnotations() map[string]interface{} {
	if m != nil {
		return m.Annotations
	}
	return nil
}

func (m *ServiceConfig) GetExternalPort() uint32 {
	if m != nil {
		return m.ExternalPort
	}
	return 0
}

func (m *ServiceConfig) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *ServiceConfig) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

// SidecarInjectorConfig is described in istio.io documentation.
type SidecarInjectorConfig struct {
	// Enables sidecar auto-injection in namespaces by default.
	EnableNamespacesByDefault *protobuf.BoolValue `protobuf:"bytes,2,opt,name=enableNamespacesByDefault,proto3" json:"enableNamespacesByDefault,omitempty"`
	// Instructs Istio to not inject the sidecar on those pods, based on labels that are present in those pods.
	//
	// Annotations in the pods have higher precedence than the label selectors.
	// Order of evaluation: Pod Annotations → NeverInjectSelector → AlwaysInjectSelector → Default Policy.
	// See https://istio.io/docs/setup/kubernetes/additional-setup/sidecar-injection/#more-control-adding-exceptions
	NeverInjectSelector []map[string]interface{} `protobuf:"bytes,11,opt,name=neverInjectSelector,proto3" json:"neverInjectSelector,omitempty"`
	// See NeverInjectSelector.
	AlwaysInjectSelector []map[string]interface{} `protobuf:"bytes,12,opt,name=alwaysInjectSelector,proto3" json:"alwaysInjectSelector,omitempty"`
	//  If true, webhook or istioctl injector will rewrite PodSpec for liveness health check to redirect request to sidecar. This makes liveness check work even when mTLS is enabled.
	RewriteAppHTTPProbe *protobuf.BoolValue `protobuf:"bytes,16,opt,name=rewriteAppHTTPProbe,proto3" json:"rewriteAppHTTPProbe,omitempty"`
	// injectedAnnotations are additional annotations that will be added to the pod spec after injection
	// This is primarily to support PSP annotations.
	InjectedAnnotations map[string]interface{} `protobuf:"bytes,19,opt,name=injectedAnnotations,proto3" json:"injectedAnnotations,omitempty"`
	// Enable objectSelector to filter out pods with no need for sidecar before calling istio-sidecar-injector.
	ObjectSelector map[string]interface{} `protobuf:"bytes,21,opt,name=objectSelector,proto3" json:"objectSelector,omitempty"`
	// Configure the injection url for sidecar injector webhook
	InjectionURL string `protobuf:"bytes,22,opt,name=injectionURL,proto3" json:"injectionURL,omitempty"`
	// Templates defines a set of custom injection templates that can be used. For example, defining:
	//
	// templates:
	//   hello: |
	//     metadata:
	//       labels:
	//         hello: world
	//
	// Then starting a pod with the `inject.istio.io/templates: hello` annotation, will result in the pod
	// being injected with the hello=world labels.
	// This is intended for advanced configuration only; most users should use the built in template
	Templates map[string]interface{} `protobuf:"bytes,23,opt,name=templates,proto3" json:"templates,omitempty"`
	// defaultTemplates: ["sidecar", "hello"]
	DefaultTemplates []string `protobuf:"bytes,24,rep,name=defaultTemplates,proto3" json:"defaultTemplates,omitempty"`
	// If enabled, the legacy webhook selection logic will be used. This relies on filtering of webhook
	// requests in Istiod, rather than at the webhook selection level.
	// This is option is intended for migration purposes only and will be removed in Istio 1.10.
	UseLegacySelectors   *protobuf.BoolValue `protobuf:"bytes,4,opt,name=useLegacySelectors,proto3" json:"useLegacySelectors,omitempty"` // Deprecated: Do not use.
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *SidecarInjectorConfig) Reset()         { *m = SidecarInjectorConfig{} }
func (m *SidecarInjectorConfig) String() string { return proto.CompactTextString(m) }
func (*SidecarInjectorConfig) ProtoMessage()    {}
func (*SidecarInjectorConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{37}
}
func (m *SidecarInjectorConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SidecarInjectorConfig.Unmarshal(m, b)
}
func (m *SidecarInjectorConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SidecarInjectorConfig.Marshal(b, m, deterministic)
}
func (m *SidecarInjectorConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SidecarInjectorConfig.Merge(m, src)
}
func (m *SidecarInjectorConfig) XXX_Size() int {
	return xxx_messageInfo_SidecarInjectorConfig.Size(m)
}
func (m *SidecarInjectorConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_SidecarInjectorConfig.DiscardUnknown(m)
}

var xxx_messageInfo_SidecarInjectorConfig proto.InternalMessageInfo

func (m *SidecarInjectorConfig) GetEnableNamespacesByDefault() *protobuf.BoolValue {
	if m != nil {
		return m.EnableNamespacesByDefault
	}
	return nil
}

func (m *SidecarInjectorConfig) GetNeverInjectSelector() []map[string]interface{} {
	if m != nil {
		return m.NeverInjectSelector
	}
	return nil
}

func (m *SidecarInjectorConfig) GetAlwaysInjectSelector() []map[string]interface{} {
	if m != nil {
		return m.AlwaysInjectSelector
	}
	return nil
}

func (m *SidecarInjectorConfig) GetRewriteAppHTTPProbe() *protobuf.BoolValue {
	if m != nil {
		return m.RewriteAppHTTPProbe
	}
	return nil
}

func (m *SidecarInjectorConfig) GetInjectedAnnotations() map[string]interface{} {
	if m != nil {
		return m.InjectedAnnotations
	}
	return nil
}

func (m *SidecarInjectorConfig) GetObjectSelector() map[string]interface{} {
	if m != nil {
		return m.ObjectSelector
	}
	return nil
}

func (m *SidecarInjectorConfig) GetInjectionURL() string {
	if m != nil {
		return m.InjectionURL
	}
	return ""
}

func (m *SidecarInjectorConfig) GetTemplates() map[string]interface{} {
	if m != nil {
		return m.Templates
	}
	return nil
}

func (m *SidecarInjectorConfig) GetDefaultTemplates() []string {
	if m != nil {
		return m.DefaultTemplates
	}
	return nil
}

// Deprecated: Do not use.
func (m *SidecarInjectorConfig) GetUseLegacySelectors() *protobuf.BoolValue {
	if m != nil {
		return m.UseLegacySelectors
	}
	return nil
}

// Configuration for each of the supported tracers.
type TracerConfig struct {
	// Configuration for the datadog tracing service.
	Datadog *TracerDatadogConfig `protobuf:"bytes,1,opt,name=datadog,proto3" json:"datadog,omitempty"`
	// Configuration for the lightstep tracing service.
	Lightstep *TracerLightStepConfig `protobuf:"bytes,2,opt,name=lightstep,proto3" json:"lightstep,omitempty"`
	// Configuration for the zipkin tracing service.
	Zipkin *TracerZipkinConfig `protobuf:"bytes,3,opt,name=zipkin,proto3" json:"zipkin,omitempty"`
	// Configuration for the stackdriver tracing service.
	Stackdriver          *TracerStackdriverConfig `protobuf:"bytes,4,opt,name=stackdriver,proto3" json:"stackdriver,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                 `json:"-"`
	XXX_unrecognized     []byte                   `json:"-"`
	XXX_sizecache        int32                    `json:"-"`
}

func (m *TracerConfig) Reset()         { *m = TracerConfig{} }
func (m *TracerConfig) String() string { return proto.CompactTextString(m) }
func (*TracerConfig) ProtoMessage()    {}
func (*TracerConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{38}
}
func (m *TracerConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TracerConfig.Unmarshal(m, b)
}
func (m *TracerConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TracerConfig.Marshal(b, m, deterministic)
}
func (m *TracerConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TracerConfig.Merge(m, src)
}
func (m *TracerConfig) XXX_Size() int {
	return xxx_messageInfo_TracerConfig.Size(m)
}
func (m *TracerConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_TracerConfig.DiscardUnknown(m)
}

var xxx_messageInfo_TracerConfig proto.InternalMessageInfo

func (m *TracerConfig) GetDatadog() *TracerDatadogConfig {
	if m != nil {
		return m.Datadog
	}
	return nil
}

func (m *TracerConfig) GetLightstep() *TracerLightStepConfig {
	if m != nil {
		return m.Lightstep
	}
	return nil
}

func (m *TracerConfig) GetZipkin() *TracerZipkinConfig {
	if m != nil {
		return m.Zipkin
	}
	return nil
}

func (m *TracerConfig) GetStackdriver() *TracerStackdriverConfig {
	if m != nil {
		return m.Stackdriver
	}
	return nil
}

// Configuration for the datadog tracing service.
type TracerDatadogConfig struct {
	// Address in host:port format for reporting trace data to the Datadog agent.
	Address              string   `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TracerDatadogConfig) Reset()         { *m = TracerDatadogConfig{} }
func (m *TracerDatadogConfig) String() string { return proto.CompactTextString(m) }
func (*TracerDatadogConfig) ProtoMessage()    {}
func (*TracerDatadogConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{39}
}
func (m *TracerDatadogConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TracerDatadogConfig.Unmarshal(m, b)
}
func (m *TracerDatadogConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TracerDatadogConfig.Marshal(b, m, deterministic)
}
func (m *TracerDatadogConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TracerDatadogConfig.Merge(m, src)
}
func (m *TracerDatadogConfig) XXX_Size() int {
	return xxx_messageInfo_TracerDatadogConfig.Size(m)
}
func (m *TracerDatadogConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_TracerDatadogConfig.DiscardUnknown(m)
}

var xxx_messageInfo_TracerDatadogConfig proto.InternalMessageInfo

func (m *TracerDatadogConfig) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

// Configuration for the lightstep tracing service.
type TracerLightStepConfig struct {
	// Sets the lightstep satellite pool address in host:port format for reporting trace data.
	Address string `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty"`
	// Sets the lightstep access token.
	AccessToken          string   `protobuf:"bytes,2,opt,name=accessToken,proto3" json:"accessToken,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TracerLightStepConfig) Reset()         { *m = TracerLightStepConfig{} }
func (m *TracerLightStepConfig) String() string { return proto.CompactTextString(m) }
func (*TracerLightStepConfig) ProtoMessage()    {}
func (*TracerLightStepConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{40}
}
func (m *TracerLightStepConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TracerLightStepConfig.Unmarshal(m, b)
}
func (m *TracerLightStepConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TracerLightStepConfig.Marshal(b, m, deterministic)
}
func (m *TracerLightStepConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TracerLightStepConfig.Merge(m, src)
}
func (m *TracerLightStepConfig) XXX_Size() int {
	return xxx_messageInfo_TracerLightStepConfig.Size(m)
}
func (m *TracerLightStepConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_TracerLightStepConfig.DiscardUnknown(m)
}

var xxx_messageInfo_TracerLightStepConfig proto.InternalMessageInfo

func (m *TracerLightStepConfig) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

func (m *TracerLightStepConfig) GetAccessToken() string {
	if m != nil {
		return m.AccessToken
	}
	return ""
}

// Configuration for the zipkin tracing service.
type TracerZipkinConfig struct {
	// Address of zipkin instance in host:port format for reporting trace data.
	//
	// Example: <zipkin-collector-service>.<zipkin-collector-namespace>:941
	Address              string   `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TracerZipkinConfig) Reset()         { *m = TracerZipkinConfig{} }
func (m *TracerZipkinConfig) String() string { return proto.CompactTextString(m) }
func (*TracerZipkinConfig) ProtoMessage()    {}
func (*TracerZipkinConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{41}
}
func (m *TracerZipkinConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TracerZipkinConfig.Unmarshal(m, b)
}
func (m *TracerZipkinConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TracerZipkinConfig.Marshal(b, m, deterministic)
}
func (m *TracerZipkinConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TracerZipkinConfig.Merge(m, src)
}
func (m *TracerZipkinConfig) XXX_Size() int {
	return xxx_messageInfo_TracerZipkinConfig.Size(m)
}
func (m *TracerZipkinConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_TracerZipkinConfig.DiscardUnknown(m)
}

var xxx_messageInfo_TracerZipkinConfig proto.InternalMessageInfo

func (m *TracerZipkinConfig) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

// Configuration for the stackdriver tracing service.
type TracerStackdriverConfig struct {
	// enables trace output to stdout.
	Debug *protobuf.BoolValue `protobuf:"bytes,1,opt,name=debug,proto3" json:"debug,omitempty"`
	// The global default max number of attributes per span.
	MaxNumberOfAttributes uint32 `protobuf:"varint,2,opt,name=maxNumberOfAttributes,proto3" json:"maxNumberOfAttributes,omitempty"`
	// The global default max number of annotation events per span.
	MaxNumberOfAnnotations uint32 `protobuf:"varint,3,opt,name=maxNumberOfAnnotations,proto3" json:"maxNumberOfAnnotations,omitempty"`
	// The global default max number of message events per span.
	MaxNumberOfMessageEvents uint32   `protobuf:"varint,4,opt,name=maxNumberOfMessageEvents,proto3" json:"maxNumberOfMessageEvents,omitempty"`
	XXX_NoUnkeyedLiteral     struct{} `json:"-"`
	XXX_unrecognized         []byte   `json:"-"`
	XXX_sizecache            int32    `json:"-"`
}

func (m *TracerStackdriverConfig) Reset()         { *m = TracerStackdriverConfig{} }
func (m *TracerStackdriverConfig) String() string { return proto.CompactTextString(m) }
func (*TracerStackdriverConfig) ProtoMessage()    {}
func (*TracerStackdriverConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{42}
}
func (m *TracerStackdriverConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TracerStackdriverConfig.Unmarshal(m, b)
}
func (m *TracerStackdriverConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TracerStackdriverConfig.Marshal(b, m, deterministic)
}
func (m *TracerStackdriverConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TracerStackdriverConfig.Merge(m, src)
}
func (m *TracerStackdriverConfig) XXX_Size() int {
	return xxx_messageInfo_TracerStackdriverConfig.Size(m)
}
func (m *TracerStackdriverConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_TracerStackdriverConfig.DiscardUnknown(m)
}

var xxx_messageInfo_TracerStackdriverConfig proto.InternalMessageInfo

func (m *TracerStackdriverConfig) GetDebug() *protobuf.BoolValue {
	if m != nil {
		return m.Debug
	}
	return nil
}

func (m *TracerStackdriverConfig) GetMaxNumberOfAttributes() uint32 {
	if m != nil {
		return m.MaxNumberOfAttributes
	}
	return 0
}

func (m *TracerStackdriverConfig) GetMaxNumberOfAnnotations() uint32 {
	if m != nil {
		return m.MaxNumberOfAnnotations
	}
	return 0
}

func (m *TracerStackdriverConfig) GetMaxNumberOfMessageEvents() uint32 {
	if m != nil {
		return m.MaxNumberOfMessageEvents
	}
	return 0
}

type BaseConfig struct {
	// For Helm2 use, adds the CRDs to templates.
	EnableCRDTemplates *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enableCRDTemplates,proto3" json:"enableCRDTemplates,omitempty"`
	// URL to use for validating webhook.
	ValidationURL string `protobuf:"bytes,2,opt,name=validationURL,proto3" json:"validationURL,omitempty"`
	// For istioctl usage to disable istio config crds in base
	EnableIstioConfigCRDs *protobuf.BoolValue `protobuf:"bytes,3,opt,name=enableIstioConfigCRDs,proto3" json:"enableIstioConfigCRDs,omitempty"`
	XXX_NoUnkeyedLiteral  struct{}            `json:"-"`
	XXX_unrecognized      []byte              `json:"-"`
	XXX_sizecache         int32               `json:"-"`
}

func (m *BaseConfig) Reset()         { *m = BaseConfig{} }
func (m *BaseConfig) String() string { return proto.CompactTextString(m) }
func (*BaseConfig) ProtoMessage()    {}
func (*BaseConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{43}
}
func (m *BaseConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BaseConfig.Unmarshal(m, b)
}
func (m *BaseConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BaseConfig.Marshal(b, m, deterministic)
}
func (m *BaseConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BaseConfig.Merge(m, src)
}
func (m *BaseConfig) XXX_Size() int {
	return xxx_messageInfo_BaseConfig.Size(m)
}
func (m *BaseConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_BaseConfig.DiscardUnknown(m)
}

var xxx_messageInfo_BaseConfig proto.InternalMessageInfo

func (m *BaseConfig) GetEnableCRDTemplates() *protobuf.BoolValue {
	if m != nil {
		return m.EnableCRDTemplates
	}
	return nil
}

func (m *BaseConfig) GetValidationURL() string {
	if m != nil {
		return m.ValidationURL
	}
	return ""
}

func (m *BaseConfig) GetEnableIstioConfigCRDs() *protobuf.BoolValue {
	if m != nil {
		return m.EnableIstioConfigCRDs
	}
	return nil
}

type IstiodRemoteConfig struct {
	// URL to use for sidecar injector webhook.
	InjectionURL string `protobuf:"bytes,1,opt,name=injectionURL,proto3" json:"injectionURL,omitempty"`
	// Path to use for the sidecar injector webhook service.
	InjectionPath        string   `protobuf:"bytes,2,opt,name=injectionPath,proto3" json:"injectionPath,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *IstiodRemoteConfig) Reset()         { *m = IstiodRemoteConfig{} }
func (m *IstiodRemoteConfig) String() string { return proto.CompactTextString(m) }
func (*IstiodRemoteConfig) ProtoMessage()    {}
func (*IstiodRemoteConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{44}
}
func (m *IstiodRemoteConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_IstiodRemoteConfig.Unmarshal(m, b)
}
func (m *IstiodRemoteConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_IstiodRemoteConfig.Marshal(b, m, deterministic)
}
func (m *IstiodRemoteConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_IstiodRemoteConfig.Merge(m, src)
}
func (m *IstiodRemoteConfig) XXX_Size() int {
	return xxx_messageInfo_IstiodRemoteConfig.Size(m)
}
func (m *IstiodRemoteConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_IstiodRemoteConfig.DiscardUnknown(m)
}

var xxx_messageInfo_IstiodRemoteConfig proto.InternalMessageInfo

func (m *IstiodRemoteConfig) GetInjectionURL() string {
	if m != nil {
		return m.InjectionURL
	}
	return ""
}

func (m *IstiodRemoteConfig) GetInjectionPath() string {
	if m != nil {
		return m.InjectionPath
	}
	return ""
}

type Values struct {
	Cni      *CNIConfig      `protobuf:"bytes,2,opt,name=cni,proto3" json:"cni,omitempty"`
	Gateways *GatewaysConfig `protobuf:"bytes,5,opt,name=gateways,proto3" json:"gateways,omitempty"`
	Global   *GlobalConfig   `protobuf:"bytes,6,opt,name=global,proto3" json:"global,omitempty"`
	Pilot    *PilotConfig    `protobuf:"bytes,10,opt,name=pilot,proto3" json:"pilot,omitempty"`
	// Controls whether telemetry is exported for Pilot.
	Telemetry              *TelemetryConfig       `protobuf:"bytes,23,opt,name=telemetry,proto3" json:"telemetry,omitempty"`
	SidecarInjectorWebhook *SidecarInjectorConfig `protobuf:"bytes,13,opt,name=sidecarInjectorWebhook,proto3" json:"sidecarInjectorWebhook,omitempty"`
	IstioCni               *CNIConfig             `protobuf:"bytes,19,opt,name=istio_cni,json=istioCni,proto3" json:"istio_cni,omitempty"`
	Revision               string                 `protobuf:"bytes,21,opt,name=revision,proto3" json:"revision,omitempty"`
	OwnerName              string                 `protobuf:"bytes,22,opt,name=ownerName,proto3" json:"ownerName,omitempty"`
	// TODO can this import the real mesh config API?
	MeshConfig           interface{}      `protobuf:"bytes,36,opt,name=meshConfig,proto3" json:"meshConfig,omitempty"`
	Base                 *BaseConfig         `protobuf:"bytes,37,opt,name=base,proto3" json:"base,omitempty"`
	IstiodRemote         *IstiodRemoteConfig `protobuf:"bytes,38,opt,name=istiodRemote,proto3" json:"istiodRemote,omitempty"`
	RevisionTags         []string            `protobuf:"bytes,39,rep,name=revisionTags,proto3" json:"revisionTags,omitempty"`
	DefaultRevision      string              `protobuf:"bytes,40,opt,name=defaultRevision,proto3" json:"defaultRevision,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *Values) Reset()         { *m = Values{} }
func (m *Values) String() string { return proto.CompactTextString(m) }
func (*Values) ProtoMessage()    {}
func (*Values) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{45}
}
func (m *Values) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Values.Unmarshal(m, b)
}
func (m *Values) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Values.Marshal(b, m, deterministic)
}
func (m *Values) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Values.Merge(m, src)
}
func (m *Values) XXX_Size() int {
	return xxx_messageInfo_Values.Size(m)
}
func (m *Values) XXX_DiscardUnknown() {
	xxx_messageInfo_Values.DiscardUnknown(m)
}

var xxx_messageInfo_Values proto.InternalMessageInfo

func (m *Values) GetCni() *CNIConfig {
	if m != nil {
		return m.Cni
	}
	return nil
}

func (m *Values) GetGateways() *GatewaysConfig {
	if m != nil {
		return m.Gateways
	}
	return nil
}

func (m *Values) GetGlobal() *GlobalConfig {
	if m != nil {
		return m.Global
	}
	return nil
}

func (m *Values) GetPilot() *PilotConfig {
	if m != nil {
		return m.Pilot
	}
	return nil
}

func (m *Values) GetTelemetry() *TelemetryConfig {
	if m != nil {
		return m.Telemetry
	}
	return nil
}

func (m *Values) GetSidecarInjectorWebhook() *SidecarInjectorConfig {
	if m != nil {
		return m.SidecarInjectorWebhook
	}
	return nil
}

func (m *Values) GetIstioCni() *CNIConfig {
	if m != nil {
		return m.IstioCni
	}
	return nil
}

func (m *Values) GetRevision() string {
	if m != nil {
		return m.Revision
	}
	return ""
}

func (m *Values) GetOwnerName() string {
	if m != nil {
		return m.OwnerName
	}
	return ""
}

func (m *Values) GetMeshConfig() interface{} {
	if m != nil {
		return m.MeshConfig
	}
	return nil
}

func (m *Values) GetBase() *BaseConfig {
	if m != nil {
		return m.Base
	}
	return nil
}

func (m *Values) GetIstiodRemote() *IstiodRemoteConfig {
	if m != nil {
		return m.IstiodRemote
	}
	return nil
}

func (m *Values) GetRevisionTags() []string {
	if m != nil {
		return m.RevisionTags
	}
	return nil
}

func (m *Values) GetDefaultRevision() string {
	if m != nil {
		return m.DefaultRevision
	}
	return ""
}





// ZeroVPNConfig enables cross-cluster access using SNI matching.
type ZeroVPNConfig struct {
	// Controls whether ZeroVPN is enabled.
	Enabled              *protobuf.BoolValue `protobuf:"bytes,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	Suffix               string              `protobuf:"bytes,2,opt,name=suffix,proto3" json:"suffix,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *ZeroVPNConfig) Reset()         { *m = ZeroVPNConfig{} }
func (m *ZeroVPNConfig) String() string { return proto.CompactTextString(m) }
func (*ZeroVPNConfig) ProtoMessage()    {}
func (*ZeroVPNConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_261260e22432516f, []int{50}
}
func (m *ZeroVPNConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ZeroVPNConfig.Unmarshal(m, b)
}
func (m *ZeroVPNConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ZeroVPNConfig.Marshal(b, m, deterministic)
}
func (m *ZeroVPNConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ZeroVPNConfig.Merge(m, src)
}
func (m *ZeroVPNConfig) XXX_Size() int {
	return xxx_messageInfo_ZeroVPNConfig.Size(m)
}
func (m *ZeroVPNConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_ZeroVPNConfig.DiscardUnknown(m)
}

var xxx_messageInfo_ZeroVPNConfig proto.InternalMessageInfo

func (m *ZeroVPNConfig) GetEnabled() *protobuf.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

func (m *ZeroVPNConfig) GetSuffix() string {
	if m != nil {
		return m.Suffix
	}
	return ""
}


func init() {
	proto.RegisterEnum("v1alpha1.IngressControllerMode", IngressControllerMode_name, IngressControllerMode_value)
	proto.RegisterEnum("v1alpha1.Tracer", Tracer_name, Tracer_value)
	proto.RegisterEnum("v1alpha1.OutboundTrafficPolicyConfig_Mode", OutboundTrafficPolicyConfig_Mode_name, OutboundTrafficPolicyConfig_Mode_value)
	proto.RegisterEnum("v1alpha1.TelemetryV2StackDriverConfig_AccessLogging", TelemetryV2StackDriverConfig_AccessLogging_name, TelemetryV2StackDriverConfig_AccessLogging_value)
	proto.RegisterType((*ArchConfig)(nil), "v1alpha1.ArchConfig")
	proto.RegisterType((*CNIConfig)(nil), "v1alpha1.CNIConfig")
	proto.RegisterType((*CNITaintConfig)(nil), "v1alpha1.CNITaintConfig")
	proto.RegisterType((*CNIRepairConfig)(nil), "v1alpha1.CNIRepairConfig")
	proto.RegisterType((*ResourceQuotas)(nil), "v1alpha1.ResourceQuotas")
	proto.RegisterType((*CPUTargetUtilizationConfig)(nil), "v1alpha1.CPUTargetUtilizationConfig")
	proto.RegisterType((*Resources)(nil), "v1alpha1.Resources")
	proto.RegisterMapType((map[string]string)(nil), "v1alpha1.Resources.LimitsEntry")
	proto.RegisterMapType((map[string]string)(nil), "v1alpha1.Resources.RequestsEntry")
	proto.RegisterType((*ServiceAccount)(nil), "v1alpha1.ServiceAccount")
	proto.RegisterType((*DefaultPodDisruptionBudgetConfig)(nil), "v1alpha1.DefaultPodDisruptionBudgetConfig")
	proto.RegisterType((*DefaultResourcesConfig)(nil), "v1alpha1.DefaultResourcesConfig")
	proto.RegisterType((*EgressGatewayConfig)(nil), "v1alpha1.EgressGatewayConfig")
	proto.RegisterMapType((map[string]string)(nil), "v1alpha1.EgressGatewayConfig.LabelsEntry")
	proto.RegisterType((*GatewaysConfig)(nil), "v1alpha1.GatewaysConfig")
	proto.RegisterType((*GlobalConfig)(nil), "v1alpha1.GlobalConfig")
	proto.RegisterType((*STSConfig)(nil), "v1alpha1.STSConfig")
	proto.RegisterType((*IstiodConfig)(nil), "v1alpha1.IstiodConfig")
	proto.RegisterType((*GlobalLoggingConfig)(nil), "v1alpha1.GlobalLoggingConfig")
	proto.RegisterType((*IngressGatewayConfig)(nil), "v1alpha1.IngressGatewayConfig")
	proto.RegisterMapType((map[string]string)(nil), "v1alpha1.IngressGatewayConfig.LabelsEntry")
	proto.RegisterType((*IngressGatewayZvpnConfig)(nil), "v1alpha1.IngressGatewayZvpnConfig")
	proto.RegisterType((*MultiClusterConfig)(nil), "v1alpha1.MultiClusterConfig")
	proto.RegisterType((*OutboundTrafficPolicyConfig)(nil), "v1alpha1.OutboundTrafficPolicyConfig")
	proto.RegisterType((*PilotConfig)(nil), "v1alpha1.PilotConfig")
	proto.RegisterType((*PilotIngressConfig)(nil), "v1alpha1.PilotIngressConfig")
	proto.RegisterType((*PilotPolicyConfig)(nil), "v1alpha1.PilotPolicyConfig")
	proto.RegisterType((*TelemetryConfig)(nil), "v1alpha1.TelemetryConfig")
	proto.RegisterType((*TelemetryV2Config)(nil), "v1alpha1.TelemetryV2Config")
	proto.RegisterType((*TelemetryV2MetadataExchangeConfig)(nil), "v1alpha1.TelemetryV2MetadataExchangeConfig")
	proto.RegisterType((*TelemetryV2PrometheusConfig)(nil), "v1alpha1.TelemetryV2PrometheusConfig")
	proto.RegisterType((*TelemetryV2PrometheusConfig_ConfigOverride)(nil), "v1alpha1.TelemetryV2PrometheusConfig.ConfigOverride")
	proto.RegisterType((*TelemetryV2StackDriverConfig)(nil), "v1alpha1.TelemetryV2StackDriverConfig")
	proto.RegisterType((*TelemetryV2AccessLogPolicyFilterConfig)(nil), "v1alpha1.TelemetryV2AccessLogPolicyFilterConfig")
	proto.RegisterType((*PilotConfigSource)(nil), "v1alpha1.PilotConfigSource")
	proto.RegisterType((*PortsConfig)(nil), "v1alpha1.PortsConfig")
	proto.RegisterType((*ProxyConfig)(nil), "v1alpha1.ProxyConfig")
	proto.RegisterType((*ProxyInitConfig)(nil), "v1alpha1.ProxyInitConfig")
	proto.RegisterType((*ResourcesRequestsConfig)(nil), "v1alpha1.ResourcesRequestsConfig")
	proto.RegisterType((*SDSConfig)(nil), "v1alpha1.SDSConfig")
	proto.RegisterType((*SecretVolume)(nil), "v1alpha1.SecretVolume")
	proto.RegisterType((*ServiceConfig)(nil), "v1alpha1.ServiceConfig")
	proto.RegisterType((*SidecarInjectorConfig)(nil), "v1alpha1.SidecarInjectorConfig")
	proto.RegisterType((*TracerConfig)(nil), "v1alpha1.TracerConfig")
	proto.RegisterType((*TracerDatadogConfig)(nil), "v1alpha1.TracerDatadogConfig")
	proto.RegisterType((*TracerLightStepConfig)(nil), "v1alpha1.TracerLightStepConfig")
	proto.RegisterType((*TracerZipkinConfig)(nil), "v1alpha1.TracerZipkinConfig")
	proto.RegisterType((*TracerStackdriverConfig)(nil), "v1alpha1.TracerStackdriverConfig")
	proto.RegisterType((*BaseConfig)(nil), "v1alpha1.BaseConfig")
	proto.RegisterType((*IstiodRemoteConfig)(nil), "v1alpha1.IstiodRemoteConfig")
	proto.RegisterType((*Values)(nil), "v1alpha1.Values")
	proto.RegisterType((*ZeroVPNConfig)(nil), "v1alpha1.ZeroVPNConfig")
}

func init() {
	proto.RegisterFile("pkg/apis/istio/v1alpha1/values_types.proto", fileDescriptor_261260e22432516f)
}

var fileDescriptor_261260e22432516f = []byte{
	// 4818 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xdc, 0x7c, 0x4b, 0x77, 0x1b, 0x47,
	0x76, 0xbf, 0xc0, 0x37, 0x2e, 0x08, 0x02, 0x2c, 0x3e, 0xd4, 0xa2, 0x68, 0x89, 0x6e, 0x5b, 0x1a,
	0x5a, 0xf2, 0x50, 0x32, 0xcd, 0x91, 0x6c, 0x8e, 0xed, 0xbf, 0xc0, 0x97, 0x4d, 0x0f, 0x49, 0x61,
	0x1a, 0x90, 0x6c, 0x6b, 0xfe, 0x63, 0x4e, 0xb1, 0xbb, 0x08, 0x96, 0xd5, 0xe8, 0xea, 0xe9, 0x6e,
	0x80, 0x82, 0x77, 0x59, 0xe5, 0x64, 0x91, 0x2c, 0xb2, 0xcf, 0xc9, 0x39, 0xd9, 0xe4, 0x64, 0x9d,
	0x45, 0xf2, 0x11, 0xb2, 0xc8, 0x62, 0x36, 0xd9, 0x27, 0x5e, 0x25, 0x1f, 0x60, 0x56, 0xd9, 0xe4,
	0xd4, 0xa3, 0x1b, 0xdd, 0x8d, 0x06, 0x01, 0x92, 0x76, 0x92, 0x93, 0x15, 0xd1, 0xf7, 0x55, 0xd5,
	0xf5, 0xb8, 0xf5, 0xbb, 0xb7, 0x6e, 0x13, 0x1e, 0xb8, 0xaf, 0x1b, 0x8f, 0xb0, 0x4b, 0xfd, 0x47,
	0xd4, 0x0f, 0x28, 0x7b, 0xd4, 0xfe, 0x00, 0xdb, 0xee, 0x19, 0xfe, 0xe0, 0x51, 0x1b, 0xdb, 0x2d,
	0xe2, 0x1f, 0x07, 0x1d, 0x97, 0xf8, 0x6b, 0xae, 0xc7, 0x02, 0x86, 0xa6, 0x42, 0xe6, 0xd2, 0x9d,
	0x06, 0x63, 0x0d, 0x9b, 0x3c, 0x12, 0xf4, 0x93, 0xd6, 0xe9, 0x23, 0xab, 0xe5, 0xe1, 0x80, 0x32,
	0x47, 0x4a, 0x2e, 0x3d, 0x6b, 0xd0, 0xe0, 0xac, 0x75, 0xb2, 0x66, 0xb2, 0xe6, 0xa3, 0x06, 0x6b,
	0xb0, 0xae, 0x60, 0xf4, 0x23, 0x6d, 0xe1, 0xdc, 0xc3, 0xae, 0x4b, 0x3c, 0xd5, 0xd6, 0xd2, 0x3c,
	0x57, 0x13, 0x3f, 0x85, 0x01, 0x49, 0xd5, 0xcf, 0x00, 0x2a, 0x9e, 0x79, 0xb6, 0xcd, 0x9c, 0x53,
	0xda, 0x40, 0xf3, 0x30, 0x8e, 0x9b, 0xd6, 0x93, 0x0d, 0x2d, 0xb7, 0x92, 0x5b, 0x2d, 0x1a, 0xf2,
	0x01, 0x69, 0x30, 0xe9, 0xba, 0xe6, 0x93, 0x0d, 0x9b, 0x68, 0x23, 0x82, 0x1e, 0x3e, 0x72, 0x79,
	0xff, 0xc3, 0x8f, 0x1f, 0xbf, 0xd1, 0x46, 0xa5, 0xbc, 0x78, 0x10, 0x56, 0xbc, 0xe6, 0x93, 0x0d,
	0x6d, 0x4c, 0x59, 0xe1, 0x0f, 0xfa, 0xdf, 0x4d, 0x40, 0x7e, 0xfb, 0x68, 0x5f, 0xb5, 0xb4, 0x01,
	0x93, 0xc4, 0xc1, 0x27, 0x36, 0xb1, 0x44, 0x5b, 0x85, 0xf5, 0xa5, 0x35, 0xd9, 0xff, 0xb5, 0xb0,
	0xff, 0x6b, 0x5b, 0x8c, 0xd9, 0x2f, 0xf9, 0x98, 0x19, 0xa1, 0x28, 0x2a, 0xc3, 0xe8, 0x59, 0xeb,
	0x44, 0xf4, 0x22, 0x6f, 0xf0, 0x9f, 0xe8, 0x3d, 0x18, 0x0d, 0x70, 0x43, 0xb4, 0x5f, 0x58, 0xbf,
	0xb9, 0x16, 0x8e, 0xe7, 0x5a, 0xbd, 0xe3, 0x92, 0x7d, 0x27, 0x20, 0xde, 0x29, 0x36, 0x89, 0xc1,
	0x65, 0x78, 0xb7, 0x68, 0x13, 0x37, 0x88, 0xe8, 0x56, 0xde, 0x90, 0x0f, 0xe8, 0x0e, 0x80, 0xdb,
	0xb2, 0xed, 0x2a, 0xb3, 0xa9, 0xd9, 0xd1, 0xc6, 0x05, 0x2b, 0x46, 0x41, 0xcb, 0x90, 0x37, 0x1d,
	0xba, 0x45, 0x9d, 0x1d, 0xea, 0x69, 0x13, 0x82, 0xdd, 0x25, 0x70, 0x6d, 0xd3, 0xa1, 0xfc, 0x9d,
	0x38, 0x7b, 0x52, 0x6a, 0x77, 0x29, 0x68, 0x15, 0x4a, 0xea, 0x69, 0x8f, 0xda, 0xe4, 0x08, 0x37,
	0x89, 0x36, 0x25, 0x84, 0xd2, 0x64, 0xf4, 0x3e, 0xcc, 0x92, 0x37, 0xa6, 0xdd, 0xb2, 0xc4, 0xa3,
	0xef, 0x62, 0x93, 0xf8, 0x5a, 0x7e, 0x65, 0x74, 0x35, 0x6f, 0xf4, 0x32, 0xd0, 0x01, 0xcc, 0xb8,
	0xcc, 0xaa, 0x38, 0x0e, 0x0b, 0xc4, 0x2a, 0xf1, 0x35, 0x10, 0x23, 0xb0, 0x92, 0x1c, 0x81, 0x43,
	0xec, 0xd6, 0x02, 0x8f, 0x3a, 0x8d, 0x68, 0x28, 0xb6, 0x46, 0xb4, 0x9c, 0x91, 0xd2, 0x45, 0xab,
	0x50, 0x76, 0x7d, 0xf7, 0xd8, 0xb4, 0x5b, 0x7e, 0x40, 0xbc, 0x63, 0x8f, 0xd9, 0x44, 0x2b, 0x88,
	0x6e, 0xce, 0xb8, 0xbe, 0xbb, 0x2d, 0xc9, 0x06, 0xb3, 0x09, 0x5a, 0x82, 0x29, 0x9b, 0x35, 0x0e,
	0x48, 0x9b, 0xd8, 0xda, 0xb4, 0x90, 0x88, 0x9e, 0xd1, 0x07, 0x30, 0xe1, 0x11, 0x17, 0x53, 0x4f,
	0x2b, 0x8a, 0xbe, 0xdc, 0xea, 0xf6, 0x65, 0xfb, 0x68, 0xdf, 0x10, 0x2c, 0x39, 0xfb, 0x86, 0x12,
	0xe4, 0xab, 0xc0, 0x3c, 0xc3, 0xd4, 0x21, 0x96, 0x36, 0x33, 0x78, 0x15, 0x28, 0x51, 0xb4, 0x06,
	0xe3, 0x01, 0xa6, 0x4e, 0xa0, 0x95, 0x84, 0x8e, 0x96, 0x68, 0xa7, 0xce, 0x39, 0xaa, 0x19, 0x29,
	0x86, 0x2a, 0x50, 0xf2, 0x88, 0xcf, 0x5a, 0x9e, 0x49, 0x8e, 0x7f, 0xdf, 0x62, 0x01, 0xf6, 0xb5,
	0x72, 0x5a, 0xd3, 0x50, 0x02, 0xbf, 0x16, 0x7c, 0x63, 0xc6, 0x4b, 0x3c, 0xa3, 0x0f, 0x20, 0x1f,
	0x52, 0x7c, 0x6d, 0x56, 0x28, 0xcf, 0xf5, 0x2a, 0xfb, 0x46, 0x57, 0x0a, 0x6d, 0x02, 0xb8, 0x1e,
	0x6d, 0x53, 0x9b, 0x34, 0x88, 0xa5, 0xa1, 0x81, 0xaf, 0x17, 0x93, 0xd6, 0xf7, 0x60, 0x26, 0xf9,
	0x2a, 0x57, 0xdb, 0x2f, 0xfa, 0x5f, 0x8c, 0x42, 0x29, 0x35, 0xf6, 0xff, 0x7b, 0x76, 0xde, 0x32,
	0xe4, 0x6d, 0x7c, 0x42, 0xec, 0x2a, 0xb3, 0x7c, 0xb1, 0xf1, 0xa6, 0x8c, 0x2e, 0x01, 0xdd, 0x87,
	0x69, 0xd3, 0x23, 0x38, 0x20, 0xbb, 0x6d, 0xe2, 0x04, 0xbe, 0xdc, 0x7a, 0x62, 0xf5, 0x26, 0xe8,
	0x7c, 0x07, 0x5a, 0xc4, 0x26, 0x01, 0x11, 0x66, 0x26, 0x85, 0x99, 0x18, 0x85, 0xef, 0xab, 0x13,
	0x8f, 0xbd, 0x26, 0x4e, 0x95, 0x59, 0x07, 0xdc, 0xfa, 0xaf, 0x48, 0x47, 0xed, 0xc1, 0x5e, 0x06,
	0x7a, 0x0c, 0x73, 0x49, 0xa2, 0x18, 0x06, 0x2d, 0x2f, 0xe4, 0xb3, 0x58, 0xdc, 0x3e, 0x75, 0x28,
	0x9f, 0x26, 0xbe, 0xd8, 0x88, 0x27, 0xf6, 0x38, 0x48, 0xfb, 0x3d, 0x0c, 0xfd, 0x15, 0xcc, 0x24,
	0x57, 0xda, 0x15, 0xa7, 0x03, 0xc1, 0x98, 0xcb, 0xdf, 0x97, 0xcf, 0xc7, 0xa8, 0x21, 0x7e, 0xeb,
	0x5f, 0xc3, 0xd2, 0x76, 0xf5, 0x45, 0x1d, 0x7b, 0x0d, 0x12, 0xbc, 0x08, 0xa8, 0x4d, 0xbf, 0x17,
	0xdb, 0x5b, 0x4d, 0xfb, 0x26, 0x68, 0x81, 0x60, 0x55, 0xda, 0xc4, 0xc3, 0x0d, 0x12, 0x93, 0x10,
	0x0d, 0x8f, 0x1b, 0x7d, 0xf9, 0xfa, 0x7f, 0xe6, 0x20, 0x1f, 0xad, 0x71, 0xf4, 0x14, 0x26, 0x6c,
	0xda, 0xa4, 0x81, 0xaf, 0xe5, 0x56, 0x46, 0x57, 0x0b, 0xeb, 0x77, 0x33, 0x36, 0xc2, 0xda, 0x81,
	0x90, 0xd8, 0x75, 0x02, 0xaf, 0x63, 0x28, 0x71, 0xf4, 0x29, 0x4c, 0x79, 0xe4, 0xf7, 0x2d, 0xe2,
	0x07, 0xbc, 0xe3, 0x5c, 0xf5, 0xed, 0x2c, 0x55, 0x43, 0xc9, 0x48, 0xe5, 0x48, 0x65, 0xe9, 0x63,
	0x28, 0xc4, 0xac, 0xf2, 0x15, 0xf9, 0x9a, 0x74, 0x44, 0xdf, 0xf3, 0x06, 0xff, 0xc9, 0x97, 0x99,
	0x38, 0x63, 0xd5, 0x2a, 0x95, 0x0f, 0x9b, 0x23, 0x1f, 0xe5, 0x96, 0x7e, 0x09, 0xc5, 0x84, 0xd5,
	0xcb, 0x28, 0xeb, 0x75, 0x98, 0xa9, 0x11, 0xaf, 0x4d, 0x4d, 0x52, 0x31, 0x4d, 0xd6, 0x72, 0x02,
	0xb4, 0x05, 0x05, 0x1c, 0x73, 0xbd, 0xb9, 0xe1, 0x5c, 0xaf, 0x11, 0x57, 0xd2, 0xbf, 0x86, 0x95,
	0x1d, 0x72, 0x8a, 0x5b, 0x76, 0x50, 0x65, 0xd6, 0x0e, 0xf5, 0xbd, 0x96, 0xcb, 0x19, 0x5b, 0x2d,
	0xab, 0x41, 0xae, 0xb7, 0xe9, 0xbf, 0x82, 0x45, 0x65, 0x39, 0x1a, 0x53, 0x65, 0x2f, 0x3e, 0x01,
	0xd2, 0x60, 0xd6, 0x04, 0x84, 0x23, 0xa5, 0x9c, 0x68, 0xa4, 0xa2, 0xff, 0x5b, 0x11, 0xe6, 0x76,
	0x1b, 0x1e, 0xf1, 0xfd, 0xcf, 0x71, 0x40, 0xce, 0x71, 0x47, 0x99, 0xdd, 0x83, 0x32, 0x6e, 0x05,
	0xcc, 0x37, 0xb1, 0x4d, 0x76, 0x87, 0xee, 0x6f, 0x8f, 0x0e, 0xd2, 0x61, 0x3a, 0xa2, 0x1d, 0xe2,
	0x37, 0x0a, 0x6c, 0x24, 0x68, 0x49, 0x19, 0xea, 0x28, 0xe0, 0x91, 0xa0, 0xa1, 0x4d, 0x18, 0x35,
	0xdd, 0x96, 0x70, 0x29, 0x85, 0xf5, 0x77, 0x63, 0xa7, 0x43, 0xdf, 0xdd, 0x21, 0xfc, 0x0a, 0x57,
	0x8a, 0x0f, 0xf9, 0xe4, 0xf0, 0xdb, 0x71, 0x1d, 0x46, 0x89, 0xd3, 0x16, 0x6e, 0x65, 0x98, 0x85,
	0xc0, 0x85, 0x51, 0x05, 0x26, 0x84, 0xb7, 0x93, 0xa7, 0x7c, 0x61, 0xfd, 0xbd, 0xae, 0x5a, 0xc6,
	0x20, 0xaf, 0x09, 0x97, 0x13, 0x6d, 0x28, 0xf1, 0xc0, 0xbd, 0x80, 0xc3, 0xdd, 0xcd, 0x2d, 0xb1,
	0x64, 0xc5, 0x6f, 0xf4, 0x05, 0x4c, 0x3b, 0xcc, 0x22, 0x35, 0x62, 0x13, 0x33, 0x60, 0xde, 0xa5,
	0x70, 0x41, 0x42, 0x33, 0x03, 0x63, 0x14, 0xae, 0x81, 0x31, 0x18, 0x2c, 0x0b, 0x4a, 0x40, 0x2b,
	0xa7, 0xa7, 0xdc, 0x31, 0x76, 0xc4, 0x1b, 0x45, 0xfd, 0x9c, 0x16, 0xb6, 0x7f, 0x96, 0xb4, 0x5d,
	0xb3, 0xa9, 0x49, 0x9e, 0x9f, 0xf6, 0x69, 0xe2, 0x42, 0x83, 0xe8, 0x1c, 0x56, 0x52, 0xfc, 0x3a,
	0xf1, 0x9a, 0xc9, 0x46, 0x8b, 0x97, 0x6f, 0x74, 0xa0, 0x51, 0xf4, 0x10, 0xc6, 0x5d, 0xe6, 0x05,
	0xbe, 0x36, 0x23, 0xe6, 0x75, 0xa1, 0x6b, 0xbd, 0xca, 0xc9, 0x21, 0x36, 0x11, 0x32, 0xe8, 0x17,
	0x71, 0x60, 0x51, 0xea, 0x0b, 0x2c, 0x44, 0xd3, 0x31, 0x70, 0xf1, 0x09, 0x14, 0x7d, 0x62, 0x7a,
	0x24, 0x78, 0xc9, 0xec, 0x56, 0x93, 0x70, 0x40, 0xc3, 0xdb, 0x5a, 0xec, 0xaa, 0xd6, 0x62, 0x6c,
	0x23, 0x29, 0x8c, 0xaa, 0x80, 0x7c, 0xe5, 0xd1, 0x62, 0xb3, 0x3b, 0x3b, 0xe4, 0xea, 0xcd, 0xd0,
	0xe5, 0x2b, 0x91, 0xc7, 0x35, 0x02, 0xe6, 0xe4, 0x0d, 0xf1, 0x1b, 0x3d, 0x84, 0xb1, 0xef, 0xdb,
	0xae, 0xa3, 0xcd, 0xa5, 0x11, 0xc2, 0x2b, 0xe2, 0xb1, 0x97, 0xd5, 0x23, 0x35, 0x10, 0x42, 0x08,
	0x1d, 0x42, 0x21, 0x60, 0x36, 0xf1, 0x54, 0x5f, 0xe6, 0x2f, 0x3f, 0x31, 0x71, 0x7d, 0x74, 0x00,
	0x25, 0x8f, 0xd9, 0x36, 0x75, 0x1a, 0x87, 0xf8, 0x4d, 0xad, 0xe5, 0x35, 0x88, 0xb6, 0x20, 0x4c,
	0xde, 0xe9, 0x01, 0x2a, 0xcf, 0x3d, 0x69, 0x6d, 0x8f, 0x79, 0xd5, 0x2d, 0x61, 0x29, 0xad, 0x8a,
	0xbe, 0x86, 0x85, 0x2e, 0xe9, 0x85, 0x83, 0xdb, 0x98, 0xda, 0x7c, 0xe3, 0x6b, 0x8b, 0x43, 0xdb,
	0xcc, 0x36, 0x80, 0x0e, 0xa1, 0x68, 0x8a, 0x61, 0x08, 0xe7, 0xf1, 0xe6, 0xa5, 0x5e, 0xdc, 0x48,
	0x6a, 0xa3, 0xdf, 0xc0, 0x3c, 0xb6, 0x2c, 0xca, 0xc7, 0x00, 0xdb, 0x11, 0xf2, 0xf0, 0x35, 0xed,
	0x72, 0x56, 0x33, 0x8d, 0xa0, 0x8f, 0x20, 0xef, 0xb5, 0x9c, 0x8a, 0x6f, 0x30, 0x16, 0x68, 0x4b,
	0x03, 0x9d, 0x63, 0x57, 0x58, 0x62, 0xa4, 0xef, 0x88, 0xc9, 0x4d, 0xd6, 0x49, 0xd3, 0xb5, 0x71,
	0x40, 0xb4, 0xdb, 0x21, 0x46, 0x4a, 0x31, 0xd0, 0x33, 0x98, 0xf1, 0x13, 0xe7, 0xad, 0xb6, 0x9c,
	0x46, 0xeb, 0xc9, 0xf3, 0xd8, 0x48, 0xc9, 0x0b, 0xa4, 0xd0, 0x75, 0x97, 0x97, 0x3a, 0xec, 0xff,
	0x23, 0x07, 0x33, 0xca, 0xf1, 0x86, 0xa7, 0xe6, 0x11, 0xcc, 0x89, 0x48, 0xfe, 0x98, 0x08, 0xb7,
	0xdc, 0x90, 0x5c, 0x75, 0xc2, 0xbd, 0x75, 0xa1, 0xd7, 0x36, 0x90, 0xd0, 0xdc, 0x8d, 0x2b, 0xc6,
	0x8f, 0x98, 0x91, 0xe1, 0x8f, 0x98, 0x5f, 0xc3, 0xbc, 0xec, 0x05, 0x75, 0x12, 0xdd, 0x18, 0x4b,
	0x2f, 0xc1, 0x7d, 0x27, 0xa3, 0x1f, 0xf2, 0x0d, 0xf6, 0x13, 0xaa, 0xfa, 0x5f, 0xcd, 0xc2, 0xf4,
	0xe7, 0x36, 0x3b, 0x11, 0xb3, 0xcc, 0xdf, 0xf4, 0x7d, 0x18, 0xc3, 0x9e, 0x79, 0xa6, 0x5e, 0x6d,
	0xbe, 0x6b, 0xb3, 0x9b, 0x22, 0x10, 0x8b, 0x59, 0x48, 0x71, 0xac, 0x2c, 0x57, 0x1f, 0x9f, 0xe3,
	0x28, 0x36, 0xd5, 0xd6, 0x25, 0x56, 0xce, 0x60, 0x71, 0xa0, 0xa0, 0xd6, 0x2b, 0xb6, 0xa9, 0x25,
	0xb1, 0xe7, 0xe8, 0x60, 0xa0, 0x90, 0xd6, 0x41, 0x5f, 0xc0, 0x5d, 0x4b, 0x22, 0x1c, 0xd9, 0xa9,
	0x97, 0xd4, 0xa7, 0x27, 0xd4, 0xa6, 0x41, 0xa7, 0x46, 0x82, 0x80, 0x3a, 0x0d, 0x5f, 0xdb, 0x10,
	0x91, 0xf3, 0x20, 0x31, 0xf4, 0x12, 0xe6, 0x94, 0xc8, 0x51, 0xfc, 0xd0, 0x9c, 0xb8, 0xc4, 0x41,
	0x97, 0x65, 0x00, 0x39, 0xb0, 0x64, 0xf5, 0x45, 0x77, 0x0a, 0x59, 0x3c, 0xe8, 0x9a, 0x1f, 0x84,
	0x04, 0x45, 0x43, 0x17, 0x58, 0x44, 0x55, 0x28, 0x5b, 0x29, 0xcc, 0x27, 0x82, 0x96, 0xc4, 0x4b,
	0x64, 0xa3, 0x42, 0x61, 0xbb, 0x47, 0x1b, 0xfd, 0x06, 0x90, 0xa2, 0xd5, 0x63, 0x7e, 0xf9, 0xe9,
	0xe5, 0xfd, 0x72, 0x86, 0x99, 0x30, 0x9a, 0x9c, 0xee, 0x46, 0x93, 0xab, 0x50, 0x12, 0x51, 0x61,
	0xb5, 0x9b, 0x8b, 0x29, 0xca, 0x44, 0x49, 0x8a, 0x8c, 0x1e, 0x40, 0x39, 0x22, 0xc9, 0x43, 0xce,
	0xd7, 0xee, 0x89, 0xd9, 0xee, 0xa1, 0xa3, 0xfb, 0x30, 0x23, 0x16, 0x7e, 0x77, 0x75, 0xce, 0xc8,
	0xb4, 0x46, 0x92, 0xca, 0x5d, 0x9b, 0xcd, 0x1a, 0x15, 0xff, 0x4b, 0x9f, 0x39, 0xda, 0xbb, 0x83,
	0x5d, 0x5b, 0x24, 0x8c, 0x9e, 0xc2, 0xa4, 0xcd, 0x1a, 0x0d, 0xea, 0x34, 0xd4, 0xf9, 0x19, 0x73,
	0x08, 0x72, 0x6f, 0x1d, 0x48, 0xb6, 0xda, 0x88, 0xa1, 0x34, 0x5a, 0x84, 0x89, 0x26, 0xf1, 0xcf,
	0xf6, 0x77, 0xb4, 0x5f, 0x88, 0x2e, 0xa9, 0x27, 0xb4, 0x03, 0xd3, 0xfc, 0xd7, 0x11, 0x09, 0xce,
	0x99, 0xf7, 0xda, 0x57, 0xa7, 0xe7, 0xe0, 0x53, 0x39, 0xa1, 0x85, 0x9e, 0xc1, 0x74, 0xb3, 0x65,
	0x07, 0x54, 0xe5, 0x6e, 0xd4, 0x41, 0xb5, 0xdc, 0xb5, 0x72, 0x18, 0xe3, 0xaa, 0xae, 0x25, 0x34,
	0x90, 0x06, 0x93, 0x8e, 0xb4, 0xa6, 0xfd, 0x4c, 0x74, 0x30, 0x7c, 0x44, 0x4f, 0x60, 0xd1, 0x65,
	0xd6, 0xce, 0x51, 0xad, 0x46, 0xb8, 0x1f, 0x88, 0xa5, 0xab, 0x1e, 0x8a, 0x69, 0xe8, 0xc3, 0x45,
	0xdf, 0xc2, 0x32, 0x6b, 0xd2, 0xa0, 0x46, 0x2d, 0x62, 0x62, 0x6f, 0x5f, 0xf8, 0x7d, 0xa6, 0x1a,
	0x3f, 0xc4, 0xae, 0x76, 0x7f, 0xe0, 0xb8, 0x5f, 0xa8, 0x8f, 0x3e, 0x83, 0x69, 0xe6, 0x74, 0x93,
	0x64, 0xea, 0x28, 0xbd, 0xc8, 0x5e, 0x42, 0x1e, 0x19, 0xb0, 0xc8, 0x5c, 0xbe, 0x44, 0x99, 0x77,
	0x88, 0x1d, 0xdc, 0x20, 0x5f, 0x91, 0x93, 0x33, 0xc6, 0x5e, 0xfb, 0xda, 0x7b, 0x03, 0x2d, 0xf5,
	0xd1, 0x44, 0x8f, 0x61, 0xd6, 0xf5, 0x28, 0xf3, 0x68, 0xd0, 0xd9, 0xb6, 0xb1, 0xef, 0x8b, 0xec,
	0xc0, 0xed, 0x28, 0x95, 0xd1, 0xcb, 0x14, 0xe8, 0xd1, 0x63, 0x6f, 0x3a, 0xea, 0xd0, 0x8b, 0xa3,
	0x47, 0x4e, 0x8e, 0xd0, 0x23, 0x7f, 0x40, 0x4f, 0x21, 0x2f, 0x7e, 0xec, 0x3b, 0x34, 0xd0, 0xde,
	0x4a, 0x67, 0xdd, 0xaa, 0x21, 0x4b, 0x29, 0x75, 0x65, 0xd1, 0x3d, 0x18, 0xf5, 0x2d, 0x5f, 0xbb,
	0x93, 0x06, 0x9c, 0xb5, 0x9d, 0x9a, 0x12, 0xe6, 0xfc, 0x30, 0xc7, 0x73, 0x77, 0x88, 0x1c, 0xcf,
	0x1a, 0x4c, 0x04, 0x1e, 0x36, 0x89, 0xa7, 0xbd, 0x2d, 0xa4, 0x63, 0x50, 0xb4, 0x2e, 0xe8, 0x61,
	0xea, 0x4f, 0x4a, 0xa1, 0x75, 0x98, 0x68, 0xf9, 0xe4, 0x70, 0xbb, 0xaa, 0xbd, 0x33, 0x70, 0x74,
	0x95, 0x24, 0x5a, 0x03, 0xe4, 0x91, 0x26, 0x0b, 0x48, 0x95, 0xda, 0x2c, 0xa8, 0x58, 0x16, 0x3f,
	0xcd, 0xb4, 0xc7, 0x62, 0x79, 0x66, 0x70, 0x78, 0x9f, 0xc4, 0x46, 0xb7, 0xb4, 0x27, 0xe9, 0x3e,
	0xed, 0x0b, 0x7a, 0xd8, 0x27, 0x29, 0xc5, 0x71, 0x8a, 0xcb, 0xf5, 0xb7, 0x89, 0x17, 0x54, 0x3d,
	0xd6, 0xa6, 0x16, 0xf1, 0xb4, 0x8f, 0x24, 0x4e, 0xe9, 0x61, 0xa0, 0x65, 0xc8, 0x7f, 0x77, 0x1e,
	0x28, 0x67, 0xf5, 0xb1, 0xcc, 0x0c, 0x47, 0x04, 0x31, 0xc2, 0x81, 0xaf, 0x6d, 0xf6, 0x8c, 0x70,
	0xbd, 0x3b, 0xc2, 0x81, 0x8f, 0x96, 0x78, 0x48, 0xde, 0xa6, 0x3e, 0x3f, 0x0a, 0x7f, 0x29, 0x13,
	0xaa, 0xe1, 0x33, 0xda, 0x82, 0x99, 0x26, 0xc7, 0x33, 0x87, 0x81, 0xed, 0xf3, 0x96, 0x7d, 0xed,
	0x93, 0x81, 0x43, 0x95, 0xd2, 0x10, 0xe9, 0x6b, 0x1c, 0x8e, 0xd4, 0xa7, 0x2a, 0x7d, 0x1d, 0x12,
	0x78, 0x0b, 0xe4, 0x4d, 0x40, 0x3c, 0x07, 0xdb, 0x72, 0x40, 0xb4, 0xcf, 0x06, 0xb7, 0x90, 0xd4,
	0x40, 0xcf, 0x42, 0x08, 0x1b, 0xfa, 0x9a, 0x67, 0x03, 0x4d, 0x24, 0x15, 0xb8, 0x2b, 0x34, 0xb1,
	0xd8, 0x19, 0x15, 0xe9, 0x0a, 0xe5, 0x93, 0xfe, 0x73, 0xc8, 0x47, 0xa3, 0x85, 0x56, 0xa0, 0xa0,
	0x50, 0x1e, 0x8f, 0xa2, 0xd4, 0x05, 0x45, 0x9c, 0xa4, 0x1b, 0x30, 0x1d, 0x9f, 0x55, 0xf1, 0x72,
	0x02, 0x3c, 0x55, 0x1c, 0x6c, 0x77, 0x7c, 0xea, 0x0f, 0x01, 0xb7, 0x52, 0x1a, 0xfa, 0x43, 0x98,
	0xcb, 0xf0, 0xe2, 0x1c, 0x3f, 0xda, 0x22, 0x07, 0x2e, 0x31, 0xa5, 0x7c, 0xd0, 0xff, 0xb9, 0x0c,
	0xf3, 0x59, 0xe8, 0xeb, 0xff, 0x54, 0x82, 0x84, 0x4f, 0x77, 0xcb, 0x0f, 0x58, 0x53, 0x61, 0x70,
	0x85, 0x95, 0x2e, 0x9e, 0xee, 0xb8, 0x42, 0x1c, 0xff, 0xc2, 0xa5, 0x53, 0x2c, 0x85, 0xcb, 0xa4,
	0x58, 0xb6, 0xa2, 0x14, 0x4b, 0x49, 0x84, 0xc7, 0x0f, 0x2e, 0x46, 0xc9, 0x99, 0x39, 0x96, 0xfb,
	0x30, 0x63, 0x33, 0x6c, 0x6d, 0x61, 0x1b, 0x3b, 0x26, 0xf1, 0xf6, 0xab, 0xe2, 0xee, 0x20, 0x6f,
	0xa4, 0xa8, 0x68, 0x13, 0xb4, 0x38, 0xa5, 0x26, 0x60, 0x94, 0x81, 0x9d, 0x86, 0xb8, 0x30, 0xe0,
	0xe7, 0x62, 0x5f, 0x7e, 0x94, 0xc7, 0x79, 0xff, 0x82, 0x3c, 0xce, 0xdc, 0x8f, 0x98, 0xc7, 0x99,
	0xff, 0x09, 0xf3, 0x38, 0x0b, 0xff, 0x13, 0x79, 0x9c, 0xc5, 0x9f, 0x34, 0x8f, 0x73, 0x73, 0x88,
	0x3c, 0xce, 0x7d, 0x98, 0xf6, 0x88, 0x6b, 0x53, 0x13, 0x6f, 0x8b, 0x90, 0x95, 0x47, 0xdc, 0x45,
	0x39, 0x19, 0x71, 0x3a, 0xda, 0x8a, 0xe7, 0x7b, 0x6e, 0x5d, 0x62, 0x1e, 0x2e, 0x4a, 0xfe, 0xdc,
	0xbe, 0x7e, 0xf2, 0x67, 0xf9, 0x47, 0x48, 0xfe, 0xbc, 0x15, 0x4b, 0xfe, 0x3c, 0x51, 0xc9, 0x1f,
	0x89, 0x30, 0xf4, 0x7e, 0x1b, 0xef, 0x55, 0xdb, 0x75, 0x12, 0x79, 0xa0, 0x8c, 0xc4, 0xcd, 0xdd,
	0x9f, 0x20, 0x71, 0xb3, 0x72, 0xdd, 0xc4, 0xcd, 0x06, 0x2c, 0x84, 0xe7, 0x60, 0xdd, 0xc3, 0xa7,
	0xa7, 0xd4, 0x54, 0x40, 0x40, 0x17, 0x83, 0x90, 0xcd, 0x4c, 0x67, 0xb9, 0xde, 0xb9, 0x66, 0x96,
	0xeb, 0x57, 0x30, 0xad, 0xb2, 0x01, 0x62, 0x45, 0xaa, 0xc8, 0x65, 0xe8, 0x34, 0x4f, 0x42, 0xb9,
	0x6f, 0xee, 0xe8, 0xde, 0x8f, 0x91, 0x3b, 0xea, 0xc9, 0x73, 0xdd, 0xbf, 0x56, 0x9e, 0x2b, 0x91,
	0x8a, 0xfa, 0xf9, 0xb5, 0x53, 0x51, 0x6b, 0xc3, 0xa7, 0xa2, 0x1e, 0xfd, 0xf7, 0xa5, 0xa2, 0xce,
	0x40, 0xeb, 0xb7, 0x59, 0xae, 0x78, 0x6b, 0xb8, 0x08, 0x13, 0x7e, 0xeb, 0xf4, 0x94, 0xbe, 0x51,
	0x8d, 0xa9, 0x27, 0xfd, 0xdf, 0x73, 0x80, 0x7a, 0x03, 0xc2, 0x2b, 0x36, 0xb2, 0x02, 0x05, 0x55,
	0x48, 0x20, 0x20, 0x9d, 0x6c, 0x29, 0x4e, 0xe2, 0x30, 0xbe, 0x21, 0x40, 0xd5, 0x0e, 0x6b, 0x62,
	0xea, 0xd4, 0x64, 0x97, 0x46, 0x25, 0x8c, 0xef, 0xe5, 0xa0, 0x2f, 0x01, 0x51, 0x47, 0x54, 0x40,
	0xec, 0x3a, 0x6d, 0xd6, 0xd9, 0xa3, 0x36, 0x87, 0x99, 0x63, 0x03, 0xbb, 0x94, 0xa1, 0xa5, 0xff,
	0x69, 0x0e, 0x6e, 0x3f, 0x6f, 0x05, 0x27, 0xac, 0xe5, 0x58, 0x89, 0xbd, 0xa9, 0xde, 0xf9, 0x33,
	0x18, 0x6b, 0x32, 0x4b, 0x76, 0x7b, 0x26, 0x0e, 0x18, 0x2e, 0x50, 0x5a, 0x3b, 0x64, 0x16, 0x31,
	0x84, 0x9e, 0xbe, 0x0a, 0x63, 0xfc, 0x09, 0x15, 0x21, 0x5f, 0x39, 0x38, 0x78, 0xfe, 0xd5, 0x71,
	0xe5, 0xe8, 0x9b, 0xf2, 0x0d, 0x34, 0x0b, 0x45, 0x63, 0xf7, 0xf3, 0xfd, 0x5a, 0xdd, 0xf8, 0xe6,
	0xf8, 0xf9, 0xd1, 0xc1, 0x37, 0xe5, 0x9c, 0xfe, 0x67, 0x33, 0x50, 0x10, 0xd1, 0xca, 0xb5, 0x46,
	0x3b, 0x0b, 0x5a, 0x8e, 0x5c, 0x17, 0x5a, 0xf6, 0x81, 0x8d, 0x69, 0xf8, 0x39, 0x96, 0x01, 0x3f,
	0xd3, 0xe7, 0xe0, 0x78, 0x9f, 0x73, 0x30, 0x2a, 0x09, 0x98, 0x88, 0x97, 0x04, 0xbc, 0x0b, 0x45,
	0x11, 0x1e, 0xd6, 0x70, 0xd3, 0xe5, 0x4e, 0x57, 0xdc, 0xa8, 0xe5, 0x8c, 0x24, 0x31, 0x79, 0x67,
	0x92, 0x1f, 0xfa, 0xce, 0x64, 0x15, 0x4a, 0xd2, 0x8b, 0x74, 0x53, 0x04, 0xa0, 0x6a, 0x71, 0x92,
	0xe4, 0x10, 0x1f, 0x17, 0xae, 0x82, 0x8f, 0xd3, 0xb8, 0x6d, 0xfa, 0xca, 0xb8, 0xcd, 0x84, 0xbb,
	0xaf, 0x09, 0x71, 0xb1, 0x4d, 0xdb, 0x7c, 0x68, 0xb9, 0xa3, 0x11, 0x5b, 0xd3, 0x91, 0x4e, 0xaa,
	0xd2, 0x20, 0x51, 0xa1, 0x4d, 0x7a, 0xa6, 0x77, 0x54, 0xf1, 0x98, 0x31, 0xc8, 0x02, 0x3a, 0x80,
	0xb2, 0x45, 0x5c, 0x9b, 0x75, 0x9a, 0xc4, 0x09, 0xa4, 0xa7, 0x52, 0xa5, 0x38, 0x83, 0xb1, 0x40,
	0x8f, 0x26, 0xfa, 0x0c, 0xf2, 0xae, 0xaa, 0x8e, 0x08, 0x4f, 0xa3, 0xc1, 0x66, 0xba, 0x2a, 0xdc,
	0xaf, 0x9b, 0x51, 0x3e, 0x68, 0x70, 0xc9, 0x4c, 0x57, 0x38, 0x96, 0x4e, 0x98, 0x1f, 0x3a, 0x9d,
	0xa0, 0x42, 0x8a, 0x85, 0xcb, 0x84, 0x14, 0x19, 0xf8, 0x44, 0xfb, 0x09, 0xf0, 0xc9, 0xad, 0xeb,
	0x5f, 0x2c, 0x25, 0x90, 0xc6, 0xd2, 0x35, 0x91, 0xc6, 0x19, 0xbc, 0x2d, 0x3d, 0x4e, 0x95, 0x0f,
	0xa7, 0xc9, 0xec, 0x9a, 0x43, 0x39, 0x70, 0xe6, 0x1d, 0x09, 0x3d, 0xa3, 0xc2, 0x90, 0x17, 0x8d,
	0xfc, 0x60, 0x23, 0xe8, 0x14, 0x56, 0xfa, 0x0a, 0xed, 0x3b, 0xb2, 0xa1, 0xb7, 0x06, 0x36, 0x34,
	0xd0, 0x46, 0x46, 0x54, 0x74, 0xe7, 0x1a, 0x51, 0x51, 0x36, 0xa8, 0xbe, 0x77, 0x0d, 0x50, 0xfd,
	0xff, 0x60, 0x5a, 0xae, 0x6e, 0x19, 0x29, 0x2a, 0x14, 0x7c, 0x3b, 0x16, 0x84, 0x74, 0xcf, 0x0e,
	0x15, 0x4c, 0x26, 0x14, 0xd0, 0x47, 0x70, 0xf3, 0xbb, 0xf3, 0xd7, 0x3e, 0x77, 0x87, 0x76, 0x9b,
	0x78, 0xbb, 0x6f, 0x02, 0x0f, 0x73, 0x08, 0xb4, 0x5d, 0x11, 0xe8, 0x37, 0x6f, 0xf4, 0x63, 0xa3,
	0x0f, 0x61, 0xd2, 0xb5, 0x5b, 0x0d, 0xea, 0xf8, 0x2a, 0x97, 0x77, 0x2b, 0x63, 0xdd, 0xc8, 0x77,
	0x30, 0x42, 0xc9, 0x30, 0xa5, 0xaf, 0xf7, 0x14, 0x88, 0xbd, 0x33, 0x38, 0x79, 0xa8, 0xff, 0x43,
	0x0e, 0x90, 0x78, 0x1f, 0x05, 0x78, 0xd4, 0x91, 0x78, 0x1f, 0x66, 0x14, 0x44, 0x0d, 0x93, 0x0d,
	0x39, 0x95, 0xbe, 0x4f, 0x50, 0xd1, 0x0b, 0x58, 0xa0, 0x91, 0x62, 0xc0, 0x37, 0x04, 0xf1, 0x0e,
	0xbb, 0xa7, 0x78, 0xac, 0x40, 0x29, 0x53, 0xcc, 0xc8, 0xd6, 0xe6, 0xe7, 0x5d, 0xc8, 0xb0, 0xb1,
	0xef, 0x2b, 0x84, 0x92, 0xa0, 0xe9, 0xfb, 0x30, 0x2b, 0x3a, 0x9e, 0x00, 0x11, 0x57, 0xab, 0xdb,
	0x09, 0xa0, 0x54, 0x27, 0x36, 0x69, 0x92, 0xc0, 0xbb, 0x96, 0x21, 0xf4, 0x10, 0x46, 0xda, 0xeb,
	0xea, 0x62, 0x2d, 0xb6, 0x60, 0x22, 0xe3, 0x2f, 0xd7, 0x55, 0xc8, 0x35, 0xd2, 0x5e, 0xd7, 0xff,
	0x72, 0x14, 0x66, 0x7b, 0x38, 0x57, 0x6c, 0xf8, 0x6b, 0x98, 0x6d, 0x92, 0x00, 0x5b, 0x38, 0xc0,
	0xc7, 0xe4, 0x8d, 0x79, 0x86, 0x1d, 0x55, 0xf3, 0x57, 0x58, 0x7f, 0x98, 0xd9, 0x8f, 0x43, 0x25,
	0xbd, 0xab, 0x84, 0x55, 0xbf, 0xca, 0xcd, 0x14, 0x1d, 0xed, 0x02, 0xb8, 0x1e, 0x6b, 0x92, 0xe0,
	0x8c, 0xb4, 0xc2, 0x3c, 0xde, 0xbd, 0x4c, 0x93, 0xd5, 0x48, 0x4c, 0x19, 0x8b, 0x29, 0xa2, 0x2f,
	0xa0, 0xe0, 0x07, 0xd8, 0x7c, 0x6d, 0x79, 0xb4, 0x4d, 0x3c, 0x35, 0x44, 0xf7, 0x33, 0xed, 0xd4,
	0xb8, 0xdc, 0x8e, 0x90, 0x53, 0x86, 0xe2, 0xaa, 0xe8, 0xff, 0xc3, 0x2c, 0x36, 0x4d, 0xe2, 0xfb,
	0xc7, 0x36, 0x6b, 0x1c, 0xbb, 0xdd, 0xea, 0xe1, 0xc2, 0xfa, 0xe3, 0x4c, 0x7b, 0x15, 0x21, 0x7d,
	0xc0, 0x1a, 0x72, 0xa5, 0x48, 0x38, 0xaa, 0x2c, 0x97, 0x70, 0x92, 0xa9, 0x63, 0x78, 0x7b, 0xe0,
	0x28, 0xa1, 0x4f, 0xa0, 0x70, 0x8e, 0xfd, 0xe6, 0xf0, 0xa8, 0x2f, 0x2e, 0xae, 0xff, 0xcb, 0x28,
	0xdc, 0xbe, 0x60, 0xd8, 0xae, 0xb8, 0x02, 0xae, 0xd5, 0x27, 0xf4, 0xdb, 0x10, 0xa1, 0x1d, 0xb3,
	0x36, 0xf1, 0x3c, 0x6a, 0x11, 0x35, 0x45, 0x1b, 0x43, 0x4d, 0xf5, 0x9a, 0xfc, 0xf3, 0x5c, 0xe9,
	0x1a, 0x33, 0x66, 0xe2, 0x79, 0xe9, 0x87, 0x1c, 0xcc, 0x24, 0x45, 0xd0, 0x26, 0x4c, 0x26, 0xef,
	0xf3, 0x07, 0x3b, 0xeb, 0x50, 0x01, 0x7d, 0xc1, 0xbd, 0x93, 0x38, 0x4c, 0xd4, 0x95, 0x94, 0x7a,
	0xdd, 0xc1, 0x26, 0x52, 0x7a, 0xe8, 0x4b, 0x28, 0x31, 0x75, 0xfe, 0x85, 0xa6, 0x46, 0x87, 0x34,
	0x95, 0x56, 0xd4, 0xff, 0x66, 0x1c, 0x96, 0x2f, 0x5a, 0xc6, 0x57, 0x9c, 0xd8, 0x8f, 0xba, 0xf7,
	0x9c, 0x03, 0x27, 0x55, 0x9c, 0x90, 0xd1, 0x45, 0xe7, 0x26, 0x40, 0x93, 0x39, 0x34, 0x60, 0xbc,
	0xe3, 0x43, 0x5c, 0xf7, 0xc7, 0xa4, 0xd1, 0x26, 0x4c, 0x05, 0xcc, 0x65, 0x36, 0x6b, 0x74, 0x06,
	0xc7, 0x7b, 0xa2, 0xd9, 0x48, 0x1e, 0xed, 0x40, 0xc9, 0xa2, 0x3e, 0xef, 0x7d, 0x04, 0x50, 0x06,
	0xa7, 0xaa, 0xd3, 0x2a, 0x7c, 0x92, 0x93, 0xab, 0x48, 0x6d, 0xf2, 0x21, 0x26, 0x39, 0xa9, 0x87,
	0xbe, 0x83, 0x85, 0x70, 0xae, 0x22, 0x5f, 0x20, 0xc6, 0x73, 0x52, 0x1c, 0x52, 0x1b, 0xc3, 0x79,
	0xa1, 0xb5, 0x84, 0xae, 0x91, 0x6d, 0x12, 0x9d, 0xc1, 0xbc, 0x5a, 0x62, 0xc9, 0xa6, 0xa6, 0xae,
	0xd1, 0x54, 0xa6, 0x45, 0x7d, 0x03, 0x8a, 0xc9, 0xa6, 0xa7, 0x60, 0xec, 0xe8, 0xf9, 0xd1, 0x6e,
	0xf9, 0x06, 0xff, 0xb5, 0xf7, 0xe2, 0xe0, 0xa0, 0x9c, 0x43, 0x25, 0x28, 0xec, 0x1a, 0xc6, 0x73,
	0xa3, 0x26, 0x63, 0xdf, 0x11, 0xfd, 0x6f, 0x73, 0x70, 0x7f, 0x38, 0xdf, 0x78, 0xc5, 0xe5, 0xfa,
	0x39, 0xcc, 0xda, 0xac, 0xf1, 0x15, 0x75, 0x2c, 0x76, 0x1e, 0x06, 0x43, 0x6a, 0xe1, 0x5e, 0x10,
	0x2d, 0xf5, 0xea, 0xe8, 0xbb, 0xea, 0x7c, 0x8f, 0x03, 0x2d, 0xf4, 0x18, 0xe6, 0xfc, 0xd6, 0x89,
	0x6f, 0x7a, 0xf4, 0x84, 0x58, 0xdd, 0x82, 0x8b, 0x9c, 0x48, 0xf3, 0x67, 0xb1, 0xf4, 0x3f, 0xcf,
	0x41, 0x21, 0x96, 0x35, 0x8e, 0x32, 0xfe, 0xb9, 0x58, 0xc6, 0x5f, 0xd4, 0x74, 0x7b, 0x81, 0xe8,
	0xe6, 0xb8, 0x21, 0x7e, 0xa3, 0x25, 0x98, 0xe2, 0x31, 0xa1, 0xb8, 0xf2, 0x1a, 0x15, 0xf4, 0xe8,
	0x19, 0xdd, 0x01, 0x90, 0x15, 0xdb, 0x82, 0x3b, 0x26, 0xb8, 0x31, 0x0a, 0xd7, 0x75, 0x15, 0xfe,
	0x55, 0xdf, 0xb5, 0x44, 0xcf, 0xfa, 0x3f, 0x4e, 0x41, 0x21, 0x76, 0x9f, 0xcc, 0x6d, 0xf1, 0x30,
	0x5e, 0x5e, 0xaa, 0xab, 0x32, 0xfd, 0x18, 0x85, 0x07, 0xe6, 0x2a, 0x83, 0x23, 0x33, 0x33, 0xca,
	0x60, 0x92, 0x88, 0xde, 0x87, 0x59, 0x93, 0x35, 0x5d, 0xe6, 0xf0, 0x88, 0x30, 0xfc, 0x4c, 0x44,
	0x06, 0xf8, 0xbd, 0x8c, 0xee, 0xfd, 0xdc, 0x36, 0xf3, 0xc8, 0x4e, 0xab, 0xe9, 0xaa, 0x58, 0x7e,
	0x88, 0xfb, 0xb9, 0x50, 0x83, 0xcf, 0x84, 0xfa, 0x38, 0x46, 0xe1, 0x7a, 0x99, 0x08, 0x95, 0x85,
	0x25, 0x59, 0x2c, 0xb4, 0x0a, 0xa5, 0x90, 0x5c, 0x55, 0xd7, 0x33, 0xaa, 0xd0, 0x24, 0x45, 0xee,
	0xa6, 0x28, 0x66, 0xe2, 0x29, 0x8a, 0x55, 0x28, 0xa9, 0xb4, 0x52, 0xa4, 0x5f, 0x56, 0x85, 0x2a,
	0x49, 0x72, 0xe2, 0x5b, 0x19, 0x94, 0xfa, 0x56, 0x26, 0xf9, 0x71, 0xc8, 0xdc, 0x65, 0x3e, 0x0e,
	0x41, 0x5b, 0xb0, 0xec, 0x11, 0x6c, 0x51, 0x87, 0xf8, 0xfe, 0xbe, 0x43, 0x03, 0x8a, 0xed, 0x1d,
	0x62, 0xe3, 0x4e, 0x8d, 0x98, 0xcc, 0xb1, 0xe4, 0xed, 0x4e, 0xd1, 0xb8, 0x50, 0x06, 0x3d, 0x81,
	0xc5, 0x88, 0x5f, 0x25, 0x1e, 0x65, 0x56, 0xa8, 0xbd, 0x20, 0xb4, 0xfb, 0x70, 0xd1, 0x27, 0x70,
	0x2b, 0xe2, 0xec, 0x61, 0x6a, 0xb7, 0x3c, 0x52, 0x3f, 0xf3, 0x88, 0x7f, 0xc6, 0x6c, 0x4b, 0xdc,
	0xc2, 0x14, 0x8d, 0xfe, 0x02, 0x7c, 0x95, 0xf9, 0x01, 0x0e, 0x5a, 0x22, 0xe3, 0x2c, 0xea, 0x33,
	0x8a, 0x46, 0x8c, 0x92, 0x4c, 0xec, 0x68, 0x97, 0x48, 0xec, 0x84, 0xa5, 0x07, 0xb7, 0x84, 0x7f,
	0x2b, 0x77, 0x75, 0x24, 0x3d, 0x56, 0x74, 0x30, 0xaf, 0x66, 0x39, 0x74, 0xf0, 0x72, 0xbd, 0x2c,
	0x8b, 0xe9, 0xc9, 0xe4, 0xa1, 0xcf, 0x20, 0x6f, 0xd3, 0x53, 0x62, 0x76, 0x4c, 0x9b, 0x0c, 0x9f,
	0xd3, 0x88, 0x54, 0xd0, 0x19, 0xdc, 0xe5, 0x2f, 0x5f, 0x71, 0x45, 0xf6, 0x8b, 0x3b, 0x95, 0x17,
	0x4e, 0x40, 0x6d, 0xb1, 0xfb, 0x6a, 0x01, 0xf6, 0x82, 0x30, 0x4e, 0x1c, 0x74, 0xb4, 0x0d, 0x32,
	0xc3, 0x37, 0x43, 0xb8, 0x06, 0xe3, 0x9b, 0xe1, 0xbe, 0xdc, 0x0c, 0x19, 0x2c, 0x3e, 0x1e, 0x8a,
	0x9c, 0x1c, 0x0f, 0x59, 0xf1, 0x93, 0xc9, 0xd3, 0xbf, 0x85, 0x52, 0xaa, 0xb0, 0xa4, 0xbb, 0x53,
	0x72, 0xf1, 0x9d, 0x92, 0x98, 0xcd, 0xf1, 0x61, 0x67, 0x53, 0xdf, 0x86, 0x9b, 0x7d, 0x3e, 0x45,
	0xe0, 0x31, 0xa6, 0xe9, 0xb6, 0xc2, 0xec, 0xb9, 0xe9, 0xb6, 0x64, 0x15, 0x55, 0x93, 0x79, 0x9d,
	0x30, 0xa3, 0x2d, 0x9f, 0xf4, 0xcf, 0x21, 0x1f, 0x95, 0xb2, 0xa0, 0x4d, 0x18, 0x0f, 0xd8, 0x6b,
	0xe2, 0x0c, 0x7b, 0x74, 0x8b, 0x1e, 0x49, 0x15, 0xfd, 0x77, 0x30, 0x1d, 0xbf, 0x4c, 0x43, 0xcb,
	0x90, 0x17, 0x15, 0x16, 0x55, 0x1c, 0x9c, 0xa9, 0x8e, 0x74, 0x09, 0x91, 0x5b, 0x1f, 0x89, 0xb9,
	0x75, 0xbe, 0xe8, 0x85, 0x05, 0x91, 0x0e, 0x97, 0x31, 0x64, 0x8c, 0xa2, 0xff, 0x75, 0x0e, 0x8a,
	0x2a, 0x90, 0x8d, 0x0a, 0x17, 0xae, 0xfd, 0x79, 0x09, 0x8f, 0x5d, 0xc3, 0x2b, 0xa8, 0x6a, 0x78,
	0xa8, 0x14, 0x8d, 0x04, 0x2d, 0xea, 0xed, 0x68, 0xf2, 0x10, 0x4a, 0x17, 0x72, 0xeb, 0x7f, 0x1c,
	0x87, 0x85, 0xcc, 0xaa, 0x2b, 0xf4, 0x35, 0xdc, 0x92, 0x0e, 0xb9, 0x5b, 0xe6, 0xb5, 0xd5, 0x51,
	0x65, 0x86, 0x43, 0x80, 0xff, 0xfe, 0xca, 0xe8, 0x1b, 0x98, 0x73, 0x48, 0x9b, 0xa8, 0x06, 0xa3,
	0x6c, 0x6a, 0xe1, 0x72, 0xd7, 0x46, 0x59, 0x36, 0xc4, 0x45, 0x97, 0x7d, 0x8e, 0x3b, 0x7e, 0xca,
	0xf6, 0xf4, 0x65, 0x2f, 0xba, 0x32, 0x8c, 0xa0, 0x03, 0x98, 0xf3, 0xc8, 0xb9, 0x47, 0x03, 0x52,
	0x71, 0xdd, 0x2f, 0xea, 0xf5, 0x6a, 0xd5, 0x63, 0x27, 0x44, 0x7d, 0x6f, 0x78, 0xd1, 0x58, 0x64,
	0xa9, 0x21, 0x83, 0xef, 0x68, 0x6e, 0x9f, 0x24, 0x32, 0x55, 0xc3, 0xd6, 0x04, 0x66, 0x29, 0x73,
	0x44, 0xcb, 0x4e, 0x12, 0x2f, 0x3e, 0x6c, 0x02, 0x34, 0xa5, 0x27, 0xf3, 0x23, 0xea, 0xca, 0xec,
	0x85, 0x71, 0x20, 0xfc, 0xbf, 0xc8, 0x8f, 0x74, 0x69, 0xdc, 0x7b, 0x06, 0xea, 0x36, 0x2d, 0x2c,
	0x6e, 0x1f, 0xc2, 0x7b, 0x46, 0x2a, 0xe8, 0x41, 0x54, 0xd8, 0x5a, 0x8f, 0xcc, 0x68, 0xb2, 0xda,
	0x33, 0x4d, 0x47, 0x47, 0x80, 0x5a, 0x3e, 0x39, 0x20, 0x0d, 0x6c, 0x76, 0xc2, 0x4e, 0xfa, 0x43,
	0xc6, 0x0d, 0x19, 0x9a, 0xfa, 0x9f, 0x8c, 0xc0, 0x74, 0xbc, 0x76, 0x0d, 0x3d, 0x85, 0x49, 0x1e,
	0x87, 0x5b, 0xac, 0xd1, 0x5b, 0xfd, 0x2d, 0x05, 0x77, 0x24, 0x3b, 0x2c, 0xf6, 0x54, 0xd2, 0xe8,
	0x53, 0x7e, 0x86, 0x34, 0xce, 0x02, 0x3f, 0x20, 0xae, 0xda, 0x17, 0x77, 0xd3, 0xaa, 0x07, 0x5c,
	0xa0, 0x16, 0x10, 0x37, 0xac, 0xd6, 0x8b, 0x34, 0xd0, 0x06, 0x4c, 0x7c, 0x4f, 0xdd, 0xd7, 0x34,
	0xac, 0x96, 0x5e, 0x4e, 0xeb, 0xbe, 0x12, 0xdc, 0xb0, 0x9a, 0x4d, 0xca, 0xa2, 0xed, 0x64, 0xb2,
	0x63, 0x2c, 0xfd, 0xc1, 0x97, 0x54, 0xad, 0x75, 0x45, 0x32, 0xf2, 0x1c, 0xfa, 0x23, 0x98, 0xcb,
	0x78, 0x33, 0xa4, 0xc1, 0x24, 0x56, 0x45, 0x65, 0xd2, 0x09, 0x86, 0x8f, 0x7a, 0x0d, 0x16, 0x32,
	0xdf, 0xa7, 0xbf, 0x0a, 0x5a, 0x81, 0x82, 0x4c, 0x80, 0xd4, 0x85, 0x97, 0x56, 0x37, 0x86, 0x31,
	0x92, 0xbe, 0x06, 0xa8, 0xf7, 0x45, 0x2f, 0xe8, 0xc4, 0x1f, 0x73, 0x70, 0xb3, 0xcf, 0xeb, 0xa1,
	0xc7, 0x30, 0x6e, 0x91, 0x93, 0x56, 0x63, 0x88, 0x70, 0x42, 0x0a, 0xa2, 0x0d, 0x58, 0x68, 0xe2,
	0x37, 0x47, 0xad, 0xe6, 0x09, 0xf1, 0x9e, 0x9f, 0x56, 0x82, 0xc0, 0xa3, 0x27, 0x2d, 0xbe, 0x10,
	0xa5, 0x53, 0xcd, 0x66, 0x72, 0x88, 0x15, 0x67, 0xc4, 0xb6, 0xaf, 0xbc, 0x5b, 0xeb, 0xc3, 0x45,
	0x9b, 0xa0, 0xc5, 0x38, 0x87, 0xc4, 0xf7, 0x71, 0x23, 0xfc, 0x08, 0x56, 0xde, 0xb8, 0xf5, 0xe5,
	0xeb, 0x7f, 0xc8, 0x01, 0x6c, 0x61, 0x3f, 0x3c, 0x48, 0xbe, 0x04, 0xa4, 0xf0, 0xb2, 0xb1, 0xd3,
	0xdd, 0x3e, 0x83, 0xdf, 0x3b, 0x43, 0x8b, 0x47, 0x00, 0xed, 0xa8, 0x02, 0x9f, 0xef, 0x76, 0x39,
	0x4d, 0x49, 0x22, 0xaa, 0xc2, 0x82, 0xd4, 0x15, 0x95, 0x78, 0xb2, 0x1b, 0xdb, 0xc6, 0x8e, 0x3f,
	0x44, 0xdc, 0x9f, 0xad, 0xa8, 0x7f, 0x0b, 0x48, 0x56, 0xf5, 0x19, 0xa2, 0xbe, 0x53, 0xbd, 0x59,
	0xda, 0xf5, 0xe4, 0x32, 0x5c, 0xcf, 0xbb, 0x50, 0x8c, 0x9e, 0xc5, 0x71, 0xad, 0x7a, 0x9c, 0x20,
	0xea, 0x7f, 0x3f, 0x0e, 0x13, 0xa2, 0x03, 0x3e, 0xba, 0x07, 0xa3, 0xa6, 0x43, 0xd5, 0xfe, 0x9c,
	0x4b, 0x7c, 0x55, 0x1e, 0x96, 0x6c, 0x9a, 0x0e, 0x45, 0x1b, 0x30, 0xa5, 0x52, 0x40, 0x21, 0xac,
	0x89, 0x95, 0x03, 0x24, 0xbf, 0x1d, 0x31, 0x22, 0x49, 0xb4, 0x06, 0x13, 0xf2, 0x6a, 0x5b, 0x65,
	0x21, 0x16, 0xd3, 0x75, 0xe2, 0xe1, 0xee, 0x95, 0x52, 0xa2, 0xfa, 0x88, 0x07, 0x9e, 0xaa, 0x46,
	0x6e, 0x21, 0x33, 0xf1, 0x6f, 0x48, 0x19, 0xf4, 0x94, 0x7b, 0x59, 0x15, 0x4e, 0x2b, 0x2f, 0x7b,
	0x2b, 0x23, 0xc8, 0x0f, 0x3d, 0x4b, 0x24, 0x8b, 0xbe, 0x82, 0x45, 0x3f, 0x79, 0xb2, 0xab, 0xd2,
	0x65, 0x75, 0xb5, 0x18, 0xf3, 0x52, 0x99, 0x08, 0xc0, 0xe8, 0xa3, 0x8e, 0x1e, 0x43, 0x5e, 0x7e,
	0xae, 0xc2, 0x47, 0x74, 0xae, 0xff, 0x88, 0x4e, 0x09, 0xa9, 0x6d, 0x87, 0x26, 0x2a, 0x61, 0x17,
	0x52, 0x95, 0xb0, 0xcb, 0x90, 0x67, 0xe7, 0xe1, 0xc7, 0xd5, 0xf2, 0x98, 0xe9, 0x12, 0xd0, 0x53,
	0x80, 0x26, 0xf1, 0xd5, 0x07, 0x2a, 0x0a, 0xa2, 0xf7, 0xbd, 0x6f, 0x88, 0x89, 0xa2, 0x55, 0x18,
	0x3b, 0xc1, 0x3e, 0x51, 0xf8, 0x3b, 0xf6, 0xbd, 0x4b, 0x77, 0x0f, 0x19, 0x42, 0x02, 0x3d, 0x83,
	0x69, 0x1a, 0x5b, 0x85, 0xaa, 0x7c, 0x65, 0x39, 0x5d, 0x4f, 0x1c, 0x5f, 0xa3, 0x46, 0x42, 0x83,
	0xaf, 0xd8, 0xf0, 0x75, 0xea, 0xb8, 0xc1, 0x21, 0x36, 0x3f, 0xc4, 0x12, 0x34, 0x1e, 0x5b, 0x46,
	0xdf, 0x61, 0xa8, 0x91, 0x58, 0x95, 0xb1, 0x65, 0x8a, 0xac, 0x6b, 0xb0, 0x98, 0x7d, 0x76, 0xea,
	0x77, 0xe1, 0xad, 0x0b, 0x71, 0x8b, 0xbe, 0x08, 0xf3, 0x59, 0x97, 0x89, 0xfa, 0x2c, 0x94, 0x52,
	0x97, 0x3b, 0xfa, 0x6f, 0xa1, 0x98, 0xf8, 0x56, 0xef, 0x47, 0x2e, 0x3b, 0x29, 0x41, 0x31, 0x31,
	0x37, 0x0f, 0xbe, 0xec, 0x73, 0x8f, 0x83, 0x4a, 0x50, 0x78, 0x71, 0x54, 0xab, 0xee, 0x6e, 0xef,
	0xef, 0xed, 0xef, 0xee, 0x94, 0x6f, 0xa0, 0x02, 0x4c, 0xee, 0xec, 0xee, 0x55, 0x5e, 0x1c, 0xd4,
	0xcb, 0x39, 0x04, 0x30, 0x51, 0xab, 0x1b, 0xfb, 0xdb, 0xf5, 0xf2, 0x08, 0x9a, 0x84, 0xd1, 0xe7,
	0x7b, 0x7b, 0xe5, 0xd1, 0x07, 0xbf, 0x0b, 0x83, 0x42, 0xce, 0x96, 0x27, 0x62, 0xf9, 0x06, 0x2a,
	0xc6, 0x0e, 0xe2, 0x72, 0x8e, 0x9b, 0x51, 0x47, 0x74, 0x79, 0x84, 0x37, 0x12, 0x3b, 0xf9, 0xca,
	0xa3, 0x68, 0x0e, 0x4a, 0xcc, 0x25, 0xce, 0x36, 0x71, 0xfc, 0x96, 0x5f, 0x69, 0x10, 0x27, 0x28,
	0x8f, 0xa1, 0x29, 0x18, 0x73, 0x98, 0x43, 0xca, 0xe3, 0x5b, 0x8b, 0xff, 0xf4, 0xc3, 0x9d, 0x1b,
	0x7f, 0xf8, 0xe1, 0xce, 0x8d, 0x7f, 0xfd, 0xe1, 0xce, 0x8d, 0x57, 0xd1, 0xbf, 0x72, 0x39, 0x99,
	0x10, 0x63, 0xf1, 0xe1, 0x7f, 0x05, 0x00, 0x00, 0xff, 0xff, 0xa9, 0xf6, 0x2d, 0xe4, 0x09, 0x46,
	0x00, 0x00,
}
